<?php
require_once(__DIR__ . '/inc/config.php');

// query is the default name of the request parameter that contains the query.
$city_input = !empty($_GET['query']) ? $_GET['query'] : '';
$city_input_rl = '%' . $city_input . '%';
$city_input_r = $city_input . '%';
$s_city_input = ' ' . $city_input;

if(!empty($city_input)) {
	$query = "SELECT * FROM cities
				WHERE status = 1 AND city_name LIKE :city_input_rl
				ORDER BY city_name LIKE :city_input_r DESC,
					ifnull(nullif(instr(city_name, concat(' ', :s_city_input)), 0), 99999),
					ifnull(nullif(instr(city_name, :city_input), 0), 99999),
					city_name
				LIMIT 100";
	$stmt = $conn->prepare($query);
	$stmt->bindValue(':city_input_rl', $city_input_rl);
	$stmt->bindValue(':city_input_r', $city_input_r);
	$stmt->bindValue(':s_city_input', $s_city_input);
	$stmt->bindValue(':city_input', $city_input);
	$stmt->execute();

	$response = '
		{
		"results":
		[';

	$rowCount = 0;
	while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$rowCount++;

		$city_id   = !empty($row['city_id'  ]) ? $row['city_id'  ] : '';
		$city_name = !empty($row['city_name']) ? $row['city_name'] : '';
		$state     = !empty($row['state'    ]) ? $row['state'    ] : '';

		// sanitize
		$city_id   = e($city_id  );
		$city_name = e($city_name);
		$state     = e($state    );

		if($rowCount != $stmt->rowCount()) {
			$response .= '{ "id": "' . $row['city_id'] . '", "text": "' . $row['city_name'] . ', ' . $row['state'] . '" },';
		}

		else {
			$response .= '{ "id": "' . $row['city_id'] . '", "text": "' . $row['city_name'] . ',' . $row['state'] . '" }';
		}
	}

	$response .= '
		]
		}';

	// $response = '{"results":[{"id":0,"text":"text name0"}]}';

	echo $response;
}