<?php
require_once(__DIR__ . '/../inc/config.php');
require_once(__DIR__ . '/_admin_inc.php');
require_once(__DIR__ . '/../sitemaps/sitemap-functions.php');

// csrf check
require_once(__DIR__ . '/_admin_inc_request_with_ajax.php');

// listings details
$listing_id   = !empty($_POST['listing_id'  ]) ? $_POST['listing_id'  ] : '';
$listing_slug = !empty($_POST['listing_slug']) ? $_POST['listing_slug'] : '';
$cat_id       = !empty($_POST['cat_id'      ]) ? $_POST['cat_id'      ] : '';
$cat_slug     = !empty($_POST['cat_slug'    ]) ? $_POST['cat_slug'    ] : '';
$city_id      = !empty($_POST['city_id'     ]) ? $_POST['city_id'     ] : '';
$city_slug    = !empty($_POST['city_slug'   ]) ? $_POST['city_slug'   ] : '';
$state_slug   = !empty($_POST['state_slug'  ]) ? $_POST['state_slug'  ] : '';
$paid         = !empty($_POST['paid'        ]) ? $_POST['paid'        ] : '';

// response array
$response = array();

if($paid == 'paid'){
	$query = "UPDATE listings SET paid = 0 WHERE listing_id= :listing_id";
	$paid = 'unpaid';
}

else {
	$query = "UPDATE listings SET paid = 1 WHERE listing_id= :listing_id";
	$paid = 'paid';
}

$stmt = $conn->prepare($query);
$stmt->bindValue(':listing_id', $listing_id);
$stmt->execute();

// sitemaps
if($cfg_enable_sitemaps) {
	// get status
	$query = "SELECT status FROM listings where listing_id = :listing_id";
	$stmt = $conn->prepare($query);
	$stmt->bindValue(':listing_id', $listing_id);
	$stmt->execute();
	$row = $stmt->fetch(PDO::FETCH_ASSOC);
	$status = $row['status'];

	// listing link
	$link_url = get_listing_link($listing_id, $listing_slug, $cat_id, $cat_slug, $city_id, $city_slug, $state_slug, $cfg_permalink_struct);

	if($status == 'approved' && $paid == 'paid'){
		if(!empty($listing_link)) {
			sitemap_add_url($listing_link);
		}
	}

	if($status == 'approved' && $paid == 'unpaid'){
		if(!empty($listing_link)) {
			sitemap_remove_url($listing_link);
		}
	}
}

// response
$response['listing_id'  ] = $listing_id;
$response['listing_slug'] = $listing_slug;
$response['cat_id'      ] = $cat_id;
$response['cat_slug'    ] = $cat_slug;
$response['city_id'     ] = $city_id;
$response['city_slug'   ] = $city_slug;
$response['state_slug'  ] = $state_slug;
$response['paid'        ] = $paid;

echo json_encode($response);