<?php
require_once(__DIR__ . '/../inc/config.php');
require_once(__DIR__ . '/../inc/smart_resize_image.php');
require_once(__DIR__ . '/../inc/img-exts.php');
require_once(__DIR__ . '/_admin_inc.php');

// csrf check
require_once(__DIR__ . '/_admin_inc_request_with_ajax.php');

// max size
$upload_max_filesize = ini_get('upload_max_filesize');


if(!empty($_FILES['logo_img'])) {
	if($_FILES['logo_img']['error'] != 0) {
		$response = array(
			'result' => 'fail',
			'message' => file_upload_errors($_FILES['logo_img']['error']),
			'filename' => ''
		);
	}

	elseif (!exif_imagetype($_FILES['logo_img']['tmp_name'])) {
		$response = array(
			'result' => 'fail',
			'message' => 'Invalid image type',
			'filename' => ''
		);
	}

	else {
		// basename - Returns trailing name component of path
		$uploaded_img = basename($_FILES['logo_img']['name']);

		// get file extension
		$extension = pathinfo($uploaded_img, PATHINFO_EXTENSION);
		$extension = mb_strtolower($extension);

		// validate extension
		if($extension != 'png') {
			$response = array(
				'result' => 'fail',
				'message' => 'Extension not allowed: ' . e($extension),
				'filename' => ''
			);
		}

		else {
			// paths
			$filename = 'logo.png';
			$path_tmp = $install_dir . '/assets/imgs/' . $filename;
			$url_tmp  = $baseurl . '/assets/imgs/' . $filename;

			// move uploaded
			if(@move_uploaded_file($_FILES['logo_img']['tmp_name'], $path_tmp)) {
				$filename = 'logo.png?' . time();

				$response = array(
					'result' => 'success',
					'message' => $url_tmp,
					'filename' => $filename,
					'path_tmp' => $path_tmp
				);
			}

			else {
				$response = array(
					'result' => 'fail',
					'message' => 'move_uploaded_file error',
					'filename' => '',
					'path_tmp' => $path_tmp
				);
			}
		}
	}

	echo json_encode($response);
}

if(!empty($_FILES['logo_white_img'])) {
	if($_FILES['logo_white_img']['error'] != 0) {
		$response = array(
			'result' => 'fail',
			'message' => file_upload_errors($_FILES['logo_white_img']['error']),
			'filename' => ''
		);
	}

	elseif (!exif_imagetype($_FILES['logo_white_img']['tmp_name'])) {
		$response = array(
			'result' => 'fail',
			'message' => 'Invalid image type',
			'filename' => ''
		);
	}

	else {
		// basename - Returns trailing name component of path
		$uploaded_img = basename($_FILES['logo_white_img']['name']);

		// get file extension
		$extension = pathinfo($uploaded_img, PATHINFO_EXTENSION);
		$extension = mb_strtolower($extension);

		// validate extension
		if($extension != 'png') {
			$response = array(
				'result' => 'fail',
				'message' => 'Extension not allowed: ' . e($extension),
				'filename' => ''
			);
		}

		else {
			// paths
			$filename = 'logo-white.png';
			$path_tmp = $install_dir . '/assets/imgs/' . $filename;
			$url_tmp  = $baseurl . '/assets/imgs/' . $filename;

			// move uploaded
			if(@move_uploaded_file($_FILES['logo_white_img']['tmp_name'], $path_tmp)) {
				$filename = 'logo-white.png?' . time();

				$response = array(
					'result' => 'success',
					'message' => $url_tmp,
					'filename' => $filename,
					'path_tmp' => $path_tmp
				);
			}

			else {
				$response = array(
					'result' => 'fail',
					'message' => 'move_uploaded_file error',
					'filename' => '',
					'path_tmp' => $path_tmp
				);
			}
		}
	}

	echo json_encode($response);
}