-- phpMyAdmin SQL Dump
-- version 4.4.13.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Aug 17, 2019 at 07:40 PM
-- Server version: 5.7.14
-- PHP Version: 5.6.12

SET FOREIGN_KEY_CHECKS=0;
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

--
-- Database: `classifiedsplus`
--

-- --------------------------------------------------------

--
-- Table structure for table `credits`
--

CREATE TABLE IF NOT EXISTS `credits` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `plan` int(11) NOT NULL,
  `credits` int(11) NOT NULL DEFAULT '0',
  `uniq_id` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `paym_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `gateway` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `subscr_id` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `purchase_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `credits`
--
ALTER TABLE `credits`
  ADD PRIMARY KEY (`id`),
  ADD KEY `user` (`user`),
  ADD KEY `uniq_id` (`uniq_id`);

--
-- AUTO_INCREMENT for table `credits`
--
ALTER TABLE `credits`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Constraints for table `credits`
--
ALTER TABLE `credits`
  ADD CONSTRAINT `credits_ibfk_1` FOREIGN KEY (`user`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Table structure for table `email_templates`
--

RENAME TABLE `email_templates` TO `email_templates_old`;

CREATE TABLE IF NOT EXISTS `email_templates` (
  `id` int(11) NOT NULL,
  `type` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `subject` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `body` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `available_vars` text COLLATE utf8mb4_unicode_ci
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `email_templates`
--

INSERT INTO `email_templates` (`id`, `type`, `description`, `subject`, `body`, `available_vars`) VALUES
(1, 'reset_pass', 'Reset password email', 'Reset your password - %site_name%', 'Hello,\r\n\r\nSomeone has requested a link to change your password on %site_name%. You can do this through the link below. \r\n\r\n%reset_link%\r\n\r\nIf you didn''t request this, please ignore this email. \r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%\r\n%reset_link%\r\n'),
(2, 'signup_confirm', 'Signup email address confirmation email', 'Welcome to %site_name%! Please confirm your email', 'Hello,\r\n\r\nYou have signed up for %site_name%.\r\n\r\nIf you received this email by mistake, simply delete it. Your account will be removed if you don''t click the confirmation link below.\r\n\r\nConfirm: %confirm_link%\r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%\r\n%confirm_link%'),
(4, 'subscr_failed', 'Subscription payment failed email', 'Subscription payment failed - %site_name%', 'Hello,\r\n\r\nYour subscription payment failed. Please take moment to check your payment info, you may need to update the credit card expiration date, etc. You still have access, we''ll try again in a few days.\r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%'),
(5, 'subscr_signup', 'Subscription successful email', 'Thank you! Welcome to %site_name%', 'Hello,\r\n\r\nYour subscription is active. \r\n\r\nYou can now start posting ads on %site_name%\r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%'),
(6, 'web_accept', 'One time payment successful email', 'Thank you! Welcome to %site_name%', 'Hello,\r\n\r\nThank you for your purchase. Your credits are already available in your account.\r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%'),
(7, 'subscr_eot', 'Subscription expired email', 'Subscription expired - %site_name%', 'Hello,\r\n\r\nYour subscription on %site_name% expired. \r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%'),
(8, 'web_accept_fail', 'One time payment failed email', 'Your most recent payment failed', 'Hi %user_name%,\r\n\r\nUnfortunately your most recent payment for your ad on our site was declined. This could be due to a change in your card number or your card expiring, cancelation of your credit card, or the bank not recognizing the payment and taking action to prevent it.\r\n\r\nPlease update your payment information as soon as possible by logging in here:\r\n%site_url%\r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%\r\n%user_name%'),
(9, 'process_add_listing', 'User submission notification', 'A new listing was submitted', 'A new listing was submitted at:\r\n\r\n%new_listing_url%\r\n', '%new_listing_url%'),
(10, 'process_edit_listing', 'User edit listing notification', 'A new listing was edited', 'A user has edited a listing at:\r\n\r\n%edited_listing_url%\r\n', '%edited_listing_url%'),
(11, 'credits_added', 'Email sent when one time payment succeeded and credits added to user''s account', 'Thank you for you purchase', 'Hello,\r\n\r\nThank you for your purchase. Your credits are already available in your account.\r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%'),
(12, 'charge_failed', 'Email sent when one time payment failed', 'Charge failed', 'Hello,\r\n\r\nYour recent payment did not complete and credits were not added to the database. Please contact the site administrator.\r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%'),
(13, 'user_signup', 'Email sent to the admin when a new user registers on the site', 'New User Signup', 'New signup from user:\r\n%signup_email%', '%signup_email%');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `email_templates`
--
ALTER TABLE `email_templates`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `email_templates`
--
ALTER TABLE `email_templates`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=14;

--
-- Table structure change for table `listings`
--
ALTER TABLE `listings` ADD `credits_uniq_id` VARCHAR(50) NOT NULL DEFAULT '' AFTER `plan`;

ALTER TABLE `listings` ADD INDEX(`credits_uniq_id`);

ALTER TABLE `listings` ADD `country_code` VARCHAR(10) NOT NULL DEFAULT '' AFTER `state_id`;

ALTER TABLE `listings` ADD `wa_country_code` VARCHAR(10) NOT NULL DEFAULT '' AFTER `phone`, ADD `wa_area_code` VARCHAR(10) NOT NULL DEFAULT '' AFTER `wa_country_code`, ADD `wa_phone` VARCHAR(50) NOT NULL DEFAULT '' AFTER `wa_area_code`;

--
-- Table structure change for table `plans`
--
ALTER TABLE `plans` ADD `plan_credits` INT(11) NOT NULL DEFAULT '0' AFTER `plan_price`, ADD `plan_max_pics` INT(11) NOT NULL DEFAULT '0' AFTER `plan_credits`;

--
-- Backup old `transactions` table
--

RENAME TABLE `transactions` TO `transactions_old`;

--
-- Create new `transactions` table
--

CREATE TABLE IF NOT EXISTS `transactions` (
  `id` int(11) NOT NULL,
  `txn_type` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `uniq_id` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user` int(11) NOT NULL,
  `paym_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `gateway` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `amount` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `txn_data` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `txn_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Indexes for table `transactions`
--
ALTER TABLE `transactions`
  ADD PRIMARY KEY (`id`),
  ADD KEY `uniq_id` (`uniq_id`),
  ADD KEY `user` (`user`);

--
-- AUTO_INCREMENT for table `transactions`
--
ALTER TABLE `transactions`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;



SET FOREIGN_KEY_CHECKS=1;
