<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><!DOCTYPE html>
<html lang="<?= $html_lang ?>">
<head>
<title><?= $txt_html_title ?> - <?= $txt_trash ?></title>
<?php require_once(__DIR__ . '/admin-head.php') ?>
</head>
<body class="tpl-admin-<?= $route[1] ?>">
<?php require_once(__DIR__ . '/../header.php') ?>

<div class="container mt-5">
	<div class="row">
		<div class="col-md-4 col-lg-3 mb-5">
			<?php include_once('admin-menu.php') ?>
		</div>

		<div class="col-md-8 col-lg-9">
			<h2 class="mb-5"><?= $txt_main_title ?> - <?= $txt_trash ?></h2>

			<div class="mb-3">
				<form class="form-inline" action="<?= $baseurl ?>/admin/locations-trash" method="get">
					<input type="hidden" name="sort" value="<?= $sort ?>">
					<input type="text" class="form-control form-control-sm mb-2 mr-sm-2" name="s">

					<button type="submit" class="btn btn-primary btn-sm mb-2"><?= $txt_search ?></button>
				</form>
			</div>

			<div class="mb-3">
				<strong><?= $txt_show ?>:</strong><br>
				<a href="<?= $baseurl ?>/admin/locations-trash?sort=cities" class="btn btn-light btn-sm"><?= $txt_cities ?></a>
				<a href="<?= $baseurl ?>/admin/locations-trash?sort=regions" class="btn btn-light btn-sm"><?= $txt_states ?></a>
				<a href="<?= $baseurl ?>/admin/locations-trash?sort=countries" class="btn btn-light btn-sm"><?= $txt_countries ?></a>
			</div>

			<?php
			if($total_rows < 1) {
				echo $txt_no_results;
			}

			else {
				?>
				<div class="d-flex rows-line">
					<div class="flex-grow-1"><?= $txt_total_rows ?>: <strong class="total-rows"><?= $total_rows ?></strong></div>
					<div><a href="#" class="empty-trash" data-toggle="modal" data-target="#empty-trash-modal" data-loc-type="<?= $sort ?>"><?= $txt_empty ?></a></div>
				</div>

				<?php
				// show cities
				if($sort == 'cities') {
					?>
					<div class="table-responsive">
						<table class="table admin-table">
							<tr>
								<th class="text-nowrap"><?= $txt_city_id ?></th>
								<th class="text-nowrap"><?= $txt_city_name ?></th>
								<th class="text-nowrap"><?= $txt_state ?></th>
								<th class="text-nowrap"><?= $txt_action ?></th>
							</tr>

							<?php
							foreach($cities_arr as $k => $v) {
								?>
								<tr id="tr-loc-<?= $v['city_id'] ?>">
									<td class="text-nowrap shrink"><?= $v['city_id'] ?></td>
									<td class="text-nowrap"><?= $v['city_name'] ?></td>
									<td class="text-nowrap shrink"><?= $v['state_abbr'] ?></td>
									<td class="text-nowrap shrink">
										<!-- restore btn -->
										<span data-toggle="tooltip" title="<?= a($txt_restore) ?>">
											<button class="btn btn-light btn-sm restore-loc"
												data-loc-type="city"
												data-loc-id="<?= $v['city_id'] ?>">
												<i class="las la-undo-alt"></i>
											</button>
										</span>

										<!-- remove btn -->
										<span data-toggle="tooltip"	title="<?= a($txt_remove) ?>">
											<button class="btn btn-light btn-sm"
												data-toggle="modal"
												data-target="#remove-loc-modal"
												data-loc-type="city"
												data-loc-id="<?= $v['city_id'] ?>">
												<i class="lar la-trash-alt"></i>
											</button>
										</span>
									</td>
								</tr>
								<?php
							}
							?>
						</table>
					</div>
				<?php
				}

				// show regions
				if($sort == 'regions') {
					?>
					<div class="table-responsive">
						<table class="table admin-table">
							<tr>
								<th class="text-nowrap"><?= $txt_state_id ?></th>
								<th class="text-nowrap"><?= $txt_state_name ?></th>
								<th class="text-nowrap"><?= $txt_country ?></th>
								<th class="text-nowrap"><?= $txt_action ?></th>
							</tr>
							<?php
							foreach($regions_arr as $k => $v) {
								?>
								<tr id="tr-loc-<?= $v['state_id'] ?>">
									<td class="text-nowrap shrink"><?= $v['state_id'] ?></td>
									<td><?= $v['state_name'] ?></td>
									<td class="text-nowrap shrink"><?= $v['country_abbr'] ?></td>
									<td class="text-nowrap shrink">
										<!-- restore btn -->
										<span data-toggle="tooltip" title="<?= a($txt_restore) ?>">
											<button class="btn btn-light btn-sm restore-loc"
												data-loc-type="region"
												data-loc-id="<?= $v['state_id'] ?>">
												<i class="las la-undo-alt"></i>
											</button>
										</span>

										<!-- remove btn -->
										<span data-toggle="tooltip"	title="<?= a($txt_remove) ?>">
											<button class="btn btn-light btn-sm"
												data-toggle="modal"
												data-target="#remove-loc-modal"
												data-loc-type="region"
												data-loc-id="<?= $v['state_id'] ?>">
												<i class="lar la-trash-alt"></i>
											</button>
										</span>
									</td>
								</tr>
								<?php
							}
							?>
						</table>
					</div>
				<?php
				}

				// show countries
				if($sort == 'countries') {
					?>
					<div class="table-responsive">
						<table class="table admin-table">
							<tr>
								<th class="text-nowrap"><?= $txt_country_id ?></th>
								<th class="text-nowrap"><?= $txt_country_name ?></th>
								<th class="text-nowrap"><?= $txt_country_code ?></th>
								<th class="text-nowrap"><?= $txt_action ?></th>
							</tr>
							<?php
							foreach($countries_arr as $k => $v) {
								?>
								<tr id="tr-loc-<?= $v['country_id'] ?>">
									<td class="text-nowrap shrink"><?= $v['country_id'] ?></td>
									<td><?= $v['country_name'] ?></td>
									<td class="text-nowrap shrink"><?= $v['country_abbr'] ?></td>
									<td class="text-nowrap shrink">
										<!-- restore btn -->
										<span data-toggle="tooltip" title="<?= a($txt_restore) ?>">
											<button class="btn btn-light btn-sm restore-loc"
												data-loc-type="country"
												data-loc-id="<?= $v['country_id'] ?>">
												<i class="las la-undo-alt"></i>
											</button>
										</span>

										<!-- remove btn -->
										<span data-toggle="tooltip"	title="<?= a($txt_remove) ?>">
											<button class="btn btn-light btn-sm"
												data-toggle="modal"
												data-target="#remove-loc-modal"
												data-loc-type="country"
												data-loc-id="<?= $v['country_id'] ?>">
												<i class="lar la-trash-alt"></i>
											</button>
										</span>
									</td>
								</tr>
								<?php
							}
							?>
						</table>
					</div>
				<?php
				}
			}
			?>
			<nav>
				<ul class="pagination flex-wrap">
					<?php
					if(isset($pager) && $pager->getTotalPages() > 1) {
						$curPage = $page;

						$startPage = ($curPage < 21)? 1 : $curPage - 20;
						$endPage = 40 + $startPage;
						$endPage = ($pager->getTotalPages() < $endPage) ? $pager->getTotalPages() : $endPage;
						$diff = $startPage - $endPage + 40;
						$startPage -= ($startPage - $diff > 0) ? $diff : 0;

						$startPage = ($startPage == 1) ? 2 : $startPage;
						$endPage = ($endPage == $pager->getTotalPages()) ? $endPage - 1 : $endPage;

						if($total_rows > 0) {
							$page_url = "$baseurl/admin/locations-trash?sort=$sort&page=";

							if(isset($_GET['s'])) {
								$s = urlencode($_GET['s']);
								$page_url = "$baseurl/admin/locations-trash?s=$s&sort=$sort&page=";
							}

							include_once(__DIR__ . '/../../inc/pagination.php');
						}
					}
					?>
				</ul>

				<?php
				if(isset($pager) && $pager->getTotalPages() > 200) {
					$cents = floor($pager->getTotalPages() / 100);
					?>
					<ul class="pagination flex-wrap">
						<li class="page-item"><a href="#" class="page-link"><?= $txt_quick_jump ?></a></li>
						<?php
						for($i = 1; $i <= $cents; $i++) {
							$j = $i * 100;
							?><li class="page-item"><a href="<?php echo $page_url, $j ?>" class="page-link"><?= $j ?></a></li>
							<?php
						}
						?>
					</ul>
					<?php
				}
				?>
			</nav>
		</div>
	</div>
</div>

<!-- Remove loc modal -->
<div id="remove-loc-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal-title-1">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 id="modal-title-1" class="modal-title"><?= $txt_remove ?></h5>
				<button class="close" data-dismiss="modal" aria-label="<?= a($txt_close) ?>">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<?= $txt_remove_sure ?>
			</div>
			<div class="modal-footer">
				<button class="btn btn-light btn-sm" data-dismiss="modal"><?= $txt_cancel ?></button>
				<button id="remove-loc-confirm" class="btn btn-primary btn-sm remove-loc" data-loc-id data-loc-type data-dismiss="modal"><?= $txt_confirm ?></button>
			</div>
		</div>
	</div>
</div>

<!-- Empty trash modal -->
<div id="empty-trash-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal-title-2">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 id="modal-title-2" class="modal-title"><?= $txt_empty ?></h5>
				<button class="close" data-dismiss="modal" aria-label="<?= a($txt_close) ?>">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<?= $txt_remove_all_sure ?>
			</div>
			<div class="modal-footer">
				<button class="btn btn-light btn-sm" data-dismiss="modal"><?= $txt_cancel ?></button>
				<button id="empty-trash-confirm" class="btn btn-primary btn-sm" data-dismiss="modal"><?= $txt_confirm ?></button>
			</div>
		</div>
	</div>
</div>

<!-- admin footer -->
<?php require_once(__DIR__ . '/admin-footer.php') ?>

<!-- javascript -->
<script>
'use strict';

// page size configuration
var page_size = '<?= intval($items_per_page) ?>';

// initial number of items
var num_items = <?= intval($total_rows) ?>;

// define actual page size on page load
if(num_items < page_size)  page_size = num_items;

/*--------------------------------------------------
Restore loc
--------------------------------------------------*/
(function(){
	$('.restore-loc').on('click', function(e){
		e.preventDefault();

		console.log('clicked');

		// vars
		var loc_id   = $(this).data('loc-id');
		var loc_type = $(this).data('loc-type');
		var post_url = '<?= $baseurl ?>' + '/admin/process-restore-loc.php';
		var num_rows = $('.total-rows').text();
		var wrapper  = '#tr-loc-' + loc_id;

		// post
		$.post(post_url, { loc_id: loc_id, loc_type: loc_type }, function(data) {
				console.log(data);
				if(data == '1') {
					// subtract from the total rows value
					var new_total = parseInt(num_rows) - 1;
					$('.total-rows').text(new_total);

					// page size
					page_size = page_size - 1;

					// hide row
					if (new_total > 0 && page_size > 0) {
						setTimeout(function(){
							$(wrapper).fadeOut('fast');
						}, 100);
					} else {
						window.location.href = '<?= $page_url ?><?= $page - 1 > 0 ? $page - 1 : 1 ?>';
					}
				} else {
					$(wrapper).empty();
					var removed_row = $('<td colspan="4"></td>');
					$(removed_row).text(data);
					$(removed_row).hide().appendTo(wrapper).fadeIn();
				}
			}
		);
	});
}());

/*--------------------------------------------------
Remove loc permanently
--------------------------------------------------*/
(function(){
	// on show modal
	$('#remove-loc-modal').on('show.bs.modal', function(e) {
		// show default message
		$('#remove-loc-modal .modal-body').empty();
		$('#remove-loc-modal .modal-body').html('<?= a($txt_remove_sure) ?>').fadeIn();

		// vars
		var button   = $(e.relatedTarget);
		var loc_id   = button.data('loc-id');
		var loc_type = button.data('loc-type');

		// add loc id value to button
		$('#remove-loc-confirm').attr('data-loc-id', loc_id);
		$('#remove-loc-confirm').attr('data-loc-type', loc_type);
	});

	// remove button in modal clicked
	$('#remove-loc-confirm').on('click', function(e){
		e.preventDefault();

		// vars
		var loc_id   = $('#remove-loc-confirm').attr('data-loc-id');
		var loc_type = $('#remove-loc-confirm').attr('data-loc-type');
		var post_url = '<?= $baseurl ?>' + '/admin/process-remove-loc-perm.php';
		var num_rows = $('.total-rows').text();
		var wrapper  = '#tr-loc-' + loc_id;

		// post
		var request = $.post(post_url, { loc_id: loc_id, loc_type: loc_type });

		// done
		request.done(function(data) {
			if(data == '1') {
				// subtract from the total rows value
				var new_total = parseInt(num_rows) - 1;
				$('.total-rows').text(new_total);

				// page size
				page_size = page_size - 1;

				// hide row
				if (new_total > 0 && page_size > 0) {
					setTimeout(function(){
						$(wrapper).fadeOut('fast');
					}, 100);
				} else {
					window.location.href = '<?= $page_url ?><?= $page - 1 > 0 ? $page - 1 : 1 ?>';
				}
			} else {
				$(wrapper).empty();
				var removed_row = $('<td colspan="4"></td>');
				$(removed_row).html(data);
				$(removed_row).hide().appendTo(wrapper).fadeIn();
			}
		});
	});
}());

/*--------------------------------------------------
Empty trash
--------------------------------------------------*/
(function(){
	// only reload if form is submitted
	var do_reload = false;

	// on show modal
	$('#empty-trash-modal').on('show.bs.modal', function (e) {
		// show default message
		$('#empty-trash-modal .modal-body').empty();
		$('#empty-trash-modal .modal-body').html('<?= a($txt_remove_all_sure) ?>').fadeIn();
	});

	// on hide modal
	$('#empty-trash-modal').on('hide.bs.modal', function (e) {
		if(do_reload) location.reload(true);
	});

	// empty button in modal clicked
	$('#empty-trash-confirm').on('click', function(e){
		e.preventDefault();

		// vars
		var post_url = '<?= $baseurl ?>' + '/admin/process-empty-trash-loc.php';
		var loc_type = $('.empty-trash').attr('data-loc-type');
		console.log('loc type is ' + loc_type);

		// post
		var request = $.post(post_url, { loc_type: loc_type });

		// done
		request.done(function(data) {
			console.log(data);
			if(data == '1') {
				// set reload to true for on hide modal event
				do_reload = true;

				// reload
				location.reload(true);
			} else {
				// show error message
				$('#empty-trash-modal .modal-body').empty();
				$('#empty-trash-modal .modal-body').html(data).fadeIn();
			}
		});
	});
}());
</script>
</body>
</html>