<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><!DOCTYPE html>
<!--[if IE 9]><html class="lt-ie10" lang="<?= $html_lang ?>"> <![endif]-->
<html lang="<?= $html_lang ?>">
<head>
<title><?= $txt_html_title ?></title>
<meta name="description" content="<?= $txt_meta_desc ?>">
<link rel="canonical" href="<?= $canonical ?>">
<?php require_once('head.php') ?>

<!-- Page CSS -->
<link rel="stylesheet" href="<?= $baseurl ?>/templates/js/raty/jquery.raty.css">
</head>
<body class="tpl-<?= $route[0] ?>">
<?php require_once('header.php') ?>

<div class="container mt-5">
	<h2 class="mb-5 text-center"><?= $txt_html_title ?></h2>

	<div class="d-sm-flex list-item mb-5 mx-3 mx-sm-0 featured">
		<a href="">
			<div class="thumb rounded" style="background-image: url('<?= $photo_url ?>');">
				<span class="cat-name-figure rounded p-2"><?= $cat_name ?></span>
			</div>
		</a>

		<div class="flex-grow-1 p-3 pl-4">
			<div class="d-flex mb-3">
				<div class="flex-grow-1">
					<h4 class="mb-2"><a href=""><?= $listing_title ?></a></h4>

					<div class="item-rating" data-rating="<?= $rating ?>">
						<!-- raty plugin placeholder -->
					</div>
				</div>
			</div>

			<div class="card-text mb-2">
				<?= $short_desc ?>
			</div>

			<hr>

			<div class="address">
				<strong>
				<?= !empty($address) ? $address : '' ?>
				<?= !empty($city_name) ? " - " . $city_name . ", " : '' ?>
				<?= !empty($state_abbr) ? $state_abbr : '' ?>
				<?= !empty($postal_code) ? $postal_code : '' ?></strong>
			</div>

			<?php
			if(!empty($v['area_code']) && !empty($v['phone'])) {
				?>
				<div class="tel">
					<a href="tel:<?= $area_code ?>-<?= $phone ?>"><strong><i class="las la-mobile-alt"></i> <?= $area_code ?>-<?= $phone ?></strong></a>
				</div>
				<?php
			}
			?>
		</div>
	</div>

	<?php
	// only allow claiming if listing_userid == 1
	if($listing_userid != 1) {
		?>
		<div class="alert alert-danger" role="alert"><?= $txt_claimed ?></div>
		<?php
	}

	else {
		// redirect if not logged in
		if(empty($userid)) {
			?>
			<div class="alert alert-danger" role="alert"><?= $txt_sign_in ?></div>
			<?php
		}

		else {
			?>
			<form method="post" id="create-listing-form" action="<?= $baseurl ?>/user/process-claim">
				<input type="hidden" name="listing_id" value="<?= $listing_id ?>">

				<div class="form-group">
					<label for="plan_uniqid">
						<strong><?= $txt_select_plan ?></strong>
						<?php
						if(!$is_admin) {
							?>
							<a href="<?= $baseurl ?>/user/select-plan" class="text-primary"><?= $txt_buy_credits ?></a>
							<?php
						}
						?>
					</label>

					<select id="plan_uniqid" name="plan_uniqid" class="form-control" required>
						<?php
						if(!$is_admin) {
							foreach($user_credits as $k => $v) {
								?>
								<option value="<?= $k ?>"><?= $plan_uniqid[$k] ?> (<?= str_replace('%credits%', $v, $txt_credits_remain) ?>)</option>
								<?php
							}
						}

						else {
							foreach($plans as $k => $v) {
								?>
								<option value="<?= $k ?>"><?= $v['plan_name'] ?></option>
								<?php
							}
						}
						?>
					</select>
				</div>

				<!-- Submit Form -->
				<div class="form-group mt-5">
					<button class="btn btn-primary"><?= $txt_submit ?></button>
				</div>
			</form>
		<?php
		}
	}
	?>
</div>

<!-- footer -->
<?php require_once('footer.php') ?>

</body>
</html>