<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><script>
'use strict';

// hide input field
(function() {
	$('input[name="password2"]').attr({ tabindex: "-1", autocomplete: "off", style: "display:none !important"});
}());

/*--------------------------------------------------
Register form
--------------------------------------------------*/
(function(){
	// cache selectors
	var btn_submit = $('#register-submit');

	// on submit
	btn_submit.on('click', function(e) {
		e.preventDefault();

		if(!$('#tos-check').prop('checked')) {
			$('#tos-check-label').addClass('text-danger');
			return false;
		}

		// check validity
		if($('#register-form')[0].checkValidity()) {
			// show submit spinner
			btn_submit.prepend('<?php include($cfg_loader_path) ?> ');
			btn_submit.prop('disabled', true);

			// vars
			var email = $('#email').val();
			var post_url = '<?= $baseurl ?>/user/process-register.php';

			// post
			var request = $.post(post_url, { params: $('#register-form').serialize() });

			// done
			request.done(function(data) {
				// remove tos check color
				$('#tos-check-label').removeClass('text-danger');

				// switch from result
				switch(data) {
					case '1':
						// success register
						$('#register-result').html('<p><strong><?= a($txt_acct_created) ?></strong></p><p><?= a($txt_acct_created_explain) ?></p>').fadeIn();

						// hide form
						$('#register-form').hide();

						break;
					case '2':
						// alert email already registered
						$('#register-result').html('<div class="alert alert-warning" role="alert"><?= a($txt_email_exists_explain) ?></div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					case '3':
						// alert database error
						$('#register-result').html('<div class="alert alert-warning" role="alert">Database error</div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					case '4':
						// alert invalid email
						$('#register-result').html('<div class="alert alert-warning" role="alert"><?= a($txt_invalid_email_explain) ?></div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					case '5':
						// alert empty fields
						$('#register-result').html('<div class="alert alert-warning" role="alert"><?= a($txt_missing_fields_explain) ?></div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					default:
						// code block
						$('#register-result').html('<div class="alert alert-warning" role="alert">' + data + '</div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);
				}
			});
		}

		else {
			$('#register-form')[0].reportValidity();
		}
	});
}());

</script>