<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><!DOCTYPE html>
<!--[if IE 9]><html class="lt-ie10" lang="<?= $html_lang ?>"> <![endif]-->
<html lang="<?= $html_lang ?>">
<head>
<title><?= $txt_html_title ?></title>
<meta name="description" content="<?= $txt_meta_desc ?>">
<link rel="canonical" href="<?= $canonical ?>">
<?php require_once(__DIR__ . '/../head.php') ?>
<?php require_once('user-head.php') ?>
</head>
<body class="tpl-user-my-reviews">
<?php require_once(__DIR__ . '/../header.php') ?>

<div class="container mt-5">
	<div class="row">
		<div class="col-md-4 col-lg-3 mb-5">
			<?php require_once('user-menu.php') ?>
		</div>

		<div class="col-md-8 col-lg-9">
			<h2 class="mb-5"><?= $txt_main_title ?></h2>

			<?php
			if(!empty($my_plans)) {
				?>
				<div class="d-flex">
					<div class="flex-grow-1"><span><?= $txt_total_rows ?>: <strong><?= count($my_plans) ?></strong></span></div>
				</div>

				<div class="table-responsive">
					<table class="table">
						<tr>
							<th><?= $txt_plan_name ?></th>
							<th><?= $txt_plan_type ?></th>
							<th><?= $txt_credits ?></th>
							<th><?= $txt_action ?></th>
						</tr>

						<?php
						foreach($my_plans as $k => $v) {
							?>
							<tr id="<?= $v['uniq_id'] ?>">
								<td><?= $v['plan_name'] ?></td>
								<td><?= $v['plan_type'] ?></td>
								<td><?= $v['credits'] ?></td>
								<td class="text-nowrap">
									<?php
									if($v['is_subscr']) {
										if($v['gateway'] != 'paypal') {
											?>
											<button class="btn btn-light btn-sm"
												data-toggle="modal"
												data-target="#cancel-plan-modal"
												data-gateway="<?= $v['gateway'] ?>"
												data-uniq_id="<?= $v['uniq_id'] ?>">
												<i class="lar la-trash-alt"></i> <?= $txt_cancel_plan ?></i>
											</button>
											<?php
										}

										else {
											?>
											<button class="btn btn-light btn-sm"
												data-toggle="modal"
												data-target="#cancel-plan-paypal-modal">
												<i class="lar la-trash-alt"></i> <?= $txt_cancel_plan ?></i>
											</button>
											<?php
										}
									}
									?>
								</td>
							</tr>
						<?php
						}
					?>
					</table>
				</div>
				<?php
			}

			else {
				?>
				<div class="my-5">
					<?= $txt_no_results ?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>

<!-- Cancel Plan Modal -->
<div class="modal fade" id="cancel-plan-modal" tabindex="-1" role="dialog" aria-labelledby="modal-title1">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 id="modal-title1" class="modal-title"><?= $txt_cancel_plan ?></h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<div id="result-spinner-1" style="display:hidden">
					<i class="las la-circle-notch la-spin"></i><span class="sr-only"><?= $txt_loading ?></span>
				</div>

				<div id="confirm-message-1">
					<?= $txt_cancel_confirm ?>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-light" data-dismiss="modal"><?= $txt_cancel ?></button>
				<button class="btn btn-primary cancel-plan" data-uniq_id data-gateway><?= $txt_cancel_plan ?></button>
			</div>
		</div>
	</div>
</div>

<!-- Cancel Plan Paypal Modal -->
<div class="modal fade" id="cancel-plan-paypal-modal" tabindex="-1" role="dialog" aria-labelledby="modal-title2">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 id="modal-title2" class="modal-title"><?= $txt_cancel_plan ?></h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<div id="result-spinner-2" style="display:hidden">
					<i class="las la-circle-notch la-spin"></i><span class="sr-only"><?= $txt_loading ?></span>
				</div>
				<div id="confirm-message-2">
					<?= $txt_cancel_paypal ?>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal"><?= $txt_cancel ?></button>
				<button class="btn btn-primary cancel-plan" data-dismiss="modal"><?= $txt_ok ?></button>
			</div>
		</div>
	</div>
</div>

<!-- footer -->
<?php require_once(__DIR__ . '/../footer.php') ?>

</body>
</html>
