<!DOCTYPE html>
<!--[if IE 9]><html class="lt-ie10" lang="<?= $html_lang ?>"> <![endif]-->
<html lang="<?= $html_lang ?>">
<head>
<title><?= $txt_html_title ?></title>
<?php require_once(__DIR__ . '/admin-head.php') ?>
</head>
<body class="tpl-admin-<?= $route[1] ?>">
<?php require_once(__DIR__ . '/../header.php') ?>

<div class="container mt-5">
	<div class="row">
		<div class="col-md-4 col-lg-3 mb-5">
			<?php include_once('admin-menu.php') ?>
		</div>

		<div class="col-md-8 col-lg-9">
			<h2 class="mb-5"><?= $txt_main_title ?></h2>

			<div class="mb-3">
				<form class="form-inline" action="<?= $baseurl ?>/admin/users" method="get">
					<input type="hidden" name="sort" value="<?= $sort ?>">
					<input type="text" class="form-control form-control-sm mb-2 mr-sm-2" id="s" name="s">

					<button type="submit" class="btn btn-primary btn-sm mb-2"><?= $txt_search ?></button>
				</form>
			</div>

			<div class="mb-3">
				<p><strong><?= $txt_sort ?>:</strong><br>
				<a href="<?= $baseurl ?>/admin/users?sort=name" class="btn btn-light btn-sm"><?= $txt_by_name ?></a>
				<a href="<?= $baseurl ?>/admin/users?sort=email" class="btn btn-light btn-sm"><?= $txt_by_email ?></a>
				<a href="<?= $baseurl ?>/admin/users?sort=date" class="btn btn-light btn-sm"><?= $txt_by_date ?></a>
				</p>
			</div>

			<?php
			if(!empty($users_arr)) {
				?>
				<div class="d-flex">
					<div class="flex-grow-1"><span><?= $txt_total_rows ?>: <strong><?= $total_rows ?></strong></span></div>
					<div><a href="<?= $baseurl ?>/admin/users-trash"><?= $txt_trash ?></a></div>
				</div>

				<div class="table-responsive">
					<table class="table">
						<tr>
							<th><?= $txt_id ?></th>
							<th><?= $txt_name ?></th>
							<th><?= $txt_email ?></th>
							<th><?= $txt_created ?></th>
							<th><?= $txt_action ?></th>
						</tr>
						<?php
						foreach($users_arr as $k => $v) {
							?>
							<tr id="user-<?= $v['id'] ?>">
								<td><?= $v['id'] ?></td>
								<td><a href="<?= $baseurl ?>/profile/<?= $v['id'] ?>" target="_blank" class="text-dark"><?= $v['name'] ?></a></td>
								<td><?= $v['email'] ?></td>
								<td><?= $v['created'] ?></td>
								<td>
									<?php
									if($v['status'] == 'pending') {
										?>
										<span data-toggle="tooltip"	title="<?= $txt_toggle_active ?>">
											<button class="btn btn-light btn-sm toggle-user-status"
												id="toggle-user-<?= $v['id'] ?>"
												data-user-id="<?= $v['id'] ?>"
												data-user-status="pending">
												<i class="fas fa-toggle-off" aria-hidden="true"></i>
											</button>
										</span>
										<?php
									}
									else {
										?>
										<span data-toggle="tooltip"	title="<?= $txt_toggle_active ?>">
											<button class="btn btn-success btn-sm toggle-user-status"
												id="toggle-user-<?= $v['id'] ?>"
												data-user-id="<?= $v['id'] ?>"
												data-user-status="approved">
												<i class="fas fa-toggle-on" aria-hidden="true"></i>
											</button>
										</span>
										<?php
									}
									?>

									<span id="profile-pic-btn-<?= $v['id'] ?>" data-toggle="tooltip" title="<?= $txt_approve_profile_pic ?>">
										<button class="btn btn-light btn-sm pending-profile-pic"
											data-id="<?= $v['id'] ?>"
											data-toggle="modal"
											data-target="#profile-pic-modal"
											data-profile-id="<?= $v['id'] ?>"
											data-profile-pic-folder="<?= $v['prof_pic_folder'] ?>"
											data-profile-pic-filename="<?= $v['prof_pic_url'] ?>">
											<i class="fas fa-camera"></i>
										</button>
									</span>

									<span id="userid-<?= $v['id'] ?>" data-toggle="tooltip" title="">
										<button class="btn btn-light btn-sm user-plans"
											data-id="<?= $v['id'] ?>"
											data-toggle="modal"
											data-target="#user-plans-modal"
											data-user_id="<?= $v['id'] ?>">
											<i class="fas fa-coins"></i>
										</button>
									</span>

									<span data-toggle="tooltip" title="<?= $txt_remove_user ?>">
										<a href="" class="btn btn-light btn-sm remove-user"
											data-user-id="<?= $v['id'] ?>">
											<i class="far fa-trash-alt"></i>
										</a>
									</span>
								</td>
							</tr>
							<?php
						}
						?>
					</table>
				</div>

				<nav>
					<ul class="pagination flex-wrap">
						<?php
						if($total_rows > 0) {
							include_once(__DIR__ . '/../../inc/pagination.php');
						}
						?>
					</ul>
				</nav>
			<?php
			}

			else {
				?>
				<div class="mt-5 mb-3">
					<?= $txt_no_results ?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>

<!--Profile Picture Modal -->
<div class="modal fade" id="profile-pic-modal" tabindex="-1" role="dialog" aria-labelledby="modal-title1">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 id="modal-title1" class="modal-title"><?= $txt_approve_profile_pic ?></h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">

			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-light btn-sm" data-dismiss="modal"><?= $txt_cancel ?></button>
				<button type="button" class="btn btn-light btn-sm pic-delete" data-dismiss="modal" data-delete-id><?= $txt_delete ?></button>
			</div>
		</div>
	</div>
</div>

<!-- User Plans Modal -->
<div class="modal fade" id="user-plans-modal" tabindex="-1" role="dialog" aria-labelledby="modal-title2">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 id="modal-title2" class="modal-title"><?= $txt_user_plans ?></h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<div class="user-plans-list justify-content-center">
					<i class="fas fa-circle-notch fa-spin"></i>
				</div>

				<div id="add-credits-form-wrapper">
					<?php
					if(!empty($plans_arr)) {
						?>
						<h5><?= $txt_add_credits ?></h5>

						<div id="add-credits-form-results"></div>

						<form id="add-credits-form" method="post">
							<input type="hidden" id="credited_user" name="credited_user">

							<div class="form-group">
								<label class="label" for="plan_name"><strong><?= $txt_select_plan ?></strong></label>
								<select id="plan_id" name="plan_id" class="form-control">
									<?php
									foreach($plans_arr as $k => $v) {
										?>
										<option value="<?= $v['plan_id'] ?>"><?= $v['plan_name'] ?> (<?= $v['plan_credits'] ?>)</option>
										<?php
									}
									?>
								</select>
							</div>

							<div class="form-group">
								<label class="label" for="credits_amount"><strong><?= $txt_credits_amount ?></strong></label>
								<input type="text" id="credits_amount" name="credits_amount" class="form-control" required>
							</div>
						</form>
						<?php
					}
					?>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-light btn-sm dismiss" data-dismiss="modal"><?= $txt_cancel ?></button>
				<button id="add-credits-submit" class="btn btn-primary btn-sm"><?= $txt_submit ?></button>
			</div>
		</div>
	</div>
</div>

<!-- Cancel Plan Modal -->
<div class="modal fade" id="cancel-plan-modal" tabindex="-1" role="dialog" aria-labelledby="modal-title1">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 id="modal-title1" class="modal-title"><?= $txt_cancel_plan ?></h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<?= $txt_cancel_confirm ?>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-light" data-dismiss="modal"><?= $txt_cancel ?></button>
				<button class="btn btn-primary cancel-plan" data-dismiss="modal" data-uniq_id data-gateway data-user_id><?= $txt_cancel_plan ?></button>
			</div>
		</div>
	</div>
</div>

<!-- Cancel Plan Paypal Modal -->
<div class="modal fade" id="cancel-plan-paypal-modal" tabindex="-1" role="dialog" aria-labelledby="modal-title2">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 id="modal-title2" class="modal-title"><?= $txt_cancel_plan ?></h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<?= $txt_cancel_paypal ?>
			</div>
			<div class="modal-footer">
				<button class="btn btn-primary cancel-plan" data-dismiss="modal"><?= $txt_ok ?></button>
			</div>
		</div>
	</div>
</div>

<!-- admin footer -->
<?php require_once(__DIR__ . '/admin-footer.php') ?>

<!-- javascript -->
<script>
// user status
(function(){
	$('.toggle-user-status').on('click', function(e) {
		e.preventDefault();
		var user_id     = $(this).data('user-id');
		var post_url    = '<?= $baseurl ?>' + '/admin/process-toggle-user-status.php';
		var user_status = $(this).data('user-status');

		$.post(post_url, {
			user_id    : user_id,
			user_status: user_status
			},
			function(data) {
				if(data == 'approved') {
					$('#toggle-user-' + user_id).removeClass('btn-light');
					$('#toggle-user-' + user_id).addClass('btn-success');
					$('#toggle-user-' + user_id + ' i').removeClass('fa-toggle-off');
					$('#toggle-user-' + user_id + ' i').addClass('fa-toggle-on');
					$('#toggle-user-' + user_id).data('user-status', 'approved');
				}

				if(data == 'pending') {
					$('#toggle-user-' + user_id).removeClass('btn-success');
					$('#toggle-user-' + user_id).addClass('btn-light');
					$('#toggle-user-' + user_id + ' i').removeClass('fa-toggle-on');
					$('#toggle-user-' + user_id + ' i').addClass('fa-toggle-off');
					$('#toggle-user-' + user_id).data('user-status', 'pending');
				}
			}
		);
	});
}());

// profile pic modal
(function(){
	// on show profile-pic-modal
	$('#profile-pic-modal').on('show.bs.modal', function (event) {
		var button = $(event.relatedTarget);
		var profile_id = button.data('profile-id');
		var filename = button.data('profile-pic-filename');
		var modal = $(this);

		modal.find('.pic-approve').attr('data-approve-id', profile_id);
		modal.find('.pic-delete').attr('data-delete-id', profile_id);
		modal.find('.modal-body').empty();
		modal.find('.modal-body').prepend('<img src="' + filename + '" class="modal-profile-pic" />');
	});

	// delete profile pic
	$('.pic-delete').on('click', function(e) {
		e.preventDefault();
		var delete_id = $(this).attr('data-delete-id');
		var post_url = '<?= $baseurl ?>' + '/admin/moderate-profile-pic.php';
		var btn_wrapper = '#profile-pic-btn-' + delete_id;

		$.post(post_url, {
			delete_id: delete_id,
			operation: 'delete'
			},
			function(data) {
				$(btn_wrapper).empty();
			}
		);
	});
}());

// user plans modal
(function(){
	// on show user-plans-modal
	$('#user-plans-modal').on('show.bs.modal', function (event) {
		var button = $(event.relatedTarget);
		var user_id = button.data('user_id');
		var modal = $(this);

		// setup modal body
		$('#add-credits-form-results').empty();
		$('#add-credits-form').show();

		// setup modal buttons
		$('#add-credits-submit').show();
		$('.dismiss').empty().html('<?= $txt_cancel ?>');

		// add user_id to hidden input field
		$('#credited_user').val(user_id);

		// ajax
		var post_url = '<?= $baseurl ?>' + '/admin/get-user-plans.php';

		$.post(post_url, { user_id: user_id },
			function(data) {
				modal.find('.user-plans-list').empty();
				modal.find('.user-plans-list').html(data);
			}
		);
	});

	// add credits
    $('#add-credits-submit').on('click', function(e){
		e.preventDefault();

		var post_url = '<?= $baseurl ?>' + '/admin/process-add-credits.php';

		$.post(post_url, {
			params: $('form#add-credits-form').serialize(),
			},
			function(data) {
				$('#add-credits-form').hide();
				$('#add-credits-form-results').html(data);
				$('#add-credits-submit').hide();
				$('.dismiss').empty().html('<?= $txt_ok ?>');
			}
		);
    });
}());

// cancel plan modal
(function(){
	// on show
	$('#cancel-plan-modal').on('show.bs.modal', function (event) {
		var button = $(event.relatedTarget);
		var uniq_id = button.data('uniq_id');
		var user_id = button.data('user_id');
		var gateway = button.data('gateway');
		var modal = $(this);

		console.log(uniq_id);
		console.log(gateway);

		modal.find('.modal-title').text(button.data('title'));
		modal.find('.cancel-plan').data('uniq_id', uniq_id);
		modal.find('.cancel-plan').data('user_id', user_id);
		modal.find('.cancel-plan').data('gateway', gateway);
	});

	// on submit
	$('.cancel-plan').on('click', function(e) {
		e.preventDefault();
		var uniq_id = $(this).data('uniq_id');
		var user_id = $(this).data('user_id');
		var gateway = $(this).data('gateway');

		// ajax request
		var post_url = '<?= $baseurl ?>' + '/admin/process-cancel-plan.php';

		$.post(post_url, {
			uniq_id: uniq_id,
			user_id: user_id,
			gateway: gateway
			},
			function(data) {
				console.log(data);
				location.reload(true);
			}
		);
	});
}());

// remove user
(function(){
	$('.remove-user').on('click', function(e) {
		e.preventDefault();
		var user_id = $(this).data('user-id');
		var post_url = '<?= $baseurl ?>' + '/admin/process-remove-user.php';
		var tr = '#user-' + user_id;

		$.post(post_url, {
			user_id: user_id
			},
			function(data) {
				$(tr).hide();
			}
		);
	});
}());
</script>

</body>
</html>