<!DOCTYPE html>
<!--[if IE 9]><html class="lt-ie10" lang="<?= $html_lang ?>"> <![endif]-->
<html lang="<?= $html_lang ?>">
<head>
<title><?= $txt_html_title ?></title>
<?php require_once(__DIR__ . '/admin-head.php') ?>
</head>
<body class="tpl-admin-<?= $route[1] ?>">
<?php require_once(__DIR__ . '/../header.php') ?>

<div class="container mt-5">
	<div class="row">
		<div class="col-md-4 col-lg-3 mb-5">
			<?php include_once('admin-menu.php') ?>
		</div>

		<div class="col-md-8 col-lg-9">
			<h2 class="mb-5"><?= $txt_main_title ?></h2>
			<!-- Tabs -->
			<div class="mb-3">
				<ul id="settings-tab" class="nav nav-tabs" role="tablist">
					<li class="nav-item">
						<a href="#general-panel" id="general-tab" class="nav-link" data-toggle="tab"><?= $txt_tab_general ?></a>
					</li>

					<li class="nav-item">
						<a href="#maps-panel" id="email-tab" class="nav-link" data-toggle="tab"><?= $txt_maps ?></a>
					</li>

					<li class="nav-item">
						<a href="#email-panel" id="email-tab" class="nav-link" data-toggle="tab"><?= $txt_tab_email ?></a>
					</li>

					<li class="nav-item">
						<a href="#apis-panel" id="apis-tab" class="nav-link" data-toggle="tab"><?= $txt_tab_apis ?></a>
					</li>

					<li class="nav-item dropdown">
						<a href="#" id="payment-dropdown" class="nav-link dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><?= $txt_tab_payment ?></a>
						<div class="dropdown-menu">
							<a href="#paypal-panel" class="dropdown-item" data-toggle="tab">Paypal</a>
							<a href="#stripe-panel" class="dropdown-item" data-toggle="tab">Stripe</a>
							<!--<a href="#mercadopago-panel" class="dropdown-item" data-toggle="tab">MercadoPago</a>-->
						</div>
					</li>
				</ul>
			</div>

			<!-- Tab contents -->
			<form method="post" action="<?= $baseurl ?>/admin/process-settings">
				<input type="hidden" name="csrf_token" value="<?= session_id() ?>">

				<div class="tab-content" id="tab-content">

					<!-- General tab -->
					<div id="general-panel" class="tab-pane fade show active" role="tabpanel">
						<div class="form-group">
							<strong><?= $txt_site_name ?></strong>
							<input type="text" id="site_name" name="site_name" class="form-control" value="<?= $site_name ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_html_lang ?></strong><br>
							<?= $txt_html_lang_explain ?>

							<select id="html_lang" name="html_lang" class="form-control">
								<?php
								foreach($iso_639_1 as $v) {
									$selected = '';
									if($v == $html_lang) $selected = 'selected'
									?>
									<option value="<?= $v ?>" <?= $selected ?>><?= $v ?></option>
									<?php
								}
								?>
							</select>
						</div>

						<div class="form-group">
							<strong><?= $txt_items_per_page ?></strong><br>
							<?= $txt_items_per_page_explain ?>
							<input type="number" id="items_per_page" name="items_per_page" class="form-control" value="<?= $items_per_page ?>">
						</div>

						<div class="form-group">
							<?= $txt_permalink_struct ?><br>
							<?= $txt_permalink_struct_explain ?>
							<input type="text" id="cfg_permalink_struct" name="cfg_permalink_struct" class="form-control" value="<?= $cfg_permalink_struct == 'listing' ? '' : $cfg_permalink_struct ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_max_pics ?></strong><br>
							<?= $txt_max_pics_explain ?>
							<input type="number" id="max_pics" name="max_pics" class="form-control" value="<?= $max_pics ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_mail_after_post ?></strong><br>
							<select id="mail_after_post" name="mail_after_post" class="form-control">
								<option value="0" <?php if ($mail_after_post == 0) echo 'selected' ?>><?= $txt_no ?></option>
								<option value="1" <?php if ($mail_after_post == 1) echo 'selected' ?>><?= $txt_yes ?></option>
							</select>
						</div>

						<div class="form-group">
							<strong><?= $txt_maintenance_mode ?></strong><br>
							<select id="maintenance_mode" name="maintenance_mode" class="form-control">
								<option value="0" <?php if ($maintenance_mode == 0) echo 'selected' ?>><?= $txt_no ?></option>
								<option value="1" <?php if ($maintenance_mode == 1) echo 'selected' ?>><?= $txt_yes ?></option>
							</select>
						</div>

						<div class="form-group">
							<strong><?= $txt_timezone ?></strong><br>
							<?= $txt_timezone_explain ?>
							<select id="timezone" name="timezone" class="form-control">
								<?php
								foreach($timezone_identifiers as $v) {
									$selected = '';
									if($v == $timezone) $selected = 'selected'
									?>
									<option value="<?= $v ?>" <?= $selected ?>><?= $v ?></option>
									<?php
								}
								?>
							</select>
						</div>

						<div class="form-group">
							<strong><?= $txt_languages ?></strong> (Ex: en,es,de)<br>
							<input type="text" id="cfg_languages" name="cfg_languages" class="form-control" value="<?= implode(',',$cfg_languages) ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_date_format ?></strong> (<a href="http://php.net/manual/en/datetime.formats.date.php">example</a>)<br>
							<input type="text" id="cfg_date_format" name="cfg_date_format" class="form-control" value="<?= $cfg_date_format ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_latest_listings_count ?></strong><br>
							<input type="number" id="cfg_latest_listings_count" name="cfg_latest_listings_count" class="form-control" value="<?= $cfg_latest_listings_count ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_notify_user_created ?></strong><br>
							<select id="user_created_notify" name="user_created_notify" class="form-control">
								<option value="0" <?php if ($user_created_notify == 0) echo 'selected' ?>><?= $txt_no ?></option>
								<option value="1" <?php if ($user_created_notify == 1) echo 'selected' ?>><?= $txt_yes ?></option>
							</select>
						</div>

						<div class="form-group">
							<strong><?= $txt_logo_width ?></strong><br>
							<input type="number" id="site_logo_width" name="site_logo_width" class="form-control" value="<?= $site_logo_width ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_decimal_separator ?></strong><br>
							<input type="text" id="cfg_decimal_sep" name="cfg_decimal_sep" class="form-control" value="<?= $cfg_decimal_sep ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_thousands_separator ?></strong><br>
							<input type="text" id="cfg_thousands_sep" name="cfg_thousands_sep" class="form-control" value="<?= $cfg_thousands_sep ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_contact_seller_subject ?></strong><br>
							<input type="text" id="cfg_contact_seller_subject" name="cfg_contact_seller_subject" class="form-control" value="<?= $cfg_contact_seller_subject ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_contact_user_subject ?></strong><br>
							<input type="text" id="cfg_contact_user_subject" name="cfg_contact_user_subject" class="form-control" value="<?= $cfg_contact_user_subject ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_currency_symbol_pos ?></strong><br>
							<select class="form-control" name="cfg_cur_symbol_pos">
								<option value="left" <?php if ($cfg_cur_symbol_pos == 'left') echo 'selected' ?>><?= $txt_left ?></option>
								<option value="right" <?php if ($cfg_cur_symbol_pos == 'right') echo 'selected' ?>><?= $txt_right ?></option>
							</select>
						</div>

						<div class="form-group">
							<strong><?= $txt_currency_has_cents ?></strong><br>
							<select id="cfg_show_cents" name="cfg_show_cents" class="form-control">
								<option value="0" <?php if ($cfg_show_cents == 0) echo 'selected' ?>><?= $txt_no ?></option>
								<option value="1" <?php if ($cfg_show_cents == 1) echo 'selected' ?>><?= $txt_yes ?></option>
							</select>
						</div>

						<div class="form-group">
							<strong><?= $txt_use_select_search ?></strong><br>
							<select id="cfg_use_select2" name="cfg_use_select2" class="form-control">
								<option value="0" <?php if ($cfg_use_select2 == 0) echo 'selected' ?>><?= $txt_no ?></option>
								<option value="1" <?php if ($cfg_use_select2 == 1) echo 'selected' ?>><?= $txt_yes ?></option>
							</select>
						</div>

						<div class="form-group">
							<strong>Jumbotron</strong><br>
							<select id="cfg_show_jumbotron" name="cfg_show_jumbotron" class="form-control">
								<option value="0" <?php if ($cfg_show_jumbotron == 0) echo 'selected' ?>><?= $txt_no ?></option>
								<option value="1" <?php if ($cfg_show_jumbotron == 1) echo 'selected' ?>><?= $txt_yes ?></option>
							</select>
						</div>
					</div>

					<!-- Maps pane -->
					<div id="maps-panel" class="tab-pane fade" role="tabpanel">
						<div class="form-group">
							<strong><?= $txt_map_provider ?></strong><br>
							<input type="checkbox" name="map_provider[]" <?= $mapbox_checked ?> value="MapBox"> MapBox<br>
							<input type="checkbox" name="map_provider[]" <?= $wikimedia_checked ?> value="Wikimedia"> Wikimedia<br>
							<input type="checkbox" name="map_provider[]" <?= $osm_checked ?> value="OpenStreetMap"> OpenStreetMap<br>
							<input type="checkbox" name="map_provider[]" <?= $tomtom_checked ?> value="TomTom"> TomTom<br>
							<input type="checkbox" name="map_provider[]" <?= $here_checked ?> value="HERE"> HERE<br>
							<input type="checkbox" name="map_provider[]" <?= $google_checked ?> value="Google"> Google<br>
							<input type="checkbox" name="map_provider[]" <?= $cartov_checked ?> value="CartoDB.Voyager"> CartoDB.Voyager<br>
							<input type="checkbox" name="map_provider[]" <?= $cartop_checked ?> value="CartoDB.Positron"> CartoDB.Positron<br>
							<input type="checkbox" name="map_provider[]" <?= $stamen_checked ?> value="Stamen.Terrain"> Stamen.Terrain<br>
						</div>

						<div class="form-group">
							<strong><?= $txt_show_map ?></strong><br>
							<select id="cfg_show_map" name="cfg_show_map" class="form-control">
								<option value="0" <?= $cfg_show_map == 0 ? 'selected' : '' ?>><?= $txt_no ?></option>
								<option value="1" <?= $cfg_show_map == 1 ? 'selected' : '' ?>><?= $txt_yes ?></option>
							</select>
						</div>

						<div class="form-group">
							<strong><?= $txt_default_lat ?></strong><br>
							<input type="text" id="default_lat" name="default_lat" class="form-control" value="<?= $default_lat ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_default_lng ?></strong><br>
							<input type="text" id="default_lng" name="default_lng" class="form-control" value="<?= $default_lng ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_nearby_filter_values ?></strong><br>
							<input type="text" id="cgf_max_dist_values" name="cgf_max_dist_values" class="form-control" value="<?= $cgf_max_dist_values ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_distance_unit ?></strong><br>
							<select id="cgf_max_dist_unit" name="cgf_max_dist_unit" class="form-control">
								<option value="km" <?= $cgf_max_dist_unit == 'km' ? 'selected' : '' ?>>km</option>
								<option value="miles" <?= $cgf_max_dist_unit == 'miles' ? 'selected' : '' ?>>miles</option>
							</select>
						</div>

						<div class="form-group">
							<strong><?= $txt_near_radius ?></strong><br>
							<input type="number" id="cgf_near_listings_radius" name="cgf_near_listings_radius" class="form-control" value="<?= $cgf_near_listings_radius ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_country_name ?></strong><br>
							<input type="text" id="country_name" name="country_name" class="form-control" value="<?= $country_name ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_country_code ?></strong><br>
							<?= $txt_country_code_explain ?>

							<select id="default_country_code" name="default_country_code" class="form-control">
								<?php
								foreach($iso_3166_1 as $v) {
									$selected = '';
									if($v == $default_country_code) $selected = 'selected'
									?>
									<option value="<?= $v ?>" <?= $selected ?>><?= $v ?></option>
									<?php
								}
								?>
							</select>
						</div>

						<div class="form-group">
							<strong><?= $txt_default_city_id ?></strong><br>
							<?= $txt_default_city_id_explain ?>
							<input type="number" id="default_loc_id" name="default_loc_id" class="form-control" value="<?= $default_loc_id ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_default_city_slug ?></strong><br>
							<?= $txt_default_city_slug_explain ?>
							<input type="text" id="default_city_slug" name="default_city_slug" class="form-control" value="<?= $default_city_slug ?>">
						</div>
					</div>

					<!-- Email tab -->
					<div id="email-panel" class="tab-pane fade" role="tabpanel">
						<div class="form-group">
							<strong><?= $txt_admin_email ?></strong>
							<input type="text" id="admin_email" name="admin_email" class="form-control" value="<?= $admin_email ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_dev_email ?></strong>
							<input type="text" id="dev_email" name="dev_email" class="form-control" value="<?= $dev_email ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_smtp_server ?></strong>
							<input type="text" id="smtp_server" name="smtp_server" class="form-control" value="<?= $smtp_server ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_smtp_user ?></strong>
							<input type="text" id="smtp_user" name="smtp_user" class="form-control" value="<?= $smtp_user ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_smtp_pass ?></strong>
							<input type="<?= $input_password ?>" id="smtp_pass" name="smtp_pass" class="form-control" value="<?= $smtp_pass ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_smtp_port ?></strong>
							<input type="text" id="smtp_port" name="smtp_port" class="form-control" value="<?= $smtp_port ?>">
						</div>
					</div>

					<!-- Apis tab -->
					<div id="apis-panel" class="tab-pane fade" role="tabpanel">
						<div class="form-group">
							<strong><?= $txt_gmaps_key ?></strong><br>
							<?= $txt_gmaps_key_explain ?>
							<input type="<?= $input_password ?>" id="google_key" name="google_key" class="form-control" value="<?= $google_key ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_facebook_key ?></strong><br>
							<?= $txt_facebook_key_explain ?>
							<input type="text" id="facebook_key" name="facebook_key" class="form-control" value="<?= $facebook_key ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_facebook_secret ?></strong><br>
							<input type="<?= $input_password ?>" id="facebook_secret" name="facebook_secret" class="form-control" value="<?= $facebook_secret ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_twitter_key ?></strong><br>
							<?= $txt_twitter_key_explain ?>
							<input type="text" id="twitter_key" name="twitter_key" class="form-control" value="<?= $twitter_key ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_twitter_secret ?></strong><br>
							<input type="<?= $input_password ?>" id="twitter_secret" name="twitter_secret" class="form-control" value="<?= $twitter_secret ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_disqus_shortname ?></strong><br>
							<input type="text" id="disqus_shortname" name="disqus_shortname" class="form-control" value="<?= $disqus_shortname ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_mapbox_secret ?></strong><br>
							<input type="<?= $input_password ?>" id="mapbox_secret" name="mapbox_secret" class="form-control" value="<?= $mapbox_secret ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_tomtom_secret ?></strong><br>
							<input type="<?= $input_password ?>" id="tomtom_secret" name="tomtom_secret" class="form-control" value="<?= $tomtom_secret ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_here_key ?></strong><br>
							<input type="<?= $input_password ?>" id="here_key" name="here_key" class="form-control" value="<?= $here_key ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_here_secret ?></strong><br>
							<input type="<?= $input_password ?>" id="here_secret" name="here_secret" class="form-control" value="<?= $here_secret ?>">
						</div>
					</div><!-- .tab-pane -->

					<!-- Payments -->
					<!-- Paypal -->
					<div id="paypal-panel" class="tab-pane fade" role="tabpanel">
						<p><strong><?= $txt_paypal_header ?></strong></p>

						<div class="form-group">
							<strong><?= $txt_paypal_mode ?></strong><br>
							<input type="radio" id="paypal_mode_live" name="paypal_mode" value="1" <?= $checked_live ?>>
							<label for="paypal_mode_live"><?= $txt_live ?></label>
							<br>
							<input type="radio" id="paypal_mode_sandbox" name="paypal_mode" value="0" <?= $checked_sandbox ?>>
							<label for="paypal_mode_sandbox"><?= $txt_sandbox ?></label>
							<br>
							<input type="radio" id="paypal_mode_disabled" name="paypal_mode" value="-1" <?= $checked_disabled ?>>
							<label for="paypal_mode_disabled"><?= ucfirst($txt_disabled) ?></label>
						</div>

						<div class="form-group">
							<strong><?= $txt_paypal_merchant_id ?></strong><br>
							<input type="text" id="paypal_merchant_id" name="paypal_merchant_id" class="form-control" value="<?= $paypal_merchant_id ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_paypal_sandbox_merch_id ?></strong><br>
							<input type="text" id="paypal_sandbox_merch_id" name="paypal_sandbox_merch_id" class="form-control" value="<?= $paypal_sandbox_merch_id ?>">
						</div>

						<input type="hidden" id="paypal_bn" name="paypal_bn" class="form-control" value="<?= $paypal_bn ?>">

						<div class="form-group">
							<strong><?= $txt_paypal_checkout_logo_url ?></strong><br>
							<?= $txt_paypal_checkout_logo_url_explain ?>
							<input type="text" id="paypal_checkout_logo_url" name="paypal_checkout_logo_url" class="form-control" value="<?= $paypal_checkout_logo_url ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_currency_code ?></strong><br>
							<?= $txt_currency_code_explain ?>
							<input type="text" id="currency_code" name="currency_code" class="form-control" value="<?= $currency_code ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_currency_symbol ?></strong><br>
							<input type="text" id="currency_symbol" name="currency_symbol" class="form-control" value="<?= $currency_symbol ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_paypal_locale ?></strong><br>
							<select id="paypal_locale" name="paypal_locale" class="form-control">
								<?php
								foreach($paypal_locale_identifiers as $v) {
									$selected = '';
									if($v == $paypal_locale) $selected = 'selected'
									?>
									<option value="<?= $v ?>" <?= $selected ?>><?= $v ?></option>
									<?php
								}
								?>
							</select>
						</div>
					</div>

					<!-- Stripe tab -->
					<div id="stripe-panel" class="tab-pane fade" role="tabpanel">
						<p><strong><?= $txt_stripe_header ?></strong></p>

						<div class="form-group">
							<strong><?= $txt_gateway_mode ?></strong><br>
							<input type="radio" id="stripe_mode_live" name="stripe_mode" value="1" <?= $stripe_checked_live ?>>
							<label for="stripe_mode_live"><?= $txt_live ?></label><br>
							<input type="radio" id="stripe_mode_test" name="stripe_mode" value="0" <?= $stripe_checked_sandbox ?>>
							<label for="stripe_mode_test"><?= $txt_stripe_test_mode ?></label><br>
							<input type="radio" id="stripe_mode_disabled" name="stripe_mode" value="-1" <?= $stripe_checked_disabled ?>>
							<label for="stripe_mode_disabled"><?= ucfirst($txt_disabled) ?></label>
						</div>

						<div class="form-group">
							<strong><?= $txt_test_secret_key ?></strong><br>
							<input type="text" id="stripe_test_secret_key" name="stripe_test_secret_key" class="form-control" value="<?= $stripe_test_secret_key ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_test_publishable_key ?></strong><br>
							<input type="text" id="stripe_test_publishable_key" name="stripe_test_publishable_key" class="form-control" value="<?= $stripe_test_publishable_key ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_live_secret_key ?></strong><br>
							<input type="text" id="stripe_live_secret_key" name="stripe_live_secret_key" class="form-control" value="<?= $stripe_live_secret_key ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_live_publishable_key ?></strong><br>
							<input type="text" id="stripe_live_publishable_key" name="stripe_live_publishable_key" class="form-control" value="<?= $stripe_live_publishable_key ?>">
						</div>

						<div class="form-group">
							<strong>(data-currency)</strong> [<a href="https://support.stripe.com/questions/which-currencies-does-stripe-support" target="_blank"><?= $txt_stripe_currency_code ?></a>]<br>
							<input type="text" id="stripe_data_currency" name="stripe_data_currency" class="form-control" value="<?= $stripe_data_currency ?>">
						</div>

						<div class="form-group">
							<strong><?= $txt_currency_symbol ?></strong><br>
							<input type="text" id="stripe_currency_symbol" name="stripe_currency_symbol" class="form-control" value="<?= $stripe_currency_symbol ?>">
						</div>

						<div class="form-group">
							<strong>(data-image)</strong><br>
							<input type="text" id="stripe_data_image" name="stripe_data_image" class="form-control" value="<?= $stripe_data_image ?>">
						</div>

						<div class="form-group">
							<strong>(data-description)</strong><br>
							<input type="text" id="stripe_data_description" name="stripe_data_description" class="form-control" value="<?= $stripe_data_description ?>">
						</div>
					</div>
				</div>

				<div class="form-group submit-row">
					<button id="submit" name="submit" class="btn btn-primary"><?= $txt_save ?></button>
				</div>
			</form>
		</div>
	</div>
</div>

<!-- admin footer -->
<?php require_once(__DIR__ . '/admin-footer.php') ?>

<!-- javascript -->
<script>
$('#settingsTabs a:first').on('click', function (e) {
	e.preventDefault();
	$(this).tab('show');
})
</script>

</body>
</html>