<!-- Scripts -->
<script src="<?= $baseurl ?>/assets/js/jquery-price-format.js"></script>

<script>
/*--------------------------------------------------
Distance filter
--------------------------------------------------*/
<?php
if(empty($_COOKIE['user_lat']) && empty($_COOKIE['user_lng'])) {
	?>
	(function(){
		$('#dropdown-menu-nearby').on('click', function(e){
			if(cookieEnabled() === true) {
				if ('geolocation' in navigator) {
					navigator.geolocation.getCurrentPosition(function(position) {
						// user coords
						var user_lat = position.coords.latitude;
						var user_lng = position.coords.longitude;

						// send request, response is json object containing city id, name, state, state id
						var url = '<?= $baseurl ?>/inc/nearest-location.php';

						// ajax post
						$.post(url, {
							lat: user_lat,
							lng: user_lng
						}, function(data) {
							// parse json response
							data = JSON.parse(data);
							console.log(data);

							// create cookie
							createCookie('geo_city_id', data.city_id, 14);
							createCookie('geo_city_name', data.city_name, 14);
							createCookie('geo_city_slug', data.city_slug, 14);
							createCookie('geo_state', data.state_abbr, 14);
							createCookie('user_lat', user_lat, 14);
							createCookie('user_lng', user_lng, 14);

							// reload
							location.reload(true);
						});
					});
				}
			}
		});
	}());
	<?php
}
?>

/*--------------------------------------------------
Add to Favorites
--------------------------------------------------*/
$(function() {
    addToFavorites();
});

/*--------------------------------------------------
Map setup
--------------------------------------------------*/
<?php
if($cfg_show_map) {
	if($cfg_show_maps_on_listings) {
		?>
		(function(){
			$('#listings-map-wrapper').hide();

			$('#map-switcher').on('click', function(){
				$('#listings-map-wrapper').toggle();
				<?php
				if(!empty($results_arr)) {
					if($map_provider !== "Google") {
						?>
						var resultsObj = <?= json_encode($results_arr) ?>;

						/*--------------------------------------------------
						Create Map
						--------------------------------------------------*/
						// map_provider_options is defined in 'inc/map-provider-options.php'
						<?php
						if($map_provider == 'Tomtom') {
							?>
							var mymap = new L.Map("map-canvas", map_provider_options);
							<?php
						}

						else {
							?>
							var mymap = L.map("map-canvas").setView([0, 0], 13);

							L.tileLayer.provider("<?= $map_provider ?>", map_provider_options).addTo(mymap);
							<?php
						}
						?>

						// select method
						var method = 0;

						/*--------------------------------------------------
						Method 0 (New)
						--------------------------------------------------*/
						if(method == 0) {
							var markerArray = [];

							resultsObj.forEach(function (obj) {
								var m = L.marker([obj.ad_lat, obj.ad_lng]).addTo(mymap);

								var p = new L.Popup({ autoClose: false, closeOnClick: false })
									.setContent('<a href="' + obj.ad_link + '" target="_blank">' + obj.ad_title + '</a>')
									.setLatLng([obj.ad_lat, obj.ad_lng]);

								m.bindPopup(p).openPopup();

								markerArray.push(m);
							});

							var group = L.featureGroup(markerArray).addTo(mymap);
							mymap.fitBounds(group.getBounds());
						}

						/*--------------------------------------------------
						Method 1 (old)
						--------------------------------------------------*/
						if(method == 3) {
							var markerArray = [];

							// set markers
							for (var k in resultsObj) {
								var p = resultsObj[k];

								var marker = L.marker([p.ad_lat, p.ad_lng])
								.bindPopup('<a href="' + p.ad_link + '" target="_blank">' + p.ad_title + '</a>')
								.addTo(mymap);

								markerArray.push(marker);
							}

							var group = L.featureGroup(markerArray).addTo(mymap);
							mymap.fitBounds(group.getBounds());

							/*--------------------------------------------------
							Events
							--------------------------------------------------*/
							$(".item-list .list-item").on('mouseover', function() {
								if($('#listings-map-wrapper').is( ":visible" )) {
									var ad_id = this.getAttribute("data-listing-id");
									var result = resultsObj.filter(function( obj ) {
										return obj.ad_id == ad_id;
									});

									var tooltipPopup = L.popup({ offset: L.point(0, -20)});
									tooltipPopup.setContent(result[0].ad_title);
									tooltipPopup.setContent('<a href="' + result[0].ad_link + '" target="_blank">' + result[0].ad_title + '</a>');
									tooltipPopup.setLatLng([result[0].ad_lat, result[0].ad_lng]);
									tooltipPopup.openOn(mymap);
								}
							});
						}
						<?php
					}

					if($map_provider == "Google") {
						?>
						var results_obj = <?= json_encode($results_arr) ?>;
						var infowindow;
						var map;

						function initialize() {
							var markers = {};
							var infoboxcontents = {};

							// set map options
							var mapOptions = {
								zoom: 5,
								maxZoom: 15
							};

							// instantiate map
							var map = new google.maps.Map(document.getElementById('map-canvas'), mapOptions);
							var bounds = new google.maps.LatLngBounds();
							var infowindow = new google.maps.InfoWindow();

							// $results_arr[] = array("ad_id" => $listing_id, "ad_lat" => $ad_lat, "ad_lng" => $ad_lng, "ad_title" => $ad_title, "ad_link" => $ad_link, "count" => $count);

							// set markers
							for (var k in results_obj) {
								var p = results_obj[k];
								var latlng = new google.maps.LatLng(p.ad_lat, p.ad_lng);
								bounds.extend(latlng);

								var marker_icon = '<?= $baseurl ?>/imgs/marker1.png';

								// place markers
								var marker = new google.maps.Marker({
									position: latlng,
									map: map,
									animation: google.maps.Animation.DROP,
									title: p.ad_title,
									//icon: marker_icon
								});

								markers[p.ad_id] = marker;
								infoboxcontents[p.ad_id] = '<a href="' + p.ad_link + '" target="_blank">' + p.ad_title + '</a>';

								// click event on markers to show infowindow
								google.maps.event.addListener(marker, 'click', function() {
									infowindow.setContent('<a href="' + p.ad_link + '" target="_blank">' + p.ad_title + '</a>');
									infowindow.open(map, this);
									});
							} // end for (var k in results_obj)

							map.fitBounds(bounds);

							// events
							$(".item-list .list-item").on('mouseover', function() {
								marker = markers[this.getAttribute("data-listing-id")];
								// mycontent = infoboxcontents[this.getAttribute("data-ad_id")];

								mycontent =  '<div class="scrollFix">' + infoboxcontents[this.getAttribute("data-listing-id")] + '</div>';

								infowindow.setContent(mycontent);
								// infowindow.setOptions({maxWidth:300});
								infowindow.open(map, marker);
								marker.setZIndex(10000);
							});
						}

						initialize();
						<?php
					}
				}
				?>
			});
		}());
		<?php
	}
}
?>

/*--------------------------------------------------
Ratings
--------------------------------------------------*/
(function(){
	$('.item-rating').raty({
		readOnly: true,
		score: function() {
			return this.getAttribute('data-rating');
		},
		hints: ['<?= $txt_rate_bad ?>', '<?= $txt_rate_poor ?>', '<?= $txt_rate_regular ?>', '<?= $txt_rate_good ?>', '<?= $txt_rate_gorgeous ?>'],
		starType: 'i'
	});
}());

/*--------------------------------------------------
Price format
--------------------------------------------------*/
(function(){
	$('.price').priceFormat({
		<?php
		if($cfg_cur_symbol_pos == 'left') {
			?>
			prefix: '<?= $currency_symbol ?>',
			<?php
		}

		else {
			?>
			prefix: '',
			suffix: ' <?= $currency_symbol ?>',
			<?php
		}
		if(!$cfg_show_cents) {
			?>
			centsLimit: 0,
			<?php
		}
		?>
		centsSeparator: '<?= $cfg_decimal_sep ?>',
		thousandsSeparator: '<?= $cfg_thousands_sep ?>'
	});

	// sidebar price filter format
	$('#min_price').priceFormat({
		<?php
		if($cfg_cur_symbol_pos == 'left') {
			?>
			prefix: '<?= $currency_symbol ?>',
			<?php
		}

		else {
			?>
			suffix: '<?= $currency_symbol ?>',
			<?php
		}
		if(!$cfg_show_cents) {
			?>
			centsLimit: 0,
			<?php
		}
		?>
		centsSeparator: '<?= $cfg_decimal_sep ?>',
		thousandsSeparator: '<?= $cfg_thousands_sep ?>'
	});

	$('#max_price').priceFormat({
		<?php
		if($cfg_cur_symbol_pos == 'left') {
			?>
			prefix: '<?= $currency_symbol ?>',
			<?php
		}

		else {
			?>
			suffix: '<?= $currency_symbol ?>',
			<?php
		}
		if(!$cfg_show_cents) {
			?>
			centsLimit: 0,
			<?php
		}
		?>
		centsSeparator: '<?= $cfg_decimal_sep ?>',
		thousandsSeparator: '<?= $cfg_thousands_sep ?>'
	});
}());

/*--------------------------------------------------
Sidebar location
--------------------------------------------------*/
<?php
if($cfg_use_select2) {
	?>
	// select2 config
	$('#city-input-sidebar').select2({
		ajax: {
			url: '<?= $baseurl ?>/_return_cities_select2.php',
			dataType: 'json',
			delay: 250,
			data: function (params) {
				return {
					query: params.term,
					page: params.page
				};
			}
		},
		escapeMarkup: function (markup) { return markup; },
		minimumInputLength: 1,
		dropdownAutoWidth : true,
		placeholder: "<?= $txt_city ?>",
		allowClear: true,
		language: "<?= $html_lang ?>"
	});
<?php
}
?>

/*--------------------------------------------------
Submit form
--------------------------------------------------*/
(function(){
	$('#sidebar-filter').on('submit', function(e){
		// Disable empty input values in GET query
		var emptyinputs = $(this).find('input').filter(function(){
			return !$.trim(this.value).length;  // get all empty fields
		}).prop('disabled',true);

		// unmask price format
		(function(){
			$('.price').val($('.price').unmask());
			$('#min_price').val($('#min_price').unmask());
			$('#max_price').val($('#max_price').unmask());
		}());
	});
}());
</script>
