<?php
// prevent direct access
if (!isset($version)) {
	http_response_code(403);
	exit;
}

// get installed languages
$lang_arr = array();

$query = "SELECT DISTINCT lang FROM language";
$stmt  = $conn->prepare($query);
$stmt->execute();

while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	$lang_arr[] = $row['lang'];
}

/*--------------------------------------------------
v.3.00 update
--------------------------------------------------*/

// if 'rel_favorites' table doesn't exist, update to v.3.00
$query = "SELECT count(*) AS c FROM information_schema.TABLES WHERE (TABLE_SCHEMA = '$db_name') AND (TABLE_NAME = 'rel_favorites')";
$stmt  = $conn->prepare($query);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);


if($row['c'] < 1) {
	$sql = file_get_contents('sql/classifiedsplus_3.00_update.sql');

	$sql = explode(";\n", $sql);

	try {

		// begin transaction
		$conn->beginTransaction();

		foreach($sql as $k => $v) {
			try {
				$v = trim($v);

				if(!empty($v)) {
					$stmt = $conn->prepare($v);
					$stmt->execute();
				}
			}

			catch (PDOException $e) {
				echo $e->getMessage();
				die();
			}
		}

		// commit
		$conn->commit();
	}

	catch(PDOException $e) {
		$conn->rollBack();
		$result_message =  $e->getMessage();

		echo $result_message;
	}
}

/*--------------------------------------------------
v.4.00 update
--------------------------------------------------*/
// if 'credits' table doesn't exist, update to v.4.00
$query = "SELECT count(*) AS c FROM information_schema.TABLES WHERE (TABLE_SCHEMA = '$db_name') AND (TABLE_NAME = 'credits')";
$stmt  = $conn->prepare($query);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);


if($row['c'] < 1) {
	$sql = file_get_contents('sql/classifiedsplus_4.00_update.sql');

	$sql = explode(";\n", $sql);

	try {

		// begin transaction
		$conn->beginTransaction();

		foreach($sql as $k => $v) {
			try {
				$v = trim($v);

				if(!empty($v)) {
					$stmt = $conn->prepare($v);
					$stmt->execute();
				}
			}

			catch (PDOException $e) {
				echo $e->getMessage();
				die();
			}
		}

		// commit
		$conn->commit();
	}

	catch(PDOException $e) {
		$conn->rollBack();
		$result_message =  $e->getMessage();

		echo $result_message;
	}
}

/*--------------------------------------------------
v.4.01 update
--------------------------------------------------*/

// if 'language' table doesn't exist, update to v.4.01
$query = "SELECT count(*) AS c FROM information_schema.TABLES WHERE (TABLE_SCHEMA = '$db_name') AND (TABLE_NAME = 'language')";
$stmt  = $conn->prepare($query);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);


if($row['c'] < 1) {
	$sql = file_get_contents('sql/classifiedsplus_4.01_update.sql');

	$sql = explode(";\n", $sql);

	try {

		// begin transaction
		$conn->beginTransaction();

		foreach($sql as $k => $v) {
			try {
				$v = trim($v);

				if(!empty($v)) {
					$stmt = $conn->prepare($v);
					$stmt->execute();
				}
			}

			catch (PDOException $e) {
				echo $e->getMessage();
				die();
			}
		}

		// commit
		$conn->commit();
	}

	catch(PDOException $e) {
		$conn->rollBack();
		$result_message =  $e->getMessage();

		echo $result_message;
	}
}

/*--------------------------------------------------
v.4.03 update
--------------------------------------------------*/

// if 'translation_cf' table doesn't exist, update to v.4.03
$query = "SELECT count(*) AS c FROM information_schema.TABLES WHERE (TABLE_SCHEMA = '$db_name') AND (TABLE_NAME = 'translation_cf')";
$stmt  = $conn->prepare($query);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);

if($row['c'] < 1) {
	$sql = file_get_contents('sql/classifiedsplus_4.03_update.sql');

	$sql = explode(";\n", $sql);

	try {

		// begin transaction
		$conn->beginTransaction();

		foreach($sql as $k => $v) {
			try {
				$v = trim($v);

				if(!empty($v)) {
					$stmt = $conn->prepare($v);
					$stmt->execute();
				}
			}

			catch (PDOException $e) {
				echo $e->getMessage();
				die();
			}
		}

		/*
		NEW TEXT STRINGS FOR 4.03
		also must include in
			classfiedsplus.sql,
			classifiedsplus_varchar190.sql,
			lang_xx.sql.
		DO NOT INCLUDE IN classifiedsplus_4.03_update.sql
		*/
		// add strings to each language
		foreach($lang_arr as $v) {
			$query = "INSERT INTO `language` (`lang`, `section`, `template`, `var_name`, `translated`) VALUES
	('$v', 'user', 'register', 'txt_agree_tos', 'I have read and agree to the <a href='' class=\'text-primary\'><em>terms of service</em></a>')";
			$stmt  = $conn->prepare($query);
			$stmt->execute();
		}

		// commit
		$conn->commit();
	}

	catch(PDOException $e) {
		$conn->rollBack();
		$result_message =  $e->getMessage();

		echo $result_message;
	}
}

/*--------------------------------------------------
v.4.06 update
--------------------------------------------------*/

// if column 'is_main' doesn't exist
$query = "SELECT COUNT(COLUMN_NAME) AS total_count FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'rel_listing_cat' AND table_schema = '$db_name' AND column_name = 'is_main'";
$stmt  = $conn->prepare($query);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);

if($row['total_count'] < 1) {
	$sql = file_get_contents('sql/classifiedsplus_4.06_update.sql');

	$sql = explode(";\n", $sql);

	try {
		// begin transaction
		$conn->beginTransaction();

		foreach($sql as $k => $v) {
			try {
				$v = trim($v);

				if(!empty($v)) {
					$stmt = $conn->prepare($v);
					$stmt->execute();
				}
			}

			catch (PDOException $e) {
				echo $e->getMessage();
				die();
			}
		}

		/*
		NEW TEXT STRINGS FOR 4.06
		also must include in
			classfiedsplus.sql,
			classifiedsplus_varchar190.sql,
			lang_xx.sql.
		DO NOT INCLUDE IN classifiedsplus_4.06_update.sql
		*/
		// add strings to each language
		foreach($lang_arr as $v) {
			$query = "INSERT INTO `language` (`lang`, `section`, `template`, `var_name`, `translated`) VALUES
('$v', 'admin', 'settings', 'txt_permalink_struct', 'Permalink Structure (*regenerate sitemap after change)'),
('$v', 'admin', 'settings', 'txt_permalink_struct_explain', 'Available tags(use / as separator): %category%/%region%/%city%/%title%'),
('$v', 'admin', 'settings', 'txt_date_format', 'Date Format'),
('$v', 'admin', 'settings', 'txt_latest_listings_count', 'Latest listings count'),
('$v', 'admin', 'settings', 'txt_languages', 'Languages'),
('$v', 'admin', 'settings', 'txt_notify_user_created', 'Notify on user created'),
('$v', 'admin', 'settings', 'txt_logo_width', 'Logo width'),
('$v', 'admin', 'settings', 'txt_decimal_separator', 'Decimal separator'),
('$v', 'admin', 'settings', 'txt_thousands_separator', 'Thousands separator'),
('$v', 'admin', 'settings', 'txt_currency_symbol_pos', 'Currency symbol position'),
('$v', 'admin', 'settings', 'txt_currency_has_cents', 'Currency has cents'),
('$v', 'admin', 'settings', 'txt_use_select_search', 'Use Select Search'),
('$v', 'admin', 'settings', 'txt_near_radius', 'Near Listings Radius'),
('$v', 'admin', 'settings', 'txt_left', 'Left'),
('$v', 'admin', 'settings', 'txt_right', 'Right'),
('$v', 'admin', 'settings', 'txt_maps', 'Maps'),
('$v', 'admin', 'settings', 'txt_permalink_struct', 'Permalink Structure (*regenerate sitemap after change)'),
('$v', 'admin', 'settings', 'txt_permalink_struct_explain', 'Available tags(use / as separator): %category%/%region%/%city%/%title% *Leave this field blank for the old permalink format'),
('$v', 'admin', 'language', 'txt_create_string', 'Create String'),
('$v', 'admin', 'language', 'txt_var_name', 'Variable Name (starts with txt_ e.g. txt_var_name)'),
('$v', 'admin', 'language', 'txt_string_value', 'String Value'),
('$v', 'admin', 'language', 'txt_string_created', 'String Created'),
('$v', 'public', 'results', 'txt_latest_listings', 'Latest Listings'),
('$v', 'user', 'create-listing', 'txt_primary_category', 'Primary Category'),
('$v', 'user', 'create-listing', 'txt_additional_categories', 'Additional Categories'),
('$v', 'user', 'edit-listing', 'txt_primary_category', 'Primary Category'),
('$v', 'user', 'edit-listing', 'txt_additional_categories', 'Additional Categories'),
('$v', 'admin', 'users', 'txt_toggle_active', 'Toggle active/inactive'),
('$v', 'admin', 'settings', 'txt_show_map', 'Show Map');";
			$stmt  = $conn->prepare($query);
			$stmt->execute();
		}

		// commit
		$conn->commit();
	}

	catch(PDOException $e) {
		$conn->rollBack();
		$result_message =  $e->getMessage();

		echo $result_message;
	}
}

/*--------------------------------------------------
v.4.09 update
--------------------------------------------------*/

/*
NEW TEXT STRINGS FOR 4.09
also must include in
	classfiedsplus.sql,
	classifiedsplus_varchar190.sql,
	lang_xx.sql.
DO NOT INCLUDE IN classifiedsplus_4.09_update.sql
*/
// add strings to each language
$query = "SELECT count(*) AS c FROM language WHERE template='settings' AND var_name='txt_nearby_filter_values'";
$stmt  = $conn->prepare($query);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);

if($row['c'] < 1) {
	foreach($lang_arr as $v) {
		$query = "INSERT INTO `language` (`lang`, `section`, `template`, `var_name`, `translated`) VALUES
					('$v', 'public', 'global', 'txt_nearby', 'Nearby'),
					('$v', 'public', 'global', 'txt_enable_geo', 'Geolocation is not enabled. Please enable to use this feature'),
					('$v', 'admin', 'settings', 'txt_nearby_filter_values', 'Nearby filter values'),
					('$v', 'admin', 'settings', 'txt_distance_unit', 'Distance unit');";
		$stmt  = $conn->prepare($query);
		$stmt->execute();
	}
}

/*--------------------------------------------------
v.4.15 update
--------------------------------------------------*/

/*
NEW TEXT STRINGS FOR 4.15
also must include in
	classfiedsplus.sql,
	classifiedsplus_varchar190.sql,
	lang_xx.sql.
DO NOT INCLUDE IN classifiedsplus_4.15_update.sql
*/
// add strings to each language
$query = "SELECT count(*) AS c FROM language WHERE template='settings' AND var_name='txt_nearby_filter_values'";
$stmt  = $conn->prepare($query);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);

if($row['c'] < 1) {
	foreach($lang_arr as $v) {
		$query = "INSERT INTO `language` (`lang`, `section`, `template`, `var_name`, `translated`) VALUES
					('$v', 'user', 'my-profile', 'txt_email_already_in_use', 'This email is already in use.');";
		$stmt  = $conn->prepare($query);
		$stmt->execute();
	}
}