<?php
require_once(__DIR__ . '/../inc/config.php');
require_once(__DIR__ . '/_admin_inc.php');

// language
$query = "SELECT * FROM language WHERE lang = :lang AND section = :section AND template = :template";
$stmt = $conn->prepare($query);
$stmt->bindValue(':lang', $html_lang);
$stmt->bindValue(':section', 'admin');
$stmt->bindValue(':template', 'pages');
$stmt->execute();

while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	${$row['var_name']} = e($row['translated']);
}

// page id
$page_id = !empty($_GET['id']) ? $_GET['id'] : 0;

if(empty($page_id)) {
	throw new Exception('Page id cannot be empty');
}

// get page details
$query = "SELECT * FROM pages WHERE page_id = :page_id";
$stmt = $conn->prepare($query);
$stmt->bindValue(':page_id', $page_id);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);

$page_id         = !empty($row['page_id'        ]) ? $row['page_id'        ] : '';
$page_title      = !empty($row['page_title'     ]) ? $row['page_title'     ] : '';
$page_slug       = !empty($row['page_slug'      ]) ? $row['page_slug'      ] : '';
$meta_desc       = !empty($row['meta_desc'      ]) ? $row['meta_desc'      ] : '';
$page_contents   = !empty($row['page_contents'  ]) ? $row['page_contents'  ] : '';
$page_date       = !empty($row['page_date'      ]) ? $row['page_date'      ] : '';
$page_status     = !empty($row['page_status'    ]) ? $row['page_status'    ] : '';
$enable_comments = !empty($row['enable_comments']) ? $row['enable_comments'] : '';

// sanitize
$page_title    = e($page_title);
$page_slug     = e($page_slug);
$meta_desc     = e($meta_desc);
$page_contents = e($page_contents);

// format date to populate input field
$date = new DateTime($page_date);
$page_date = $date->format('Y-m-d');

// thumbnail
$thumb_path = $pic_basepath . '/page-thumb/page-' . $page_id;

// check if file exists
$arr = glob("$thumb_path.*");

if(!empty($arr)) {
	$thumb_filename = basename($arr[0]);
	$thumb_filename_url = $pic_baseurl . '/page-thumb/' . $thumb_filename;
}

else {
	$thumb_filename = '';
	$thumb_filename_url = '';
}
