<?php
require_once(__DIR__ . '/../inc/config.php');
require_once(__DIR__ . '/_admin_inc.php');

// csrf check
require_once(__DIR__ . '/_admin_inc_request_with_ajax.php');

// language
$query = "SELECT * FROM language WHERE lang = :lang AND section = 'admin' AND template = :template";
$stmt = $conn->prepare($query);
$stmt->bindValue(':lang', $html_lang);
$stmt->bindValue(':template', 'users');
$stmt->execute();

while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	${$row['var_name']} = e($row['translated']);
}

// init
$user_plans = array();

$plans_userid = $_POST['user_id'];

$query = "SELECT
	c.plan, c.credits, c.uniq_id, c.paym_email, c.gateway, c.purchase_date, c.subscr_id,
	p.plan_name, p.plan_type
	FROM credits c
	LEFT JOIN plans p ON c.plan = p.plan_id
	WHERE c.user = :userid";

$stmt = $conn->prepare($query);
$stmt->bindValue(':userid', $plans_userid);
$stmt->execute();

while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	$this_plan_id       = !empty($row['plan'         ]) ? $row['plan'         ] : '';
	$this_credits       = !empty($row['credits'      ]) ? $row['credits'      ] : '';
	$this_uniq_id       = !empty($row['uniq_id'      ]) ? $row['uniq_id'      ] : '';
	$this_paym_email    = !empty($row['paym_email'   ]) ? $row['paym_email'   ] : '';
	$this_gateway       = !empty($row['gateway'      ]) ? $row['gateway'      ] : '';
	$this_purchase_date = !empty($row['purchase_date']) ? $row['purchase_date'] : '';
	$this_plan_name     = !empty($row['plan_name'    ]) ? $row['plan_name'    ] : '';
	$this_plan_type     = !empty($row['plan_type'    ]) ? $row['plan_type'    ] : '';
	$this_subscr_id     = !empty($row['subscr_id'    ]) ? $row['subscr_id'    ] : '';

	// check if it's subscription type
	$this_is_subscr = false;
	$subscr_types = array('monthly', 'monthly_feat', 'annual', 'annual_feat');

	if(in_array($this_plan_type, $subscr_types)) {
		$this_is_subscr = true;
	}

	if(!empty($this_uniq_id)) {
		$user_plans[] = array(
			'credits'       => $this_credits,
			'uniq_id'       => $this_uniq_id,
			'paym_email'    => $this_paym_email,
			'gateway'       => $this_gateway,
			'plan_name'     => $this_plan_name,
			'plan_type'     => $this_plan_type,
			'is_subscr'     => $this_is_subscr,
			'purchase_date' => $this_purchase_date,
			'subscr_id'     => $this_subscr_id,
		);
	}
}

// html
if(!empty($user_plans)) {
	foreach($user_plans as $k => $v) {
		?>
		<div class="mb-2">
			<div class=""><strong><?= $txt_plan_name ?>:</strong> <?= $v['plan_name'] ?></div>
			<div class=""><strong><?= $txt_plan_type ?>:</strong> <?= $v['plan_type'] ?></div>
			<div class=""><strong><?= $txt_purchase_date ?>:</strong> <?= $v['purchase_date'] ?></div>
			<div class=""><strong><?= $txt_gateway ?>:</strong> <?= $v['gateway'] ?></div>
			<div class=""><strong><?= $txt_credits_remaining ?>:</strong> <?= $v['credits'] ?></div>
			<div class=""><strong><?= $txt_subscription_id ?>:</strong> <?= $v['subscr_id'] ?></div>

			<?php
			if($v['is_subscr']) {
				if($v['gateway'] == 'stripe' || $v['gateway'] == 'admin') {
					?>
					<button class="btn btn-light btn-sm"
						data-toggle="modal"
						data-target="#cancel-plan-modal"
						data-gateway="<?= $v['gateway'] ?>"
						data-user_id="<?= $plans_userid ?>"
						data-uniq_id="<?= $v['uniq_id'] ?>">
						<i class="lar la-times-circle"></i> <?= $txt_cancel_plan ?>
					</button>
					<?php
				}

				if($v['gateway'] == 'paypal') {
					?>
					<button class="btn btn-light btn-sm"
						data-toggle="modal"
						data-target="#cancel-plan-paypal-modal">
						<i class="lar la-times-circle"></i> <?= $txt_cancel_plan ?>
					</button>
					<?php
				}
			}
			?>
		</div>

		<hr>
		<?php
	}
}

else {
	?>
	<div class="mb-2">
		<?= $txt_no_credits ?>
	</div>
	<?php
}