<?php
require_once(__DIR__ . '/../inc/config.php');
require_once(__DIR__ . '/_admin_inc.php');

// csrf check
require_once(__DIR__ . '/_admin_inc_request_with_ajax.php');

// listing details
if(empty($_POST['listing_id'])) {
	die('Empty listing id');
}

$listing_id = $_POST['listing_id'];

try {
	$conn->beginTransaction();

	// delete photos first, before cascading foreign key
	$query = "SELECT dir, filename FROM photos WHERE listing_id = :listing_id";
	$stmt = $conn->prepare($query);
	$stmt->bindValue(':listing_id', $listing_id);
	$stmt->execute();

	while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$dir = $row['dir'];
		$filename = $row['filename'];

		$full_pic = $pic_basepath . '/' . $listing_full_folder . '/' . $dir . '/' . $filename;
		$thumb_pic = $pic_basepath . '/' . $listing_thumb_folder . '/' . $dir . '/' . $filename;

		if(is_file($full_pic)) {
			@unlink($full_pic);
		}
		if(is_file($thumb_pic)) {
			@unlink($thumb_pic);
		}
	}

	// delete listing
	$query = "DELETE FROM listings WHERE listing_id = :listing_id";
	$stmt = $conn->prepare($query);
	$stmt->bindValue(':listing_id', $listing_id);
	$stmt->execute();

	// commit
	$conn->commit();

	echo '1';
}

catch(PDOException $e) {
	$conn->rollBack();
	$result_message =  $e->getMessage();

	echo $result_message;
}
