<?php
require_once(__DIR__ . '/../inc/config.php');
require_once(__DIR__ . '/_admin_inc.php');
require_once(__DIR__ . '/../sitemaps/sitemap-functions.php');

// csrf check
require_once(__DIR__ . '/_admin_inc_request_with_ajax.php');

// listings details
$listing_id   = !empty($_POST['listing_id'  ]) ? $_POST['listing_id'  ] : '';
$listing_slug = !empty($_POST['listing_slug']) ? $_POST['listing_slug'] : '';
$cat_id       = !empty($_POST['cat_id'      ]) ? $_POST['cat_id'      ] : '';
$cat_slug     = !empty($_POST['cat_slug'    ]) ? $_POST['cat_slug'    ] : '';
$city_id      = !empty($_POST['city_id'     ]) ? $_POST['city_id'     ] : '';
$city_slug    = !empty($_POST['city_slug'   ]) ? $_POST['city_slug'   ] : '';
$state_slug   = !empty($_POST['state_slug'  ]) ? $_POST['state_slug'  ] : '';

// update database and sitemap
try {
	$conn->beginTransaction();

	// set status = 'trashed' in db
	$query = "UPDATE listings SET status = 'trashed' WHERE listing_id = :listing_id";
	$stmt = $conn->prepare($query);
	$stmt->bindValue(':listing_id', $listing_id);
	$stmt->execute();

	// get listing info
	$query = "SELECT userid, plan, credits_uniq_id FROM listings WHERE listing_id = :listing_id";
	$stmt = $conn->prepare($query);
	$stmt->bindValue(':listing_id', $listing_id);
	$stmt->execute();
	$row = $stmt->fetch(PDO::FETCH_ASSOC);

	$listing_owner   = $row['userid'];
	$plan_id         = $row['plan'];
	$credits_uniq_id = $row['credits_uniq_id'];

	// if it's a subscription, add credit back to user
	$query = "SELECT * FROM plans WHERE plan_id = :plan_id";
	$stmt = $conn->prepare($query);
	$stmt->bindValue(':plan_id', $plan_id);
	$stmt->execute();
	$row = $stmt->fetch(PDO::FETCH_ASSOC);

	$plan_type = $row['plan_type'];
	$subscr_types = array('monthly', 'monthly_feat', 'annual', 'annual_feat');

	if(in_array($plan_type, $subscr_types)) {
		// add credit
		$query = "UPDATE credits SET credits = credits + 1 WHERE user = :userid AND uniq_id = :uniq_id";
		$stmt = $conn->prepare($query);
		$stmt->bindValue(':userid', $listing_owner);
		$stmt->bindValue(':uniq_id', $credits_uniq_id);
		$stmt->execute();
	}

	/*--------------------------------------------------
	Build url to delete from sitemap
	--------------------------------------------------*/
	if($cfg_enable_sitemaps) {
		$link_url = get_listing_link($listing_id, $listing_slug, $cat_id, $cat_slug, '', $city_slug, $state_slug, $cfg_permalink_struct);

		if(!empty($link_url)) {
			sitemap_remove_url($link_url);
		}
	}

	$conn->commit();

	echo '1';
}

catch(PDOException $e) {
	$conn->rollBack();
	$result_message =  $e->getMessage();

	echo $result_message;
}
