<?php
require_once(__DIR__ . '/../inc/config.php');
require_once(__DIR__ . '/_admin_inc.php');
require_once(__DIR__ . '/../sitemaps/sitemap-functions.php');

// csrf check
require_once(__DIR__ . '/_admin_inc_request_with_ajax.php');

$listing_id = $_POST['listing_id'];
$listing_link = $_POST['listing_link'];

// update status
if(!empty($listing_id)) {
	try {
		$conn->beginTransaction();

		$query = "UPDATE listings SET status = 'approved' WHERE listing_id = :listing_id";
		$stmt = $conn->prepare($query);
		$stmt->bindValue(':listing_id', $listing_id);
		$stmt->execute();

		// get listing info
		$query = "SELECT * FROM listings WHERE listing_id = :listing_id";
		$stmt = $conn->prepare($query);
		$stmt->bindValue(':listing_id', $listing_id);
		$stmt->execute();
		$row = $stmt->fetch(PDO::FETCH_ASSOC);

		$listing_id      = !empty($row['listing_id'     ]) ? $row['listing_id'     ] : '';
		$listing_slug    = !empty($row['slug'           ]) ? $row['slug'           ] : '';
		$listing_owner   = !empty($row['userid'         ]) ? $row['userid'         ] : '';
		$plan_id         = !empty($row['plan'           ]) ? $row['plan'           ] : '';
		$city_id         = !empty($row['city_id'        ]) ? $row['city_id'        ] : '';
		$credits_uniq_id = !empty($row['credits_uniq_id']) ? $row['credits_uniq_id'] : '';
		$status          = !empty($row['status'         ]) ? $row['status'         ] : '';
		$paid            = !empty($row['paid'           ]) ? $row['paid'           ] : '';

		// if it's a subscription, add credit back to user
		$query = "SELECT * FROM plans WHERE plan_id = :plan_id";
		$stmt = $conn->prepare($query);
		$stmt->bindValue(':plan_id', $plan_id);
		$stmt->execute();
		$row = $stmt->fetch(PDO::FETCH_ASSOC);

		$plan_type = $row['plan_type'];
		$subscr_types = array('monthly', 'monthly_feat', 'annual', 'annual_feat');

		if(in_array($plan_type, $subscr_types)) {
			// add credit
			$query = "UPDATE credits SET credits = credits - 1 WHERE user = :userid AND uniq_id = :uniq_id";
			$stmt = $conn->prepare($query);
			$stmt->bindValue(':userid', $listing_owner);
			$stmt->bindValue(':uniq_id', $credits_uniq_id);
			$stmt->execute();
		}

		/*--------------------------------------------------
		Add back to sitemap
		--------------------------------------------------*/
		if($cfg_enable_sitemaps) {
			// add back to sitemap only if status = approved and paid = 1
			if($status == 'approved' && $paid == 1) {
				sitemap_add_url($listing_link);
			}
		}

		$conn->commit();
	}

	catch(PDOException $e) {
		$conn->rollBack();
		$result_message =  $e->getMessage();
	}
}

echo '1';