<?php
// prevent direct access
if (!isset($version)) {
	http_response_code(403);
	exit;
}

// get installed languages
$lang_arr = array();

$query = "SELECT DISTINCT lang FROM language";
$stmt  = $conn->prepare($query);
$stmt->execute();

while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	$lang_arr[] = $row['lang'];
}

/*--------------------------------------------------
v.3.00 update
--------------------------------------------------*/

// if 'rel_favorites' table doesn't exist, update to v.3.00
$query = "SELECT count(*) AS c FROM information_schema.TABLES WHERE (TABLE_SCHEMA = '$db_name') AND (TABLE_NAME = 'rel_favorites')";
$stmt  = $conn->prepare($query);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);


if($row['c'] < 1) {
	$sql = file_get_contents('sql/classifiedsplus_3.00_update.sql');

	$sql = explode(";\n", $sql);

	try {

		// begin transaction
		$conn->beginTransaction();

		foreach($sql as $k => $v) {
			try {
				$v = trim($v);

				if(!empty($v)) {
					$stmt = $conn->prepare($v);
					$stmt->execute();
				}
			}

			catch (PDOException $e) {
				echo $e->getMessage();
				die();
			}
		}

		// commit
		$conn->commit();
	}

	catch(PDOException $e) {
		$conn->rollBack();
		$result_message =  $e->getMessage();

		echo $result_message;
	}
}

/*--------------------------------------------------
v.4.00 update
--------------------------------------------------*/
// if 'credits' table doesn't exist, update to v.4.00
$query = "SELECT count(*) AS c FROM information_schema.TABLES WHERE (TABLE_SCHEMA = '$db_name') AND (TABLE_NAME = 'credits')";
$stmt  = $conn->prepare($query);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);


if($row['c'] < 1) {
	$sql = file_get_contents('sql/classifiedsplus_4.00_update.sql');

	$sql = explode(";\n", $sql);

	try {

		// begin transaction
		$conn->beginTransaction();

		foreach($sql as $k => $v) {
			try {
				$v = trim($v);

				if(!empty($v)) {
					$stmt = $conn->prepare($v);
					$stmt->execute();
				}
			}

			catch (PDOException $e) {
				echo $e->getMessage();
				die();
			}
		}

		// commit
		$conn->commit();
	}

	catch(PDOException $e) {
		$conn->rollBack();
		$result_message =  $e->getMessage();

		echo $result_message;
	}
}

/*--------------------------------------------------
v.4.01 update
--------------------------------------------------*/

// if 'language' table doesn't exist, update to v.4.01
$query = "SELECT count(*) AS c FROM information_schema.TABLES WHERE (TABLE_SCHEMA = '$db_name') AND (TABLE_NAME = 'language')";
$stmt  = $conn->prepare($query);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);


if($row['c'] < 1) {
	$sql = file_get_contents('sql/classifiedsplus_4.01_update.sql');

	$sql = explode(";\n", $sql);

	try {

		// begin transaction
		$conn->beginTransaction();

		foreach($sql as $k => $v) {
			try {
				$v = trim($v);

				if(!empty($v)) {
					$stmt = $conn->prepare($v);
					$stmt->execute();
				}
			}

			catch (PDOException $e) {
				echo $e->getMessage();
				die();
			}
		}

		// commit
		$conn->commit();
	}

	catch(PDOException $e) {
		$conn->rollBack();
		$result_message =  $e->getMessage();

		echo $result_message;
	}
}

/*--------------------------------------------------
v.4.03 update
--------------------------------------------------*/

// if 'translation_cf' table doesn't exist, update to v.4.03
$query = "SELECT count(*) AS c FROM information_schema.TABLES WHERE (TABLE_SCHEMA = '$db_name') AND (TABLE_NAME = 'translation_cf')";
$stmt  = $conn->prepare($query);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);

if($row['c'] < 1) {
	$sql = file_get_contents('sql/classifiedsplus_4.03_update.sql');

	$sql = explode(";\n", $sql);

	try {

		// begin transaction
		$conn->beginTransaction();

		foreach($sql as $k => $v) {
			try {
				$v = trim($v);

				if(!empty($v)) {
					$stmt = $conn->prepare($v);
					$stmt->execute();
				}
			}

			catch (PDOException $e) {
				echo $e->getMessage();
				die();
			}
		}

		/*
		NEW TEXT STRINGS FOR 4.03
		also must include in
			classfiedsplus.sql,
			classifiedsplus_varchar190.sql,
			lang_xx.sql.
		DO NOT INCLUDE IN classifiedsplus_4.03_update.sql
		*/
		// add strings to each language
		foreach($lang_arr as $v) {
			$query = "INSERT INTO `language` (`lang`, `section`, `template`, `var_name`, `translated`) VALUES
	('$v', 'user', 'register', 'txt_agree_tos', 'I have read and agree to the <a href='' class=\'text-primary\'><em>terms of service</em></a>')";
			$stmt  = $conn->prepare($query);
			$stmt->execute();
		}

		// commit
		$conn->commit();
	}

	catch(PDOException $e) {
		$conn->rollBack();
		$result_message =  $e->getMessage();

		echo $result_message;
	}
}

/*--------------------------------------------------
v.4.06 update
--------------------------------------------------*/

// if column 'is_main' doesn't exist
$query = "SELECT COUNT(COLUMN_NAME) AS total_count FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'rel_listing_cat' AND table_schema = '$db_name' AND column_name = 'is_main'";
$stmt  = $conn->prepare($query);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);

if($row['total_count'] < 1) {
	$sql = file_get_contents('sql/classifiedsplus_4.06_update.sql');

	$sql = explode(";\n", $sql);

	try {
		// begin transaction
		$conn->beginTransaction();

		foreach($sql as $k => $v) {
			try {
				$v = trim($v);

				if(!empty($v)) {
					$stmt = $conn->prepare($v);
					$stmt->execute();
				}
			}

			catch (PDOException $e) {
				echo $e->getMessage();
				die();
			}
		}

		/*
		NEW TEXT STRINGS FOR 4.06
		also must include in
			classfiedsplus.sql,
			classifiedsplus_varchar190.sql,
			lang_xx.sql.
		DO NOT INCLUDE IN classifiedsplus_4.06_update.sql
		*/
		// add strings to each language
		foreach($lang_arr as $v) {
			$query = "INSERT INTO `language` (`lang`, `section`, `template`, `var_name`, `translated`) VALUES
('$v', 'admin', 'settings', 'txt_permalink_struct', 'Permalink Structure (*regenerate sitemap after change)'),
('$v', 'admin', 'settings', 'txt_permalink_struct_explain', 'Available tags(use / as separator): %category%/%region%/%city%/%title%'),
('$v', 'admin', 'settings', 'txt_date_format', 'Date Format'),
('$v', 'admin', 'settings', 'txt_latest_listings_count', 'Latest listings count'),
('$v', 'admin', 'settings', 'txt_languages', 'Languages'),
('$v', 'admin', 'settings', 'txt_notify_user_created', 'Notify on user created'),
('$v', 'admin', 'settings', 'txt_logo_width', 'Logo width'),
('$v', 'admin', 'settings', 'txt_decimal_separator', 'Decimal separator'),
('$v', 'admin', 'settings', 'txt_thousands_separator', 'Thousands separator'),
('$v', 'admin', 'settings', 'txt_currency_symbol_pos', 'Currency symbol position'),
('$v', 'admin', 'settings', 'txt_currency_has_cents', 'Currency has cents'),
('$v', 'admin', 'settings', 'txt_use_select_search', 'Use Select Search'),
('$v', 'admin', 'settings', 'txt_near_radius', 'Near Listings Radius'),
('$v', 'admin', 'settings', 'txt_left', 'Left'),
('$v', 'admin', 'settings', 'txt_right', 'Right'),
('$v', 'admin', 'settings', 'txt_maps', 'Maps'),
('$v', 'admin', 'settings', 'txt_permalink_struct', 'Permalink Structure (*regenerate sitemap after change)'),
('$v', 'admin', 'settings', 'txt_permalink_struct_explain', 'Available tags(use / as separator): %category%/%region%/%city%/%title% *Leave this field blank for the old permalink format'),
('$v', 'admin', 'language', 'txt_create_string', 'Create String'),
('$v', 'admin', 'language', 'txt_var_name', 'Variable Name (starts with txt_ e.g. txt_var_name)'),
('$v', 'admin', 'language', 'txt_string_value', 'String Value'),
('$v', 'admin', 'language', 'txt_string_created', 'String Created'),
('$v', 'public', 'results', 'txt_latest_listings', 'Latest Listings'),
('$v', 'user', 'create-listing', 'txt_primary_category', 'Primary Category'),
('$v', 'user', 'create-listing', 'txt_additional_categories', 'Additional Categories'),
('$v', 'user', 'edit-listing', 'txt_primary_category', 'Primary Category'),
('$v', 'user', 'edit-listing', 'txt_additional_categories', 'Additional Categories'),
('$v', 'admin', 'users', 'txt_toggle_active', 'Toggle active/inactive'),
('$v', 'admin', 'settings', 'txt_show_map', 'Show Map');";
			$stmt  = $conn->prepare($query);
			$stmt->execute();
		}

		// commit
		$conn->commit();
	}

	catch(PDOException $e) {
		$conn->rollBack();
		$result_message =  $e->getMessage();

		echo $result_message;
	}
}

/*--------------------------------------------------
v.4.09 update
--------------------------------------------------*/

/*
NEW TEXT STRINGS FOR 4.09
also must include in
	classfiedsplus.sql,
	classifiedsplus_varchar190.sql,
	lang_xx.sql.
DO NOT INCLUDE IN classifiedsplus_4.09_update.sql
*/
// add strings to each language
$query = "SELECT count(*) AS c FROM language WHERE template='settings' AND var_name='txt_nearby_filter_values'";
$stmt  = $conn->prepare($query);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);

if($row['c'] < 1) {
	foreach($lang_arr as $v) {
		$query = "INSERT INTO `language` (`lang`, `section`, `template`, `var_name`, `translated`) VALUES
					('$v', 'public', 'global', 'txt_nearby', 'Nearby'),
					('$v', 'public', 'global', 'txt_enable_geo', 'Geolocation is not enabled. Please enable to use this feature'),
					('$v', 'admin', 'settings', 'txt_nearby_filter_values', 'Nearby filter values'),
					('$v', 'admin', 'settings', 'txt_distance_unit', 'Distance unit');";
		$stmt  = $conn->prepare($query);
		$stmt->execute();
	}
}

/*--------------------------------------------------
v.4.15 update
--------------------------------------------------*/

/*
NEW TEXT STRINGS FOR 4.15
also must include in
	classfiedsplus.sql,
	classifiedsplus_varchar190.sql,
	lang_xx.sql.
DO NOT INCLUDE IN classifiedsplus_4.15_update.sql
*/
// add strings to each language
$query = "SELECT count(*) AS c FROM language WHERE template='settings' AND var_name='txt_nearby_filter_values'";
$stmt  = $conn->prepare($query);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);

if($row['c'] < 1) {
	foreach($lang_arr as $v) {
		$query = "INSERT INTO `language` (`lang`, `section`, `template`, `var_name`, `translated`) VALUES
					('$v', 'user', 'my-profile', 'txt_email_already_in_use', 'This email is already in use.');";
		$stmt  = $conn->prepare($query);
		$stmt->execute();
	}
}

/*--------------------------------------------------
v.4.16 update
--------------------------------------------------*/

/*
NEW TEXT STRINGS FOR 4.16
also must include in
	classfiedsplus.sql,
	classifiedsplus_varchar190.sql,
	lang_xx.sql.
DO NOT INCLUDE IN classifiedsplus_4.16_update.sql
*/

// check if v.4.16 update
$query = "SELECT count(*) AS c FROM information_schema.TABLES WHERE (TABLE_SCHEMA = '$db_name') AND (TABLE_NAME = 'custom_fields_groups')";
$stmt  = $conn->prepare($query);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);

if($row['c'] < 1) {
	// import classifiedsplus_4.16_update.sql file
	$sql = file_get_contents('sql/classifiedsplus_4.16_update.sql');
	$sql = explode(";\n", $sql);

	try {
		// begin transaction
		$conn->beginTransaction();

		foreach($sql as $k => $v) {
			$v = trim($v);

			if(!empty($v)) {
				$stmt = $conn->prepare($v);
				$stmt->execute();
			}
		}

		// commit
		$conn->commit();
	}

	catch(PDOException $e) {
		$conn->rollBack();
		$result_message =  $e->getMessage();

		echo $result_message;
	}

	// txt vars that moved to another template without changing var_name
	$query = "UPDATE `language` SET template='custom-fields' WHERE
		(template='create-custom-field' AND var_name='txt_filter_display')
		OR (template='create-custom-field' AND var_name='txt_range_number')
		OR (template='create-custom-field' AND var_name='txt_range_select')
		OR (template='create-custom-field' AND var_name='txt_range_text')
		OR (template='create-custom-field' AND var_name='txt_required')
		OR (template='create-custom-field' AND var_name='txt_select_all')
		";
	$stmt  = $conn->prepare($query);
	$stmt->execute();

	$query = "UPDATE `language` SET template='admin-global' WHERE
		template='locations' AND var_name='txt_show'
		";
	$stmt  = $conn->prepare($query);
	$stmt->execute();

	// txt vars that need to be deleted before modified txt vars in v.4.16
	$query = "DELETE FROM `language` WHERE `section`='admin'
		AND (
			(template='custom-fields' AND var_name='txt_type_check')
			OR (template='custom-fields' AND var_name='txt_type_decimal')
			OR (template='custom-fields' AND var_name='txt_type_multiline')
			OR (template='custom-fields' AND var_name='txt_type_number')
			OR (template='custom-fields' AND var_name='txt_type_radio')
			OR (template='custom-fields' AND var_name='txt_type_select')
			OR (template='custom-fields' AND var_name='txt_type_text')
			OR (template='custom-fields' AND var_name='txt_type_url')
			OR (template='edit-custom-field' AND var_name='txt_type_check')
			OR (template='edit-custom-field' AND var_name='txt_type_decimal')
			OR (template='edit-custom-field' AND var_name='txt_type_multiline')
			OR (template='edit-custom-field' AND var_name='txt_type_number')
			OR (template='edit-custom-field' AND var_name='txt_type_radio')
			OR (template='edit-custom-field' AND var_name='txt_type_select')
			OR (template='edit-custom-field' AND var_name='txt_type_text')
			OR (template='edit-custom-field' AND var_name='txt_type_url')
		)";
	$stmt  = $conn->prepare($query);
	$stmt->execute();

	// renamed txt vars
	$query = "UPDATE `language` SET var_name='txt_html_title' WHERE var_name='txt_show_html_title'";
	$stmt  = $conn->prepare($query);
	$stmt->execute();

	$query = "UPDATE `language` SET var_name='txt_main_title' WHERE var_name='txt_show_main_title'";
	$stmt  = $conn->prepare($query);
	$stmt->execute();

	$query = "UPDATE `language` SET var_name='txt_create_field' WHERE var_name='txt_show_create_field'";
	$stmt  = $conn->prepare($query);
	$stmt->execute();

	$query = "UPDATE `language` SET var_name='txt_edit_field' WHERE var_name='txt_show_edit_field'";
	$stmt  = $conn->prepare($query);
	$stmt->execute();

	$query = "UPDATE `language` SET var_name='txt_remove_field' WHERE var_name='txt_show_remove_field'";
	$stmt  = $conn->prepare($query);
	$stmt->execute();

	$query = "UPDATE `language` SET var_name='txt_checkbox', template='custom-fields' WHERE var_name='txt_type_check'";
	$stmt  = $conn->prepare($query);
	$stmt->execute();

	$query = "UPDATE `language` SET var_name='txt_decimal', template='custom-fields' WHERE var_name='txt_type_decimal'";
	$stmt  = $conn->prepare($query);
	$stmt->execute();

	$query = "UPDATE `language` SET var_name='txt_multiline', template='custom-fields' WHERE var_name='txt_type_multiline'";
	$stmt  = $conn->prepare($query);
	$stmt->execute();

	$query = "UPDATE `language` SET var_name='txt_number', template='custom-fields' WHERE var_name='txt_type_number'";
	$stmt  = $conn->prepare($query);
	$stmt->execute();

	$query = "UPDATE `language` SET var_name='txt_radio', template='custom-fields' WHERE var_name='txt_type_radio'";
	$stmt  = $conn->prepare($query);
	$stmt->execute();

	$query = "UPDATE `language` SET var_name='txt_select', template='custom-fields' WHERE var_name='txt_type_select'";
	$stmt  = $conn->prepare($query);
	$stmt->execute();

	$query = "UPDATE `language` SET var_name='txt_text', template='custom-fields' WHERE var_name='txt_type_text'";
	$stmt  = $conn->prepare($query);
	$stmt->execute();

	$query = "UPDATE `language` SET var_name='txt_url', template='custom-fields' WHERE var_name='txt_type_url'";
	$stmt  = $conn->prepare($query);
	$stmt->execute();

	// txt vars removed in v.4.16
	$query = "DELETE FROM `language` WHERE `section`='admin'
		AND (
			var_name='txt_view'
			OR (template='categories' AND var_name='txt_by_name')
			OR (template='categories' AND var_name='txt_by_parent_id')
			OR (template='categories' AND var_name='txt_remove_warn')
			OR (template='categories-trash' AND var_name='txt_restore')
			OR (template='coupons-trash' AND var_name='txt_remove')
			OR (template='create-custom-field' AND var_name='txt_categories')
			OR (template='create-custom-field' AND var_name='txt_field_created')
			OR (template='create-custom-field' AND var_name='txt_field_name')
			OR (template='create-custom-field' AND var_name='txt_field_order')
			OR (template='create-custom-field' AND var_name='txt_field_type')
			OR (template='create-custom-field' AND var_name='txt_goto')
			OR (template='create-custom-field' AND var_name='txt_icon')
			OR (template='create-custom-field' AND var_name='txt_options')
			OR (template='create-custom-field' AND var_name='txt_searchable')
			OR (template='create-custom-field' AND var_name='txt_tooltip')
			OR (template='create-custom-field' AND var_name='txt_values_list')
			OR (template='custom-fields' AND var_name='txt_create_another')
			OR (template='custom-fields' AND var_name='txt_field_removed')
			OR (template='custom-fields' AND var_name='txt_header_custom_fields')
			OR (template='custom-fields' AND var_name='txt_label_cat_all')
			OR (template='custom-fields' AND var_name='txt_label_category')
			OR (template='custom-fields' AND var_name='txt_label_city')
			OR (template='custom-fields' AND var_name='txt_label_keyword')
			OR (template='custom-fields' AND var_name='txt_no_custom_fields')
			OR (template='edit-custom-field' AND var_name='txt_field_name')
			OR (template='edit-custom-field' AND var_name='txt_field_order')
			OR (template='edit-custom-field' AND var_name='txt_field_type')
			OR (template='edit-custom-field' AND var_name='txt_filter_display')
			OR (template='edit-custom-field' AND var_name='txt_icon')
			OR (template='edit-custom-field' AND var_name='txt_options')
			OR (template='edit-custom-field' AND var_name='txt_range_number')
			OR (template='edit-custom-field' AND var_name='txt_range_select')
			OR (template='edit-custom-field' AND var_name='txt_range_text')
			OR (template='edit-custom-field' AND var_name='txt_searchable')
			OR (template='edit-custom-field' AND var_name='txt_select_all')
			OR (template='edit-custom-field' AND var_name='txt_tooltip')
			OR (template='edit-custom-field' AND var_name='txt_values_list')
			OR (template='emails' AND var_name='txt_no_templates')
			OR (template='listings' AND var_name='txt_by_date')
			OR (template='listings' AND var_name='txt_by_name')
			OR (template='listings' AND var_name='txt_listing_removed')
			OR (template='listings' AND var_name='txt_remove_warn')
			OR (template='locations' AND var_name='txt_loc_remove_problem')
			OR (template='locations' AND var_name='txt_show')
			OR (template='pages-trash' AND var_name='txt_remove')
			OR (template='plans-trash' AND var_name='txt_remove')
			OR (template='register' AND var_name='txt_email_exists')
			OR (template='register' AND var_name='txt_missing_fields')
			OR (template='register' AND var_name='txt_invalid_email')
			OR (template='tools' AND var_name='txt_deactivate_fail')
		)";
	$stmt  = $conn->prepare($query);
	$stmt->execute();

	// txt vars created in v.4.16
	foreach($lang_arr as $v) {
		$query = "INSERT INTO `language` (`lang`, `section`, `template`, `var_name`, `translated`) VALUES
		('$v', 'admin', 'admin-global', 'txt_filter', 'Filter'),
		('$v', 'admin', 'admin-global', 'txt_show', 'Show'),
		('$v', 'admin', 'custom-fields', 'txt_all_categories', 'All categories'),
		('$v', 'admin', 'custom-fields', 'txt_all_groups', 'All groups'),
		('$v', 'admin', 'custom-fields', 'txt_create_group', 'Create group'),
		('$v', 'admin', 'custom-fields', 'txt_default_group', 'Default group'),
		('$v', 'admin', 'custom-fields', 'txt_edit_group', 'Edit this group'),
		('$v', 'admin', 'custom-fields', 'txt_field_group', 'Field group'),
		('$v', 'admin', 'custom-fields', 'txt_fields', 'Fields'),
		('$v', 'admin', 'custom-fields', 'txt_group', 'Group'),
		('$v', 'admin', 'custom-fields', 'txt_group_created', 'Group created'),
		('$v', 'admin', 'custom-fields', 'txt_group_edited', 'Group edited'),
		('$v', 'admin', 'custom-fields', 'txt_group_name', 'Group name'),
		('$v', 'admin', 'custom-fields', 'txt_group_order', 'Group order'),
		('$v', 'admin', 'custom-fields', 'txt_groups', 'Groups'),
		('$v', 'admin', 'custom-fields', 'txt_range_decimal', 'Range decimal'),
		('$v', 'admin', 'custom-fields', 'txt_remove_fields_sure', 'Are you sure you want to remove these fields permanently? This action cannot be undone.'),
		('$v', 'admin', 'custom-fields', 'txt_remove_group', 'Remove group'),
		('$v', 'admin', 'custom-fields', 'txt_remove_group_sure', 'Are you sure you want to remove this group permanently? This action cannot be undone.'),
		('$v', 'admin', 'custom-fields', 'txt_remove_groups_sure', 'Are you sure you want to remove these groups permanently? This action cannot be undone.'),
		('$v', 'admin', 'custom-fields', 'txt_show_icon', 'Show field icon'),
		('$v', 'admin', 'custom-fields', 'txt_show_in_results', 'Show in results'),
		('$v', 'admin', 'custom-fields', 'txt_show_name', 'Show field name'),
		('$v', 'admin', 'custom-fields', 'txt_show_name_icon', 'Show field name and icon'),
		('$v', 'admin', 'custom-fields', 'txt_value_unit', 'Unit of measurement'),
		('$v', 'admin', 'custom-fields-trash', 'txt_remove_field_sure', 'Are you sure you want to remove this field? This action cannot be undone.'),
		('$v', 'admin', 'custom-fields-trash', 'txt_remove_fields_sure', 'Are you sure you want to remove these fields? This action cannot be undone.'),
		('$v', 'admin', 'custom-fields-trash', 'txt_remove_group_sure', 'Are you sure you want to remove this group? This action cannot be undone.'),
		('$v', 'admin', 'custom-fields-trash', 'txt_remove_groups_sure', 'Are you sure you want to remove these groups? This action cannot be undone.'),
		('$v', 'admin', 'listings', 'txt_featured_home', 'Featured home'),
		('$v', 'admin', 'locations-trash', 'txt_remove_sure', 'Are you sure you want to remove this location permanently? This action cannot be undone.'),
		('$v', 'admin', 'locations-trash', 'txt_remove_all_sure', 'Are you sure you want to permanently remove all locations in the trash can? This action cannot be undone.'),
		('$v', 'admin', 'settings', 'txt_from_email', 'From email'),
		('$v', 'user', 'my-coupons', 'txt_coupon_created', 'Coupon created'),
		('$v', 'public', 'global', 'txt_all', 'All'),
		('$v', 'public', 'global', 'txt_region', 'Region'),
		('$v', 'public', 'global', 'txt_regions', 'Regions'),
		('$v', 'public', 'global', 'txt_example', 'Example')
		;";
		$stmt  = $conn->prepare($query);
		$stmt->execute();
	}
}