--
-- Table structure for table `custom_fields_groups`
--

CREATE TABLE `custom_fields_groups` (
  `group_id` int(11) NOT NULL,
  `group_name` varchar(500) COLLATE utf8mb4_unicode_ci NOT NULL,
  `group_order` varchar(500) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `group_status` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


ALTER TABLE `custom_fields_groups`
  ADD PRIMARY KEY (`group_id`);


ALTER TABLE `custom_fields_groups`
  MODIFY `group_id` int(11) NOT NULL AUTO_INCREMENT;

INSERT INTO `custom_fields_groups` (`group_id`, `group_name`, `group_order`, `group_status`) VALUES
(1, 'Features', '1', '1');

--
-- Table structure for table `translation_cf_groups`
--

CREATE TABLE `translation_cf_groups` (
  `id` int(11) UNSIGNED NOT NULL,
  `lang` varchar(2) COLLATE utf8mb4_unicode_ci NOT NULL,
  `group_id` int(11) NOT NULL,
  `group_name` varchar(500) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


ALTER TABLE `translation_cf_groups`
  ADD PRIMARY KEY (`id`),
  ADD KEY `lang` (`lang`),
  ADD KEY `field_id` (`group_id`);


ALTER TABLE `translation_cf_groups`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;


ALTER TABLE `translation_cf_groups`
  ADD CONSTRAINT `translation_cf_groups_ibfk_1` FOREIGN KEY (`group_id`) REFERENCES `custom_fields_groups` (`group_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Table custom_fields, add new columns value_unit, show_in_results and field_group
--

ALTER TABLE `custom_fields` ADD `value_unit` VARCHAR(50) NOT NULL DEFAULT '' AFTER `values_list`;

ALTER TABLE `custom_fields` ADD `show_in_results` VARCHAR(10) NOT NULL DEFAULT 'no' COMMENT 'Possible values: no, name, icon, name-icon' AFTER `searchable`;

ALTER TABLE `custom_fields` ADD `field_group` INT(11) NOT NULL DEFAULT '1' AFTER `show_in_results`;

--
-- Add status columns for locations trash system
--

ALTER TABLE `cities` ADD `status` TINYINT(1) NOT NULL DEFAULT '1' AFTER `lng`;
ALTER TABLE `countries` ADD `status` TINYINT(1) NOT NULL DEFAULT '1' AFTER `slug`;
ALTER TABLE `states` ADD `status` TINYINT(1) NOT NULL DEFAULT '1' AFTER `country_id`;





