<!DOCTYPE html>
<!--[if IE 9]><html class="lt-ie10" lang="<?= $html_lang ?>"> <![endif]-->
<html lang="<?= $html_lang ?>">
<head>
<title><?= $txt_html_title ?></title>
<?php require_once(__DIR__ . '/admin-head.php') ?>
</head>
<body class="tpl-admin-<?= $route[1] ?>">
<?php require_once(__DIR__ . '/../header.php') ?>

<div class="container mt-5">
	<div class="row">
		<div class="col-md-4 col-lg-3 mb-5">
			<?php include_once('admin-menu.php') ?>
		</div>

		<div class="col-md-8 col-lg-9">
			<h2 class="mb-5"><?= $txt_main_title ?></h2>

			<div class="mb-3">
				<strong><?= $txt_sort ?>:</strong><br>
				<a href="<?= $baseurl ?>/admin/listings-trash?sort=name" class="btn btn-light btn-sm"><?= $txt_by_name ?></a>
				<a href="<?= $baseurl ?>/admin/listings-trash" class="btn btn-light btn-sm"><?= $txt_by_date ?></a>
			</div>

			<?php
			if($total_rows > 0) {
				?>
				<div class="d-flex">
					<div class="flex-grow-1"><span><?= $txt_total_rows ?>: <strong class="total-rows"><?= $total_rows ?></strong></span></div>
					<div><a href="#" class="empty-trash" data-toggle="modal" data-target="#empty-trash-modal"><?= $txt_empty ?></a></div>
				</div>

				<div class="table-responsive">
					<table class="table admin-table">
						<tr>
							<th class="text-nowrap">
								<?php
								$sort_param = 'date';
								if($sort == 'date') $sort_param = 'date-desc';
								if($sort == 'date-desc') $sort_param = 'date';
								?>
								<a href="<?= $baseurl ?>/admin/listings-trash?sort=<?= $sort_param ?>">
								<?= $txt_id ?>
								<?php
								$sort_icon = $cfg_icon_arrow_up_down;
								if($sort == 'date') $sort_icon = $cfg_icon_arrow_up;
								if($sort == 'date-desc') $sort_icon = $cfg_icon_arrow_down;

								include($sort_icon);
								?>
								</a>
							</th>
							<th class="text-nowrap"></th>
							<th class="text-nowrap">
								<?php
								$sort_param = 'title';
								if($sort == 'title') $sort_param = 'title-desc';
								if($sort == 'title-desc') $sort_param = 'title';
								?>
								<a href="<?= $baseurl ?>/admin/listings-trash?sort=<?= $sort_param ?>">
								<?= $txt_listing_title ?>
								<?php
								$sort_icon = $cfg_icon_arrow_up_down;
								if($sort == 'title') $sort_icon = $cfg_icon_arrow_up;
								if($sort == 'title-desc') $sort_icon = $cfg_icon_arrow_down;

								include($sort_icon);
								?>
								</a>
							</th>
							<th class="text-nowrap"><?= $txt_city ?></th>
							<th class="text-nowrap">
								<?php
								$sort_param = 'date';
								if($sort == 'date') $sort_param = 'date-desc';
								if($sort == 'date-desc') $sort_param = 'date';
								?>
								<a href="<?= $baseurl ?>/admin/listings-trash?sort=<?= $sort_param ?>">
								<?= $txt_date ?>
								<?php
								$sort_icon = $cfg_icon_arrow_up_down;
								if($sort == 'date') $sort_icon = $cfg_icon_arrow_up;
								if($sort == 'date-desc') $sort_icon = $cfg_icon_arrow_down;

								include($sort_icon);
								?>
								</a>
							</th>
							<th class="text-nowrap"><?= $txt_action ?></th>
						</tr>
						<?php
						foreach($listings_arr as $k => $v) {
							?>
							<tr id="tr-listing-<?= $v['listing_id'] ?>">
								<td class="text-nowrap shrink"><?= $v['listing_id'] ?></td>
								<td class="text-nowrap"><a href="<?= $v['listing_link'] ?>" title="<?= $v['listing_title'] ?>"><img src="<?= $v['main_pic_url'] ?>" class="min-w-80"></a></td>
								<td class="w-100"><a href="<?= $v['listing_link'] ?>" target="_blank"><?= $v['listing_title'] ?></a></td>
								<td class="text-nowrap shrink">
									<?= !empty($v['city_name']) ? $v['city_name'] . ", " . $v['state_abbr'] : '' ?>
								</td>
								<td class="text-nowrap shrink"><?= $v['date_formatted'] ?></td>
								<td class="text-nowrap shrink">
									<!-- expand btn -->
									<span data-toggle="tooltip" title="<?= a($txt_tooltip_expand) ?>">
										<button class="btn btn-light btn-sm expand-details"
											data-listing-id="<?= $v['listing_id'] ?>">
											<i class="las la-angle-down"></i>
										</button>
									</span>

									<!-- restore btn -->
									<span data-toggle="tooltip" title="<?= a($txt_tooltip_restore) ?>">
										<button class="btn btn-light btn-sm restore-listing"
											data-listing-id   = "<?= $v['listing_id'] ?>"
											data-listing-link = "<?= $v['listing_link'] ?>">
											<i class="las la-undo-alt"></i>
										</button>
									</span>

									<!-- remove btn -->
									<span data-toggle="tooltip"	title="<?= a($txt_tooltip_remove) ?>">
										<button class="btn btn-light btn-sm"
											data-toggle="modal"
											data-target="#remove-listing-modal"
											data-listing-id="<?= $v['listing_id'] ?>"
											data-listing-link = "<?= $v['listing_link'] ?>">
											<i class="lar la-trash-alt"></i>
										</button>
									</span>
								</td>
							</tr>
							<tr id="expand-details-<?= $v['listing_id'] ?>" class="details-row">
								<td colspan="5" class="wrap">
									<div class="details-block">
										<div class="">
											<strong><?= $txt_listing_owner ?>:</strong>
											<?= $v['user_email'] ?>
										</div>

										<div class="">
											<strong><?= $txt_city ?>:</strong>
											<?= !empty($v['city_name'])? $v['city_name'] . ", " . $v['state_abbr'] : '' ?>
										</div>

										<div class="">
											<strong><?= $txt_plan_name ?>:</strong>
											<?= $v['plan_name'] ?>
										</div>
										<div class="">
											<strong><?= $txt_category ?>:</strong>
											<?= $v['cat_name'] ?>
										</div>
									</div>
								</td>
							</tr>
							<?php
						}
						?>
					</table>
				</div>

				<nav>
					<ul class="pagination flex-wrap">
						<?php
						if($total_rows > 0) {
							include_once(__DIR__ . '/../../inc/pagination.php');
						}
						?>
					</ul>
				</nav>
			<?php
			}

			else {
				?>
				<div><?= $txt_no_results ?></div>
				<?php
			}
			?>
		</div>
	</div>
</div>

<!-- Remove listing modal -->
<div id="remove-listing-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal-title-1">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 id="modal-title-1" class="modal-title"><?= $txt_remove_perm ?></h5>
				<button class="close" data-dismiss="modal" aria-label="<?= a($txt_close) ?>">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<?= $txt_remove_perm_sure ?>
			</div>
			<div class="modal-footer">
				<button class="btn btn-light btn-sm" data-dismiss="modal"><?= $txt_cancel ?></button>
				<button id="remove-listing" class="btn btn-primary btn-sm" data-dismiss="modal"><?= $txt_confirm ?></button>
			</div>
		</div>
	</div>
</div>

<!-- Empty trash modal -->
<div id="empty-trash-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal-title-2">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 id="modal-title-2" class="modal-title"><?= $txt_remove_perm ?></h5>
				<button class="close" data-dismiss="modal" aria-label="<?= a($txt_close) ?>">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<?= $txt_remove_perm_sure_all ?>
			</div>
			<div class="modal-footer">
				<button class="btn btn-light btn-sm" data-dismiss="modal"><?= $txt_cancel ?></button>
				<button id="empty-trash-confirm" class="btn btn-primary btn-sm"><?= $txt_confirm ?></button>
			</div>
		</div>
	</div>
</div>

<!-- admin footer -->
<?php require_once(__DIR__ . '/admin-footer.php') ?>

<!-- javascript -->
<script>
'use strict';

// page size configuration
var page_size = '<?= intval($items_per_page) ?>';

// initial number of items
var num_items = <?= count($listings_arr) ?>;

// define actual page size on page load
if(num_items < page_size)  page_size = num_items;

// hide all details
$('.details-row').hide();

/*--------------------------------------------------
Restore listing
--------------------------------------------------*/
(function(){
	$('.restore-listing').on('click', function(e){
		e.preventDefault();

		// vars
		var listing_id = $(this).data('listing-id');
		var listing_link = $(this).data('listing-link');
		var post_url = '<?= $baseurl ?>' + '/admin/process-restore-listing.php';
		var num_rows = $('.total-rows').text();
		var wrapper  = '#tr-listing-' + listing_id;

		// post
		var request = $.post(post_url, { listing_id: listing_id, listing_link: listing_link });

		request.done(function(data) {
			if(data == '1') {
				// subtract from the total rows value
				var new_total = parseInt(num_rows) - 1;
				$('.total-rows').text(new_total);

				// page size
				page_size = page_size - 1;

				// hide row
				if (new_total > 0 && page_size > 0) {
					setTimeout(function(){
						$(wrapper).fadeOut('fast');
					}, 100);
				} else {
					window.location.href = '<?= $page_url ?><?= $page - 1 > 0 ? $page - 1 : 1 ?>';
				}
			} else {
				$(wrapper).empty();
				var removed_row = $('<td colspan="6"></td>');
				$(removed_row).text(data);
				$(removed_row).hide().appendTo(wrapper).fadeIn();
			}
		});
	});
}());

/*--------------------------------------------------
Remove listing permanently
--------------------------------------------------*/
(function(){
	// on show modal
	$('#remove-listing-modal').on('show.bs.modal', function(e) {
		// vars
		var button = $(e.relatedTarget);
		var listing_id = button.data('listing-id');

		// add listing id value to button
		$('#remove-listing').attr('data-listing-id', listing_id);
	});

	// remove button in modal clicked
	$('#remove-listing').on('click', function(e){
		e.preventDefault();

		// vars
		var listing_id = $('#remove-listing').attr('data-listing-id');
		var post_url   = '<?= $baseurl ?>' + '/admin/process-remove-listing-perm.php';
		var num_rows   = $('.total-rows').text();
		var wrapper    = '#tr-listing-' + listing_id;

		// post
		var request = $.post(post_url, { listing_id: listing_id });

		// done
		request.done(function(data) {
			if(data == '1') {
				// subtract from the total rows value
				var new_total = parseInt(num_rows) - 1;
				$('.total-rows').text(new_total);

				// page size
				page_size = page_size - 1;

				// hide row
				if (new_total > 0 && page_size > 0) {
					setTimeout(function(){
						$(wrapper).fadeOut('fast');
					}, 100);
				} else {
					window.location.href = '<?= $page_url ?><?= $page - 1 > 0 ? $page - 1 : 1 ?>';
				}
			} else {
				$(wrapper).empty();
				var removed_row = $('<td colspan="5"></td>');
				$(removed_row).text(data);
				$(removed_row).hide().appendTo(wrapper).fadeIn();
			}
		});
	});
}());

/*--------------------------------------------------
Empty trash
--------------------------------------------------*/
(function(){
	// only reload if form is submitted
	var do_reload = false;

	// on show modal
	$('#empty-trash-modal').on('show.bs.modal', function(e) {
		// show default message
		$('#empty-trash-modal .modal-body').empty();
		$('#empty-trash-modal .modal-body').html('<?= a($txt_remove_perm_sure_all) ?>').fadeIn();
	});

	// on hide modal
	$('#empty-trash-modal').on('hide.bs.modal', function (e) {
		if(do_reload) location.reload(true);
	});

	// empty all button in modal clicked
	$('#empty-trash-confirm').on('click', function(e){
		e.preventDefault();

		// vars
		var post_url = '<?= $baseurl ?>' + '/admin/process-empty-trash-listings.php';

		// post
		var request = $.post(post_url, {});

		request.done(function(data) {
			// set reload to true for on hide modal event
			do_reload = true;

			if(data == '1') {
				// reload
				location.reload(true);
			} else {
				// show response
				$('#empty-trash-modal .modal-body').empty();
				$('#empty-trash-modal .modal-body').html(data).fadeIn();
			}
		});
	});
}());

/*--------------------------------------------------
Expand details
--------------------------------------------------*/
(function(){
	$('.expand-details').on('click', function(e) {
		e.preventDefault();
		var listing_id = $(this).data('listing-id');
		$('#expand-details-' + listing_id).toggle();

	});
}());
</script>

</body>
</html>