<!DOCTYPE html>
<!--[if IE 9]><html class="lt-ie10" lang="<?= $html_lang ?>"> <![endif]-->
<html lang="<?= $html_lang ?>">
<head>
<title><?= $txt_html_title ?></title>
<?php require_once(__DIR__ . '/admin-head.php') ?>
</head>
<body class="tpl-admin-<?= $route[1] ?>">
<?php require_once(__DIR__ . '/../header.php') ?>

<div class="container mt-5">
	<div class="row">
		<div class="col-md-4 col-lg-3 mb-5">
			<?php include_once('admin-menu.php') ?>
		</div>

		<div class="col-md-8 col-lg-9">
			<h2 class="mb-5"><?= $txt_main_title ?></h2>

			<div class="table-responsive">
				<table class="table admin-table tools">
					<tr>
						<th><?= $txt_tool ?></th>
						<th class="text-nowrap shrink"><?= $txt_action ?></th>
					</tr>
					<tr>
						<td class="text-nowrap"><?= $txt_deactivate_expired ?></td>
						<td class="text-nowrap shrink">
							<a class="btn btn-light btn-sm px-1"
								data-toggle="modal"
								data-target="#deactivate-listings-modal">
								<?= $txt_execute ?>
							</a>
						</td>
					</tr>
					<tr>
						<td class="text-nowrap"><?= $txt_delete_tmp_pics ?></td>
						<td class="text-nowrap shrink">
							<a class="btn btn-light btn-sm"
								data-toggle="modal"
								data-target="#delete-tmp-pics-modal">
								<?= $txt_execute ?>
							</a>
						</td>
					</tr>
					<tr>
						<td class="text-nowrap"><?= $txt_regenerate_sitemap ?></td>
						<td class="text-nowrap shrink">
							<a class="btn btn-light btn-sm"
								data-toggle="modal"
								data-target="#regenerate-sitemap-modal">
								<?= $txt_execute ?>
							</a>
						</td>
					</tr>
					<tr>
						<td class="text-nowrap"><?= $txt_submit_sitemap ?></td>
						<td class="text-nowrap shrink">
							<a class="btn btn-light btn-sm"
								href="http://www.google.com/ping?sitemap=<?= $baseurl ?>/sitemaps/sitemap-index.xml"
								target="_blank">
								<?= $txt_submit ?>
							</a>
						</td>
					</tr>
				</table>
			</div>
		</div>
	</div>
</div>

<!-- Deactivate listings modal -->
<div id="deactivate-listings-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal-title-1">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h3 class="modal-title-1" id="myModalLabel"><?= $txt_deactivate_expired; ?></h3>
				<button class="close" data-dismiss="modal" aria-label="<?= a($txt_close) ?>">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>

			<div class="modal-body">
			</div>

			<div class="modal-footer">
				<button class="btn btn-light btn-sm" data-dismiss="modal"><?= $txt_ok ?></button>
			</div>
		</div>
	</div>
</div>

<!-- Delete tmp pics modal -->
<div id="delete-tmp-pics-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal-title-2">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 id="modal-title-2" class="modal-title"><?= $txt_delete_tmp_pics ?></h5>
				<button class="close" data-dismiss="modal" aria-label="<?= a($txt_close) ?>">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>

			<div class="modal-body">
			</div>

			<div class="modal-footer">
				<button class="btn btn-light btn-sm" data-dismiss="modal"><?= $txt_ok ?></button>
			</div>
		</div>
	</div>
</div>

<!-- Regenerate sitemap modal -->
<div id="regenerate-sitemap-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal-title-3">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 id="modal-title-3" class="modal-title"><?= $txt_regenerate_sitemap ?></h5>
				<button class="close" data-dismiss="modal" aria-label="<?= a($txt_close) ?>">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>

			<div class="modal-body">
			</div>

			<div class="modal-footer">
				<button class="btn btn-light btn-sm" data-dismiss="modal"><?= $txt_ok ?></button>
			</div>
		</div>
	</div>
</div>

<!-- admin footer -->
<?php require_once(__DIR__ . '/admin-footer.php') ?>

<script>
'use strict';

/*--------------------------------------------------
Deactivate expired listings
--------------------------------------------------*/
(function() {
	// on show modal
	$('#deactivate-listings-modal').on('show.bs.modal', function (e) {
		// vars
		var post_url = '<?= $baseurl ?>' + '/admin/deactivate-listings.php';
		var spinner = '<?php include($cfg_loader_dark_path) ?> <?= a($txt_wait) ?>';

		// show spinner
		$('#deactivate-listings-modal .modal-body').html(spinner);

		// post
		var request = $.post(post_url, { });

		// done
		request.done(function(data) {
			var response = data == '1' ? '<?= a($txt_deactivate_success) ?>' : data;

			$('#deactivate-listings-modal .modal-body').html(response);
		});
	});
}());

/*--------------------------------------------------
Delete tmp pics
--------------------------------------------------*/
(function() {
	// on show modal
	$('#delete-tmp-pics-modal').on('show.bs.modal', function (e) {
		// vars
		var post_url = '<?= $baseurl ?>' + '/cron/remove-tmp-pics.php';
		var spinner = '<?php include($cfg_loader_dark_path) ?> <?= a($txt_wait) ?>';

		// show spinner
		$('#delete-tmp-pics-modal .modal-body').html(spinner);

		// post
		var request = $.post(post_url, { });

		// done
		request.done(function(data) {
			if(data == '') data = '<?= a($txt_ok) ?>';
			$('#delete-tmp-pics-modal .modal-body').html(data);
		});
	});
}());

/*--------------------------------------------------
Regenerate sitemap
--------------------------------------------------*/
(function() {
	// on show modal
	$('#regenerate-sitemap-modal').on('show.bs.modal', function (e) {
		// vars
		var post_url = '<?= $baseurl ?>' + '/admin/build-sitemap.php';
		var spinner = '<?php include($cfg_loader_dark_path) ?> <?= a($txt_wait) ?>';

		// show spinner
		$('#regenerate-sitemap-modal .modal-body').html(spinner);

		// post
		var request = $.post(post_url, { });

		// done
		request.done(function(data) {
			$('#regenerate-sitemap-modal .modal-body').html(data);
		});
	});
}());
</script>
</body>
</html>