<?php
if(file_exists(__DIR__ . "/header-child-$html_lang.php") && basename(__FILE__) != "header-child-$html_lang.php") {
	include_once("header-child-$html_lang.php");
	return;
}

if(file_exists(__DIR__ . '/header-child.php') && basename(__FILE__) != 'header-child.php') {
	include_once('header-child.php');
	return;
}

if($maintenance_mode == 1 && $is_admin) {
	?>
	<div class="maintenance-mode-note badge badge-warning" style="position:fixed;top:0;right:0;z-index:10000">Maintenance mode is on</div>
	<?php
}
?>
<!-- Preloader -->
<div class="preloader"></div>

<!-- Navbar -->
<nav id="header-nav" class="navbar navbar-expand-lg fixed-top" style="z-index:2000;">
	<div class="container-fluid">
		<!-- Brand -->
		<a class="navbar-brand" href="<?= $baseurl ?>">
			<img class="logo" src="<?= $baseurl ?>/assets/imgs/logo.png" alt="<?= $site_name ?>" width="<?= $site_logo_width ?>" style="margin-left:-10px;">
		</a>

		<!-- Toggler button -->
		<button class="navbar-toggler text-dark" type="button" data-toggle="collapse" data-target="#main-navbar" aria-controls="main-navbar" aria-expanded="false" aria-label="Toggle navigation">
			<i class="las la-bars"></i>
		</button>

		<!-- Navbar collapsible -->
		<div id="main-navbar" class="collapse navbar-collapse">
			<form action="<?= $baseurl ?>/results" class="form-inline my-2 my-lg-0 ml-md-auto">
				<input id="s" name="s" class="form-control mr-sm-2" type="search" placeholder="<?= $txt_keyword ?>" aria-label="<?= $txt_keyword ?>">
				<button class="btn btn-outline-secondary my-2 my-sm-0" type="submit"><?= $txt_search ?></button>
			</form>

			<ul class="navbar-nav ml-lg-3">
				<?php
				// user is logged in
				if(!empty($_SESSION['user_connected'])) {
					?>
					<li class="nav-item mr-lg-3">
						<a href="<?= $baseurl ?>/user/create-listing" id="navbarBtnCreateListing" class="btn btn-blocks"><i class="las la-pen"></i> <?= $txt_create_listing ?></a>
					</li>

					<li class="nav-item dropdown mr-lg-3">
						<a href="#" id="exploreDropdown" class="btn btn-blocks" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="las la-ellipsis-v"></i> <?= $txt_explore ?>
						</a>

						<div class="dropdown-menu dropdown-menu-right zoomIn animated" aria-labelledby="exploreDropdown">
							<a class="dropdown-item" href="<?= $baseurl ?>/categories/"><?= $txt_categories ?></a>
							<div class="dropdown-divider"></div>
							<a class="dropdown-item" href="<?= $baseurl ?>/coupons/"><?= $txt_coupons ?></a>
							<div class="dropdown-divider"></div>
							<a class="dropdown-item" href="<?= $baseurl ?>/posts"><?= $txt_blog ?></a>
						</div>
					</li>

					<li class="nav-item dropdown mr-lg-3">
						<a href="#" id="navbarDropdown" class="btn" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="lar la-user"></i> <?= $txt_user ?>
						</a>

						<div class="dropdown-menu dropdown-menu-right zoomIn animated" aria-labelledby="navbarDropdown">
							<a class="dropdown-item" href="<?= $baseurl ?>/user/"><?= $txt_dashboard ?></a>
							<div class="dropdown-divider"></div>
							<a class="dropdown-item" href="<?= $baseurl ?>/user/create-listing"><?= $txt_create_listing ?></a>
							<div class="dropdown-divider"></div>
							<a class="dropdown-item" href="<?= $baseurl ?>/user/sign-out"><?= $txt_signout ?></a>
							<?php
							if($is_admin) {
								?>
								<div class="dropdown-divider"></div>
								<a class="dropdown-item" href="<?= $baseurl ?>/admin"><?= $txt_admin ?></a>
								<?php
							}
							?>
						</div>
					</li>
					<?php
				}

				// user is not logged in
				else {
					?>
					<li class="nav-item mr-lg-3">
						<a href="<?= $baseurl ?>/user/sign-in" id="navbarBtnSignIn" class="btn text-dark"><i class="las la-sign-in-alt"></i> <?= $txt_signin ?></a>
					</li>

					<li class="nav-item dropdown mr-lg-3">
						<a href="#" id="exploreDropdown" class="btn text-dark" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="las la-ellipsis-v"></i> <?= $txt_explore ?>
						</a>

						<div class="dropdown-menu dropdown-menu-right zoomIn animated" aria-labelledby="exploreDropdown">
							<a class="dropdown-item" href="<?= $baseurl ?>/categories/"><?= $txt_categories ?></a>
							<div class="dropdown-divider"></div>
							<a class="dropdown-item" href="<?= $baseurl ?>/coupons/"><?= $txt_coupons ?></a>
							<div class="dropdown-divider"></div>
							<a class="dropdown-item" href="<?= $baseurl ?>/posts"><?= $txt_blog ?></a>
						</div>
					</li>

					<li class="nav-item mr-lg-3">
						<a href="<?= $baseurl ?>/user/register" id="navbarBtnGetListed" class="btn btn-primary"><?= $txt_get_listed ?></a>
					</li>
					<?php
				}
				?>
			</ul>
		</div>
	</div>
</nav>

<!-- dummy navbar to create padding -->
<div id="header-nav-dummy" class="navbar">
	<!-- Dummy Logo -->
	<a class="navbar-brand" href="">
		<img class="logo" src="<?= $baseurl ?>/assets/imgs/logo.png" width="<?= $site_logo_width ?>" alt="Dummy logo">
	</a>
</div>
