<!-- modal contact user -->
<div id="contact-user-modal" class="modal fade" tabindex="-1" role="dialog">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title"><?= $txt_contact_user ?></h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="<?= $txt_close ?>">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<?php
				if(!empty($phone)) {
					?>
					<div class="mb-3"><strong><?= $txt_phone ?></strong></div>

					<div class="mb-3">
						<a href="tel:<?= !empty($country_code) ? '+' . $country_code : '' ?><?= preg_replace("/[^0-9]/", "", $area_code) ?><?= preg_replace("/[^0-9]/", "", $phone) ?>" class="btn btn-light">
							<i class="las la-phone"></i>
							<?php
							if($cfg_show_country_calling_code && !empty($country_code)) {
								?>
								+<?= $country_code ?>
								<?php
							}
							?>
							<?= !empty($area_code) ? '(' . $area_code . ')' : '' ?>
							<?= $phone ?>
						</a>
					</div>
					<?php
				}
				?>

				<?php
				if(!empty($wa_country_code) && !empty($wa_phone)) {
					?>
					<div class="mb-3"><strong><?= $txt_click_to_chat ?></strong></div>

					<div class="mb-3">
						<a href="https://wa.me/<?= $wa_country_code . $wa_area_code . $wa_phone ?>" class="btn btn-success" target="_blank"><i class="lab la-whatsapp"></i> Whatsapp</a>
					</div>
					<?php
				}
				?>

				<div class="mb-3"><strong><?= $txt_send_email ?></strong></div>
				<div id="contact-user-result" class="mb-3"></div>
				<form id="contact-user-form" method="post">
					<?php
					if(in_array($route[0], array('profile', 'favorites', 'reviews'))) {
						if(!empty($profile_id)) {
							?>
							<input type="hidden" id="recipient_id" name="recipient_id" value="<?= $profile_id ?>">
							<input type="hidden" id="from_page" name="from_page" value="profile">
							<?php
						}
					}

					else {
						if(!empty($listing_id)) {
							?>
							<input type="hidden" id="listing_id" name="listing_id" value="<?= $listing_id ?>">
							<input type="hidden" id="from_page" name="from_page" value="listing">
							<input type="hidden" id="listing_url" name="listing_url" value="<?= $canonical ?>">
							<?php
						}
					}
					?>

					<div class="form-group">
						<input type="text" id="sender_name" class="form-control" name="sender_name" placeholder="<?= $txt_name ?>" required>
					</div>

					<div class="form-group">
						<input type="email" id="sender_email" class="form-control" name="sender_email" placeholder="<?= $txt_email ?>" required>
					</div>

					<div class="form-group">
						<textarea id="sender_msg" class="form-control" name="sender_msg" rows="5" placeholder="<?= $txt_message ?>" required></textarea>
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<button id="contact-user-cancel" class="btn btn-light" data-dismiss="modal"><?= $txt_cancel ?></button>
				<button id="contact-user-submit" class="btn btn-primary"><?= $txt_submit ?></button>
			</div>
		</div>
	</div>
</div>