<script>
'use strict';

/*--------------------------------------------------
Forgot password form
--------------------------------------------------*/
(function(){
	// cache selectors
	var btn_submit = $('#forgot-password-submit');

	// on submit
	btn_submit.on('click', function(e) {
		e.preventDefault();

		// check validity
		if($('#forgot-password-form')[0].checkValidity()) {
			// show submit spinner
			btn_submit.prepend('<?php include($cfg_loader_path) ?> ');
			btn_submit.prop('disabled', true);

			// vars
			var email = $('#email').val();
			var post_url = '<?= $baseurl ?>/user/process-forgot-password.php';

			// post
			var request = $.post(post_url, { email: email });

			// done
			request.done(function(data) {
				console.log(data);
				switch(data) {
					case '1':
						// show success message
						$('#forgot-password-result').html('<div class="alert alert-warning" role="alert"><?= a($txt_request_sent) ?></div>').fadeIn();

						// hide form
						$('#forgot-password-form').hide();

						break;
					case '2':
						// email doesn't exist
						$('#forgot-password-result').html('<div class="alert alert-warning" role="alert"><?= a($txt_invalid_email) ?></div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					case '3':
						// database error
						$('#forgot-password-result').html('<div class="alert alert-warning" role="alert">Database error</div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					case '4':
						// email doesn't exist
						$('#forgot-password-result').html('<div class="alert alert-warning" role="alert"><?= a($txt_invalid_email) ?></div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					default:
						// code block
						$('#forgot-password-result').html(data).fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);
				}
			});
		}

		else {
			$('#forgot-password-form')[0].reportValidity();
		}
	});
}());
</script>
