<!DOCTYPE html>
<!--[if IE 9]><html class="lt-ie10" lang="<?= $html_lang ?>"> <![endif]-->
<html lang="<?= $html_lang ?>">
<head>
<title><?= $txt_html_title ?></title>
<meta name="description" content="<?= $txt_meta_desc ?>">
<link rel="canonical" href="<?= $canonical ?>">
<?php require_once(__DIR__ . '/../head.php') ?>
<?php require_once('user-head.php') ?>
</head>
<body class="tpl-user-my-listings">
<?php require_once(__DIR__ . '/../header.php') ?>

<div class="container mt-5">
	<div class="row">
		<div class="col-md-4 col-lg-3 mb-5">
			<?php include_once('user-menu.php') ?>
		</div>

		<div class="col-md-8 col-lg-9">
			<h2 class="mb-5"><?= $txt_main_title ?></h2>

			<?php
			if(!empty($my_favorites)) {
				$count = 1;
				foreach($my_favorites as $k => $v) {
					if(!(empty($v['listing_title']))) {
						?>
					<div class="row mb-3 item" data-listing-id="<?= $v['listing_id'] ?>">
						<div class="col-sm-2 mb-3 mb-md-0">
							<a href="<?= $v['listing_link'] ?>">
								<img class="rounded" alt="<?= $v['listing_title'] ?>" src="<?= $v['photo_url'] ?>">
							</a>
						</div>

						<div class="col-sm-7 mb-3 mb-md-0">
							<h4><a href="<?= $v['listing_link'] ?>"><?= $v['listing_title'] ?></a></h4>

							<div class="user-item-pubdate">
								<span class="date-sm"><?= $v['submission_date'] ?></span>
							</div>

							<div class=""><?= $v['short_desc'] ?></div>
						</div>

						<div class="col-sm-3">
							<!-- controls -->
							<button class="btn btn-light btn-block mb-2 remove-favorite" data-listing-id="<?= $v['listing_id'] ?>">
								<i class="lar la-trash-alt"></i>
								<?= $txt_remove ?>
							</button>
						</div>
					</div>

					<hr>
						<?php
					}
				}
				?>
				<nav>
					<ul class="pagination flex-wrap">
						<?php
						if($total_rows > 0) {
							include_once(__DIR__ . '/../../inc/pagination.php');
						}
						?>
					</ul>
				</nav>
				<?php
			}

			else {
				?>
				<div class="my-5">
					<?= $txt_no_results ?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>

<!-- footer -->
<?php require_once(__DIR__ . '/../footer.php') ?>

</body>
</html>