<?php
require_once(__DIR__ . '/../inc/config.php');

// csrf check
require_once(__DIR__ . '/_user_inc_request_with_ajax.php');

// define smtp transport
$transport_smtp = (new Swift_SmtpTransport($smtp_server, $smtp_port, $cfg_smtp_encryption))
  ->setUsername($smtp_user)
  ->setPassword($smtp_pass);

// define mailer obj
$mailer = new Swift_Mailer($transport_smtp);

// post vars
$email = !empty($_POST['email']) ? $_POST['email'] : '';

// validate email
if(!filter_var($email, FILTER_VALIDATE_EMAIL)){
	echo '4';
	die();
}

// check to see if email already exists
$stmt = $conn->prepare("SELECT COUNT(*) FROM users WHERE email = :email");
$stmt->bindValue(':email', $email);
$stmt->execute();
$count = $stmt->fetchColumn();

// user exists?
if($count > 0) {
	$user_exists = 1;

	// get user id
	$stmt = $conn->prepare('SELECT id FROM users WHERE email = :email');
	$stmt->bindValue(':email', $email);
	$stmt->execute();
	$row = $stmt->fetch(PDO::FETCH_ASSOC);
	$id = $row['id'];

	// generate token
	$token = generatePassword(16);

	// insert token into db
	$stmt = $conn->prepare('INSERT INTO pass_request(user_id, token) VALUES(:userid, :token)');
	$stmt->bindValue(':userid', $id);
	$stmt->bindValue(':token', $token);
	$stmt->execute();

	// get reset password email template
	$query = "SELECT * FROM email_templates WHERE type = 'reset_pass'";
	$stmt = $conn->prepare($query);
	$stmt->execute();
	$row = $stmt->fetch(PDO::FETCH_ASSOC);
	$email_subject = $row['subject'];
	$email_body    = $row['body'];

	$reset_link = $baseurl . "/user/password-reset/" . $id . "," . $token;

	// string replacements
	$email_subject = str_replace('%site_name%', $site_name, $email_subject);
	$email_subject = str_replace('%site_url%', $baseurl, $email_subject);
	$email_body = str_replace('%site_name%', $site_name, $email_body);
	$email_body = str_replace('%site_url%', $baseurl, $email_body);
	$email_body = str_replace('%reset_link%', $reset_link, $email_body);

	$message = (new Swift_Message())
		->setSubject($email_subject)
		->setFrom(array($admin_email => $site_name))
		->setTo($email)
		->setBody($email_body)
		->setReplyTo($admin_email)
		->setReturnPath($admin_email)
		;

	// Send the message
	try {
		$mailer->send($message);
		echo '1';
	}

	catch(exception $e) {
		echo '3';
	}
}

// else email doesn't exist
else {
	echo '2';
}
