<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><!DOCTYPE html>
<!--[if IE 9]><html class="lt-ie10" lang="<?= $html_lang ?>"> <![endif]-->
<html lang="<?= $html_lang ?>">
<head>
<title><?= $txt_html_title ?></title>
<?php require_once(__DIR__ . '/admin-head.php') ?>
</head>
<body class="tpl-admin-<?= $route[1] ?>">
<?php require_once(__DIR__ . '/../header.php') ?>

<div class="container mt-5">
	<div class="row">
		<div class="col-md-4 col-lg-3 mb-5">
			<?php include_once('admin-menu.php') ?>
		</div>

		<div class="col-md-8 col-lg-9">
			<h2 class="mb-5"><?= $txt_main_title ?></h2>


		<div class="mb-3">
			<?php
			if(!empty($templates_arr)) {
				?>
				<div class="table-responsive">
					<table class="table admin-table">
						<tr>
							<th class="text-nowrap"><?= $txt_type ?></th>
							<th class="text-nowrap"><?= $txt_subject ?></th>
							<th class="text-nowrap"><?= $txt_description ?></th>
							<th class="text-nowrap"><?= $txt_action ?></th>
						</tr>
						<?php
						foreach($templates_arr as $k => $v) {
							?>
							<tr id="tr-template-<?= $v['template_id'] ?>">
								<td class="text-nowrap shrink"><?= $v['template_type'] ?></td>
								<td><?= $v['template_subject'] ?></td>
								<td><?= $v['template_description'] ?></td>
								<td class="text-nowrap shrink">
									<span id="edit-template-<?= $v['template_id'] ?>" data-toggle="tooltip" title="<?= a($txt_edit_template) ?>">
										<button class="btn btn-light btn-sm edit-template-btn"
											data-template-id="<?= $v['template_id'] ?>"
											data-toggle="modal"
											data-target="#edit-template-modal">
											<i class="las la-pen"></i>
										</button>
									</span>
								</td>
							</tr>
						<?php
						}
					?>
					</table>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>

<!-- Edit template modal -->
<div id="edit-template-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal-title-1">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 id="modal-title-1" class="modal-title"><?= $txt_edit_template ?></h5>
				<button class="close" data-dismiss="modal" aria-label="<?= a($txt_close) ?>">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>

			<div class="modal-body">
			</div>

			<div class="modal-footer">
				<button id="edit-template-cancel" class="btn btn-light btn-sm" data-dismiss="modal"><?= $txt_cancel ?></button>
				<button id="edit-template-submit" class="btn btn-primary btn-sm"><?= $txt_submit ?></button>
			</div>
		</div>
	</div>
</div>

<!-- admin-footer -->
<?php require_once(__DIR__ . '/admin-footer.php') ?>

<!-- javascript -->
<script>
'use strict';

/*--------------------------------------------------
Edit email template modal
--------------------------------------------------*/
(function(){
	// cache selectors
	var btn_submit = $('#edit-template-submit');

	// only reload if form is submitted
	var do_reload = false;

	// on hide modal
	$('#edit-template-modal').on('hide.bs.modal', function (event) {
		// reload
		if(do_reload) location.reload(true);
	});

	// on show modal
	$('#edit-template-modal').on('show.bs.modal', function (e) {
		// vars
		var button = $(e.relatedTarget);
		var template_id = button.data('template-id');
		var post_url = '<?= $baseurl ?>' + '/admin/get-email-template.php';

		// reset submit button
		btn_submit.show();
		btn_submit.html('<?= a($txt_submit) ?>');
		btn_submit.prop('disabled', false);

		// reset cancel button
		$('#edit-template-cancel').html('<?= a($txt_cancel) ?>');

		// post
		var request = $.post(post_url, { template_id: template_id });

		// done
		request.done(function(data) {
			$('#edit-template-modal .modal-body').html(data);
		});
	});

	// process edit email template
	btn_submit.on('click', function(e){
		e.preventDefault();

		// show submit spinner
		btn_submit.prepend('<?php include($cfg_loader_path) ?> ');
		btn_submit.prop('disabled', true);

		// vars
		var post_url = '<?= $baseurl ?>' + '/admin/process-edit-email-template.php';

		// post
		var request = $.post(post_url, { params: $('form.form-edit-email-template').serialize() });

		// done
		request.done(function(data) {
			// change cancel button to ok
			$('#edit-template-cancel').html('<?= a($txt_ok) ?>');

			// hide submit button
			btn_submit.hide();

			if(data == '1') {
				// set reload to true
				do_reload = true;

				// show response
				$('#edit-template-modal .modal-body').html('<?= a($txt_email_template_updated) ?>');
			} else {
				// show response
				$('#edit-template-modal .modal-body').html(data);
			}
		});
	});
}());
</script>

</body>
</html>