<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><!-- Bootstrap Lightbox -->
<script src="<?= $baseurl ?>/templates/js/lightbox-master/dist/ekko-lightbox.min.js"></script>

<!-- SplideJS -->
<script src="<?= $baseurl ?>/templates/js/splide_2.4.21/splide.min.js"></script>

<!-- SplideJs Video Extension -->
<script src="<?= $baseurl ?>/templates/js/splide-extension-video_0.4.6/splide-extension-video.min.js"></script>

<!-- Jquery price format -->
<script src="<?= $baseurl ?>/assets/js/jquery-price-format.js"></script>

<script>
'use strict';

/*--------------------------------------------------
Add to Favorites
--------------------------------------------------*/
(function(){
	$('.btn-favorites').on('click', function(e){
		<?php
		if(!empty($_SESSION['user_connected'])) {
			?>
			// vars
			var el = $(this);
			var listing_id = $(this).data('listing-id');
			var post_url = '<?= $baseurl ?>/user/process-add-to-favorites.php';

			// post
			var request = $.post(post_url, { listing_id: listing_id });

			// done
			request.done(function(data) {
				if(data == 'added') {
					el.empty().html('<i class="las la-heart"></i> <?= a($txt_add_to_favorites) ?>');
				}

				if(data == 'removed') {
					el.empty().html('<i class="lar la-heart"></i> <?= a($txt_add_to_favorites) ?>');
				}
			});
			<?php
		}

		else {
			?>
			window.location.href = '<?= $baseurl ?>/user/sign-in';
			<?php
		}
		?>
	});
}());

/*--------------------------------------------------
Format price
--------------------------------------------------*/
(function(){
	$('.price').priceFormat({
		<?php
		if($cfg_cur_symbol_pos == 'left') {
			?>
			prefix: '<?= $currency_symbol ?>',
			<?php
		}

		else {
			?>
			prefix: '',
			suffix: ' <?= $currency_symbol ?>',
			<?php
		}
		if(!$cfg_show_cents) {
			?>
			centsLimit: 0,
			<?php
		}
		?>
		centsSeparator: '<?= $cfg_decimal_sep ?>',
		thousandsSeparator: '<?= $cfg_thousands_sep ?>'
	});
}());

/*--------------------------------------------------
Lightbox
--------------------------------------------------*/
(function(){
	$(document).delegate('*[data-toggle="lightbox"]', 'click', function(e){
		e.preventDefault();
		$(this).ekkoLightbox();
	});
}());

/*--------------------------------------------------
Carousel
--------------------------------------------------*/
<?php
if(!empty($photos) || !empty($videos)) {
	?>
	document.addEventListener('DOMContentLoaded', function() {
		var primarySlider = new Splide('#primary-slider', {
			type       : 'fade',
			pagination : false,
			arrows     : true,
			cover      : true,
			lazyLoad   : 'nearby',
			video      : {
				autoplay: false,
				mute    : true,
			},
		});

		var secondarySlider = new Splide( '#secondary-slider', {
			cover       : true,
			focus       : 'center',
			gap         : 5,
			height      : 72,
			isNavigation: true,
			lazyLoad    : 'nearby',
			pagination  : false,
			perPage     : 6,
			rewind      : true,
			type        : 'slide',
			breakpoints : {
				'600': {
					fixedWidth: 66,
					height    : 40,
				}
			}
		}).mount();

		primarySlider.sync( secondarySlider ).mount(window.splide.Extensions);
	});
	<?php
}
?>

/*--------------------------------------------------
Rating
--------------------------------------------------*/
<?php
if($cfg_enable_reviews) {
	?>
(function(){
	$('.item-rating').raty({
		readOnly: true,
		score: function() {
			return this.getAttribute('data-rating');
		},
		hints: ['<?= a($txt_rate_bad) ?>', '<?= a($txt_rate_poor) ?>', '<?= a($txt_rate_regular) ?>', '<?= a($txt_rate_good) ?>', '<?= a($txt_rate_gorgeous) ?>'],
		starType: 'i'
	});

	$('.review-rating').raty({
		readOnly: true,
		score: function() {
			return this.getAttribute('data-rating');
		},
		hints: ['<?= a($txt_rate_bad) ?>', '<?= a($txt_rate_poor) ?>', '<?= a($txt_rate_regular) ?>', '<?= a($txt_rate_good) ?>', '<?= a($txt_rate_gorgeous) ?>'],
		starType: 'i'
	});

	$('.raty').raty({
		scoreName: 'review_score',
		target : '#hint',
		targetKeep : true,
		hints: ['<?= a($txt_rate_bad) ?>', '<?= a($txt_rate_poor) ?>', '<?= a($txt_rate_regular) ?>', '<?= a($txt_rate_good) ?>', '<?= a($txt_rate_gorgeous) ?>'],
		starType: 'i'
	});
}());
<?php
}
?>

/*--------------------------------------------------
Review
--------------------------------------------------*/
<?php
if($cfg_enable_reviews) {
	?>
(function(){
	$('#submit-review').on('click', function() {
		// vars
		var listing_id        = $('#review_listing_id').val();
		var listing_title     = $('#listing_title').val();
		var listing_slug      = $('#listing_slug').val();
		var listing_city_slug = $('#listing_city_slug').val();
		var listing_city_id   = $('#listing_city_id').val();
		var review_score      = $('input[name=review_score]').val();
		var review            = $('#review').val();
		var url               = '<?= $baseurl ?>/process-review.php';

		// post
		var request = $.post(url, {
			listing_id       : listing_id,
			listing_title    : listing_title,
			listing_slug     : listing_slug,
			listing_city_slug: listing_city_slug,
			listing_city_id  : listing_city_id,
			review_score     : review_score,
			review           : review
		});

		// done
		request.done(function(data) {
			$('#review-form').fadeOut();
			var form_wrapper = $('#review-form-wrapper');
			var alert_response = $('<div class="alert alert-secondary"></div>');
			$(alert_response).text(data);
			$(alert_response).hide().appendTo(form_wrapper).fadeIn();
		});
	});
}());
<?php
}
?>

/*--------------------------------------------------
Map
--------------------------------------------------*/

// map related js is deferred so run this block only after DOMContentLoaded
document.addEventListener('DOMContentLoaded', function(){
	<?php
	if(!empty($lat) && $cfg_show_map) {
		if($map_provider !== "Google") {
			if($map_provider == 'Tomtom') {
				?>
				var mymap = new L.Map("listing-map-canvas", map_provider_options).setView([<?= $lat ?>, <?= $lng ?>], 13);
				<?php
			}

			else {
				?>
				var mymap = L.map("listing-map-canvas").setView([<?= $lat ?>, <?= $lng ?>], 13);

				L.tileLayer.provider("<?= $map_provider ?>", map_provider_options).addTo(mymap);
				<?php
			}
			?>

			var marker = L.marker([<?= $lat ?>, <?= $lng ?>]).addTo(mymap);
			<?php
		}

		if($map_provider == "Google") {
			?>
			var myLatlng = new google.maps.LatLng(<?= $lat ?>, <?= $lng ?>);
			var mapOptions = {
			  zoom: 12,
			  center: myLatlng,
			  mapTypeId: google.maps.MapTypeId.ROADMAP,
			}
			var map = new google.maps.Map(document.getElementById("listing-map-canvas"), mapOptions);

			var marker = new google.maps.Marker({
				position: myLatlng,
				title:""
			});

			// To add the marker to the map, call setMap();
			marker.setMap(map);
		<?php
		}
	}

	else {
		?>
		$('#listing-map-wrapper').hide();
		<?php
	}
	?>
});

/*--------------------------------------------------
Contact form
--------------------------------------------------*/
(function(){
	// cache selectors
	var btn_submit = $('#contact-user-submit');
	var btn_cancel = $('#contact-user-cancel');

	// on show modal
	$('#contact-user-modal').on('show.bs.modal', function (e) {
		// empty previous result message
		$('#contact-user-result').empty();

		// show form
		$('#contact-user-form').show();

		// change cancel button to cancel
		btn_cancel.html('<?= a($txt_cancel) ?>');

		// reset submit button
		btn_submit.show();
		btn_submit.html('<?= a($txt_submit) ?>');
		btn_submit.prop('disabled', false);
	});

	// on submit
	btn_submit.on('click', function(e) {
		e.preventDefault();

		// check validity
		if($('#contact-user-form')[0].checkValidity()) {
			// show submit spinner
			btn_submit.prepend('<?php include($cfg_loader_path) ?> ');
			btn_submit.prop('disabled', true);

			// vars
			var post_url = '<?= $baseurl ?>/send-msg.php';

			// post
			var request = $.post(post_url, { params: $('#contact-user-form').serialize() });

			// done
			request.done(function(data) {
				/*
				1 - $txt_message_sent
				2 - $txt_please_wait (submitting messages in less than $cgf_min_secs time
				3 - missing required fields
				4 - swiftmailer error
				5 - $txt_invalid_email
				6 - invalid $from_page
				*/
				switch(data) {
					case '1':
						// show success message
						$('#contact-user-result').html('<?= a($txt_message_sent) ?>').fadeIn();

						// hide form
						$('#contact-user-form').hide();

						// hide submit button
						btn_submit.hide();

						// change cancel button to ok
						btn_cancel.html('<?= a($txt_ok) ?>');

						break;
					case '2':
						// user has to wait
						$('#contact-user-result').html('<div class="alert alert-warning" role="alert"><?= a($txt_please_wait) ?></div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					case '3':
						// missing fields
						$('#contact-user-result').html('<div class="alert alert-warning" role="alert">Missing fields</div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					case '4':
						// code block
						$('#contact-user-result').html('<div class="alert alert-warning" role="alert">Mailer error</div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					case '5':
						// invalid email
						$('#contact-user-result').html('<div class="alert alert-warning" role="alert"><?= a($txt_invalid_email) ?></div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					case '6':
						// invalid page
						$('#contact-user-result').html('<div class="alert alert-warning" role="alert">Invalid page</div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					default:
						// code block
						$('#contact-user-result').html('<div class="alert alert-warning" role="alert">Could not send contact message: ' + data + '</div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);
				}
			});
		}

		else {
			$('#contact-user-form')[0].reportValidity();
		}
	});
}());
</script>