<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><script>
'use strict';

/*--------------------------------------------------
Contact form
--------------------------------------------------*/
(function(){
	// cache selectors
	var btn_submit = $('#contact-user-submit');
	var btn_cancel = $('#contact-user-cancel');

	// on show modal
	$('#contact-user-modal').on('show.bs.modal', function (e) {
		// empty previous result message
		$('#contact-user-result').empty();

		// reset form
		$('#contact-user-form').trigger('reset');

		// show form
		$('#contact-user-form').show();

		// change cancel button to cancel
		btn_cancel.html('<?= a($txt_cancel) ?>');

		// reset submit button
		btn_submit.show();
		btn_submit.html('<?= a($txt_submit) ?>');
		btn_submit.prop('disabled', false);
	});

	// on submit
	btn_submit.on('click', function(e) {
		e.preventDefault();

		// check validity
		if($('#contact-user-form')[0].checkValidity()) {
			// show submit spinner
			btn_submit.prepend('<?php include($cfg_loader_path) ?> ');
			btn_submit.prop('disabled', true);

			// vars
			var post_url = '<?= $baseurl ?>/send-msg.php';

			// post
			var request = $.post(post_url, { params: $('#contact-user-form').serialize() });

			// done
			request.done(function(data) {
				/*
				1 - $txt_message_sent
				2 - $txt_please_wait (submitting messages in less than $cgf_min_secs time
				3 - missing required fields
				4 - swiftmailer error
				5 - $txt_invalid_email
				6 - invalid $from_page
				*/
				switch(data) {
					case '1':
						// show success message
						$('#contact-user-result').html('<?= a($txt_message_sent) ?>').fadeIn();

						// hide form
						$('#contact-user-form').hide();

						// hide submit button
						btn_submit.hide();

						// change cancel button to ok
						btn_cancel.html('<?= a($txt_ok) ?>');

						break;
					case '2':
						// user has to wait
						$('#contact-user-result').html('<div class="alert alert-warning" role="alert"><?= a($txt_please_wait) ?></div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					case '3':
						// missing fields
						$('#contact-user-result').html('<div class="alert alert-warning" role="alert">Missing fields</div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					case '4':
						// code block
						$('#contact-user-result').html('<div class="alert alert-warning" role="alert">Mailer error</div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					case '5':
						// invalid email
						$('#contact-user-result').html('<div class="alert alert-warning" role="alert"><?= a($txt_invalid_email) ?></div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					case '6':
						// invalid page
						$('#contact-user-result').html('<div class="alert alert-warning" role="alert">Invalid page</div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					default:
						// code block
						$('#contact-user-result').html('<div class="alert alert-warning" role="alert">Could not send contact message: ' + data + '</div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);
				}
			});
		}

		else {
			$('#contact-user-form')[0].reportValidity();
		}
	});
}());
</script>