<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><script>
'use strict';

/*--------------------------------------------------
Upload coupon image
--------------------------------------------------*/
(function() {
	// trigger click on the hidden input file field
	$('#upload-coupon-img').on('click', function(e){
		e.preventDefault();

		// trigger click
		$('#coupon_img').trigger('click');
	});

	// upload img
	$('#coupon_img').on('change', (function(e){
		// vars
		var fileInput = document.getElementById('coupon_img');
		var file = fileInput.files[0];

		// append file input to form data
		var formData = new FormData();
		formData.append('coupon_img', file);

		// ajax
		$.ajax({
			url: "<?= $baseurl ?>/user/process-upload-coupon.php",
			type: "POST",
			data: formData,
			contentType: false,
			cache: false,
			processData:false,
			beforeSend : function() {
				// show loader
				$('#coupon-img-wrapper').html('<?php include($cfg_loader_dark_path) ?>');
				$('#upload-coupon-img').prop('disabled', true);
			},
			success: function(data) {
				// parse json string
				var data = JSON.parse(data);

				// reenable the upload button
				$('#upload-coupon-img').prop('disabled', false);

				// check if previous upload failed
				if ($('#upload-failed').length){
					$('#upload-failed').remove();
				}

				// remove current img
				$('#coupon-img-wrapper').empty();

				if(data.result == 'success') {
					// create thumbnail src
					var coupon_img = '<img src="' + data.message + '" width="180" class="rounded">';

					// display uploaded pic's thumb
					$('#coupon-img-wrapper').append(coupon_img);

					// add hidden input field
					$('#uploaded_img').val(data.filename);
				}

				else {
					$('<div id="upload-failed"></div>').appendTo('#coupon-img-wrapper').text(data.message);
				}
			},
			error: function(e) {
					$('<div id="upload-failed"></div>').appendTo('#coupon-img-wrapper').text(e);
			}
		});
	}));
}());

/*--------------------------------------------------
Remove coupon
--------------------------------------------------*/
(function() {
	// show remove coupon modal
	$('#remove-coupon-modal').on('show.bs.modal', function(e) {
		// vars
		var button = $(e.relatedTarget);
		var coupon_id = button.data('coupon-id');
		var modal = $(this);

		// attach coupon id
		modal.find('.btn-remove-coupon').attr('data-coupon-id', coupon_id);
	});

	// remove coupon
	$('.btn-remove-coupon').on('click', function(e){
		e.preventDefault();

		// vars
		var coupon_id = $(this).data('coupon-id');
		var post_url = '<?= $baseurl ?>' + '/user/process-remove-coupon.php';

		// post
		var request = $.post(post_url, { coupon_id: coupon_id });

		// done
		request.done(function(data) {
			location.reload(true);
		});
	});
}());

/*--------------------------------------------------
Create coupon
--------------------------------------------------*/
(function() {
	// cache selectors
	var btn_submit = $('#create-coupon-submit');

	// only reload if form is submitted
	var do_reload = false;

	// on hide modal
	$('#create-coupon-modal').on('hide.bs.modal', function (e) {
		if(do_reload) location.reload(true);
	});

	// on show modal
	$('#create-coupon-modal').on('show.bs.modal', function (e) {
		// reset submit button
		btn_submit.html('<?= a($txt_submit) ?>');
		btn_submit.prop('disabled', false);
	});

	// on submit create coupon
	btn_submit.on('click', function(e){
		e.preventDefault();

		// check validity
		if($('#form-create-coupon')[0].checkValidity()) {
			// show submit spinner
			btn_submit.prepend('<?php include($cfg_loader_path) ?> ');
			btn_submit.prop('disabled', true);

			// vars
			var post_url = '<?= $baseurl ?>' + '/user/process-create-coupon.php';

			// post
			var request = $.post(post_url, { params: $('#form-create-coupon').serialize() });

			// done
			request.done(function(data) {
				// set reload to true
				do_reload = true;

				// hide submit button
				btn_submit.hide();

				// define response message to show
				var response = data == '1' ? '<?= a($txt_coupon_created) ?>' : data;

				// change cancel button to ok
				$('#create-coupon-cancel').html('<?= a($txt_ok) ?>');

				// show response
				$('#create-coupon-modal .modal-body').html(response);
			});
		}

		else {
			$('#form-create-coupon')[0].reportValidity();
		}
	});
}());
</script>