<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><script>
'use strict';

// hide sign in paragraph
(function() {
	$('#sign-in').hide();
}());

/*--------------------------------------------------
Resend email confirmation form
--------------------------------------------------*/
(function(){
	// cache selectors
	var btn_submit = $('#resend-confirmation-submit');

	// on submit
	btn_submit.on('click', function(e) {
		e.preventDefault();

		// check validity
		if($('#resend-confirmation-form')[0].checkValidity()) {
			// show submit spinner
			btn_submit.prepend('<?php include($cfg_loader_path) ?> ');
			btn_submit.prop('disabled', true);

			// vars
			var email = $('#email').val();
			var post_url = '<?= $baseurl ?>/user/process-resend-confirmation.php';

			// post
			var request = $.post(post_url, { email: email });

			// done
			request.done(function(data) {
				console.log(data);
				switch(data) {
					case 'invalid_email':
						// show success message
						$('#resend-confirmation-result').html('<div class="alert alert-warning" role="alert"><?= a($txt_invalid_email) ?></div>').fadeIn();

						// hide form
						$('#resend-confirmation-form').hide();

						break;
					case 'request_sent':
						// email doesn't exist
						$('#resend-confirmation-result').html('<div class="alert alert-warning" role="alert"><?= a($txt_confirmation_sent) ?></div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						// show sign in paragraph
						$('#sign-in').show();

						// hide form
						$('#resend-confirmation-form').hide();

						break;
					case 'mailer_problem':
						// database error
						$('#resend-confirmation-result').html('<div class="alert alert-warning" role="alert"><?= a($txt_mailer_problem) ?></div>').fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);

						break;
					default:
						// code block
						$('#resend-confirmation-result').html(data).fadeIn();

						// reset submit button
						btn_submit.html('<?= a($txt_submit) ?>');
						btn_submit.prop('disabled', false);
				}
			});
		}

		else {
			$('#resend-confirmation-form')[0].reportValidity();
		}
	});
}());
</script>
