<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><!DOCTYPE html>
<!--[if IE 9]><html class="lt-ie10" lang="<?= $html_lang ?>"> <![endif]-->
<html lang="<?= $html_lang ?>">
<head>
<title><?= $txt_html_title ?></title>
<meta name="description" content="<?= $txt_meta_desc ?>">
<link rel="canonical" href="<?= $canonical ?>">
<?php require_once('head.php') ?>

<!-- Page CSS -->
<link rel="stylesheet" href="<?= $baseurl ?>/templates/js/raty/jquery.raty.css">
</head>
<body class="tpl-results">

<?php include('header.php') ?>

<div id="public-listings" class="container-fluid">
	<div class="row">
		<div class="col-12">
			<div id="buttons-wrapper-1" class="container-fluid"></div>
		</div>
	</div>

    <div class="row">
		<!-- Sidebar & Advanced Filters -->
		<div id="listings-sidebar" class="col-xl-2 col-lg-3 col-md-4 col-sm-6 pt-3 border-right collapse show">
			<?php
			if(!empty($top_level_cats)) {
				?>
				<div id="listings-sidebar-sub" class="mb-4">
					<p><strong><i class="las la-th-list"></i> <?= $txt_categories ?></strong></p>
					<hr>

					<?php
					foreach($top_level_cats as $v) {
						?>
						<div class="mb-0">
							<?php
							if($cat_id == $v['cat_id']) echo '<strong>';
							?>
							<a href="<?= $v['cat_link'] ?>&s=<?= $user_query ?>" title="<?= $v['cat_name'] ?>" class="mb-0"><?= $v['cat_name'] ?></a>
							<?php
							if($cat_id == $v['cat_id']) echo '</strong>';
							?>

							<?php
							if($cur_cat_top_level_parent == $v['cat_id']) {
								if(count($cats_path) == 1) {
									foreach($cur_cat_siblings as $v2) {
										?>
										<div class="mb-0 pl-4">
											<?php
											if($cat_id == $v2['cat_id']) echo '<strong>';
											?>
											<a href="<?= $v2['cat_link'] ?>&s=<?= $user_query ?>" title="" class="mb-0"><?= $v2['cat_name'] ?></a>
											<?php
											if($cat_id == $v2['cat_id']) echo '</strong>';
											?>
										</div>
										<?php
										if($cat_id == $v2['cat_id']) {
											if(!empty($cur_cat_children)) {
												foreach ($cur_cat_children as $v3) {
													?>
													<div class="mb-0 pl-5">
														<a href="<?= $v3['cat_link'] ?>&s=<?= $user_query ?>" title="" class="mb-0"><?= $v3['cat_name'] ?></a>
													</div>
													<?php
												}
											}
										}
									}
								}

								if(count($cats_path) == 2) {
									// show parent cat
									?>
									<div class="mb-0 pl-4">
										<a href="<?= $all_cats[$cats_path[1]]['cat_link'] ?>&s=<?= $user_query ?>" title="" class="mb-0"><?= $all_cats[$cats_path[1]]['cat_name'] ?></a>
									</div>
									<?php
									// show subcats and its siblings
									foreach($cur_cat_siblings as $v2) {
										?>
										<div class="mb-0 pl-5">
											<?php
											if($cat_id == $v2['cat_id']) echo '<strong>';
											?>
											<a href="<?= $v2['cat_link'] ?>&s=<?= $user_query ?>" title="" class="mb-0"><?= $v2['cat_name'] ?></a>
											<?php
											if($cat_id == $v2['cat_id']) echo '</strong>';
											?>
										</div>
										<?php
									}
								}
							}

							// show children of top parent cats
							if($cat_id == $v['cat_id']) {
								if(!empty($cur_cat_children)) {
									foreach ($cur_cat_children as $v2) {
										?>
										<div class="mb-0 pl-4">
											<a href="<?= $v2['cat_link'] ?>&s=<?= $user_query ?>" title="" class="mb-0"><?= $v2['cat_name'] ?></a>
										</div>
										<?php
									}
								}
							}
							?>
						</div>
						<?php
					}
					?>
				</div>
				<?php
			}
			?>

			<form id="sidebar-filter" method="get" action="<?= $baseurl ?>/results">
				<input type="hidden" id="cat_id" name="cat_id" value="<?= $cat_id ?>">
				<input type="hidden" name="s" value="<?= $user_query ?>">

				<!-- location -->
				<p><strong><i class="las la-map-marked-alt"></i> <?= $txt_location ?></strong></p>
				<hr>
				<div id="select2-sidebar" class="form-row mb-3">
					<select id="city-input-sidebar" class="form-control form-control-lg" name="city">
						<option value="0"><?= $txt_city ?></option>

						<?php
						if(!empty($query_city_id) && !empty($query_city_name)) {
							?>
							<option value="<?= $query_city_id ?>" selected><?= $query_city_name ?>, <?= $query_state_abbr ?></option>
							<?php
						}
						?>

						<?php
						if(!$cfg_use_select2) {
							$stmt = $conn->prepare("SELECT * FROM cities LIMIT $cfg_city_dropdown_limit");
							$stmt->execute();

							while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
								?>
								<option value="<?= $row['city_id'] ?>"><?= $row['city_name'] ?>, <?= $row['state'] ?></option>
								<?php
							}
						}
						?>
					</select>
				</div>

				<!-- custom fields for current cat -->
				<?php
				foreach($custom_fields_sidebar as $k => $v) {
					if($v['field_type'] == 'radio' || $v['field_type'] == 'select' || $v['field_type'] == 'checkbox') {
						$values_arr = explode(';', $v['values_list']);
						$tr_values_arr = explode(';', $v['tr_values_list']);

						// check if translated values exist
						foreach($values_arr as $k2 => $v2) {
							if(empty($tr_values_arr[$k2])) {
								$tr_values_arr[$k2] = $values_arr[$k2];
							}
						}
					}

					// var name (used to define if values are selected)
					$field_name = 'field_' . $v['field_id'];
					?>
					<div class="mb-3" id="li-field-<?= $v['field_id'] ?>">
						<p><strong><?= $v['tr_field_name'] ?></strong></p>

						<?php
						if($v['filter_display'] == 'radio') {
							foreach($values_arr as $k2 => $v2) {
								$v2 = e(trim($v2));

								// selected value
								$checked = '';

								if(isset($_GET[$field_name]) && in_array($v2, $_GET[$field_name])) {
									$checked = 'checked';
								}
								?>
								<div class="custom-control custom-radio">
									<input type="radio" id="val_<?= $k ?><?= $k2 ?>" class="custom-control-input" name="field_<?= $v['field_id'] ?>[]" value="<?= $v2 ?>" <?= $checked ?>>
									<label class="custom-control-label" for="val_<?= $k ?><?= $k2 ?>"><?= $tr_values_arr[$k2] ?> <?= $v['value_unit'] ?></label>
								</div>
								<?php
							}
						}

						elseif($v['filter_display'] == 'select') {
							?>
							<div class="form-group">
								<select class="form-control form-control-sm" name="field_<?= $v['field_id'] ?>">
									<option value=""></option>
									<?php
									foreach($values_arr as $k2 => $v2) {
										$v2 = e(trim($v2));

										// selected value
										$selected = '';

										if(isset($_GET[$field_name]) && $_GET[$field_name] == $v2) {
											$selected = 'selected';
										}
										?>
										<option value="<?= $v2 ?>" <?= $selected ?>><?= $tr_values_arr[$k2] ?> <?= $v['value_unit'] ?></option>
										<?php
									}
									?>
								</select>
							</div>
							<?php
						}

						elseif($v['filter_display'] == 'checkbox') {
							foreach($values_arr as $k2 => $v2) {
								$v2 = e(trim($v2));

								// selected value
								$checked = '';

								if(isset($_GET[$field_name]) && in_array($v2, $_GET[$field_name])) {
									$checked = 'checked';
								}
								?>
								<div class="custom-control custom-checkbox">
									<input type="checkbox" id="val_<?= $k ?><?= $k2 ?>" class="custom-control-input" name="field_<?= $v['field_id'] ?>[]" value="<?= $v2 ?>" <?= $checked ?> data-checked='<?= empty($checked) ?  'false' : 'true' ?>'>
									<label class="custom-control-label" for="val_<?= $k ?><?= $k2 ?>"><?= $tr_values_arr[$k2] ?> <?= $v['value_unit'] ?></label>
								</div>
								<?php
							}
						}

						elseif($v['filter_display'] == 'range_text') {
							$val_from = isset($_GET[$field_name]['from']) ? $_GET[$field_name]['from'] : '';
							$val_to = isset($_GET[$field_name]['to']) ? $_GET[$field_name]['to'] : '';
							?>
							<div class="form-row mb-3">
								<div class="col-6">
									<input type="text" id="val_<?= $k ?><?= $k2 ?>" class="form-control  form-control-sm mb-1" name="field_<?= $v['field_id'] ?>[from]" value="<?= $v2 ?>" placeholder="<?= $txt_from ?> <?= $v['value_unit'] ?>">
								</div>
								<div class="col-6">
									<input type="text" id="val_<?= $k ?><?= $k2 ?>" class="form-control form-control-sm" name="field_<?= $v['field_id'] ?>[to]" value="<?= $v2 ?>" placeholder="<?= $txt_to ?> <?= $v['value_unit'] ?>">
								</div>
							</div>
							<?php
						}

						elseif($v['filter_display'] == 'range_number') {
							$val_from = isset($_GET[$field_name]['from']) ? $_GET[$field_name]['from'] : '';
							$val_to = isset($_GET[$field_name]['to']) ? $_GET[$field_name]['to'] : '';
							?>
							<div class="form-row mb-3">
								<div class="col-6">
									<input type="number" id="val_<?= $k ?><?= $k2 ?>" class="form-control form-control-sm mb-1" name="field_<?= $v['field_id'] ?>[from]" placeholder="<?= $txt_from ?>" value="<?= $val_from ?> <?= $v['value_unit'] ?>">
								</div>
								<div class="col-6">
									<input type="number" id="val_<?= $k ?><?= $k2 ?>" class="form-control form-control-sm" name="field_<?= $v['field_id'] ?>[to]" placeholder="<?= $txt_to ?>" value="<?= $val_to ?> <?= $v['value_unit'] ?>">
								</div>
							</div>
							<?php
						}

						elseif($v['filter_display'] == 'range_select') {
							$val_from = isset($_GET[$field_name]['from']) ? $_GET[$field_name]['from'] : '';
							$val_to = isset($_GET[$field_name]['to']) ? $_GET[$field_name]['to'] : '';
							?>
							<div class="form-row mb-3">
								<div class="col-6">
									<select class="form-control form-control-sm" name="field_<?= $v['field_id'] ?>[from]">
										<?php
										foreach($values_arr as $k2 => $v2) {
											$v2 = e(trim($v2));

											$selected = '';

											if($v2 == $val_from) {
												$selected = 'selected';
											}
											?>
											<option value="<?= $v2 ?>" <?= $selected ?>><?= $tr_values_arr[$k2] ?> <?= $v['value_unit'] ?></option>
											<?php
										}
										?>
									</select>
								</div>

								<div class="col-6">
									<select class="form-control form-control-sm" name="field_<?= $v['field_id'] ?>[to]">
										<?php
										foreach($values_arr as $k2 => $v2) {
											$v2 = e(trim($v2));

											$selected = '';

											if($v2 == $val_to) {
												$selected = 'selected';
											}
											?>
											<option value="<?= $v2 ?>" <?= $selected ?>><?= $tr_values_arr[$k2] ?> <?= $v['value_unit'] ?></option>
											<?php
										}
										?>
									</select>
								</div>
							</div>
							<?php
						}

						// else assume it's text
						else {
							?>
							<div class="form-group">
								<input type="text" class="form-control form-control-sm" name="field_<?= $v['field_id'] ?>" value="<?= !empty($custom_fields[$v['field_id']]['field_value']) ? $custom_fields[$v['field_id']]['field_value'] : '' ?>">
							</div>
							<?php
						}
						?>
					</div>
				<?php
				}
				?>

				<!-- price -->
				<p><strong><?= $txt_price ?></strong></p>
				<hr>

				<div class="form-row mb-3">
					<div class="col-6">
						<input type="text" id="min_price" class="form-control form-control-sm mb-1" name="min_price" placeholder="<?= $txt_from ?>" value="<?= $min_price_val ?>">
					</div>

					<div class="col-6">
						<input type="text" id="max_price" class="form-control form-control-sm" name="max_price" placeholder="<?= $txt_to ?>" value="<?= $max_price_val ?>">
					</div>
				</div>

				<!-- submit -->
				<button class="btn btn-block btn-primary mb-4"><?= $txt_submit ?></button>
			</form>
		</div>

		<!-- Items -->
		<div class="col-xl-10 col-lg-9 col-md-8 col-sm-6 item-list">
			<!-- Breadcrumbs -->
			<div class="container-fluid">
				<div class="breadcrumbs mt-3 mb-1">
					<?= $breadcrumbs ?>
				</div>
			</div>

			<div class="container-fluid mb-4">
				<div id="buttons-wrapper-2" class="mb-4">
					<!-- sort and map switcher -->
					<ul id="filter-buttons" class="nav justify-content-end mb-2">
						<li class="nav-item">
							<div class="dropdown">
								<button class="btn btn-sm btn-light dropdown-toggle mr-1" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
								<?= $txt_sort ?>
								</button>
								<div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
									<a class="dropdown-item <?= 'price-asc' == $sort_value ? 'active' : '' ?>" href="<?= $page_url_without_page ?>&sort=price-asc<?= !empty($max_dist) ? '&dist=' . $max_dist : '' ?>"><?= $txt_sort_price_asc ?></a>
									<a class="dropdown-item <?= 'price-desc' == $sort_value ? 'active' : '' ?>" href="<?= $page_url_without_page ?>&sort=price-desc<?= !empty($max_dist) ? '&dist=' . $max_dist : '' ?>"><?= $txt_sort_price_desc ?></a>
									<a class="dropdown-item <?= 'date-asc' == $sort_value ? 'active' : '' ?>" href="<?= $page_url_without_page ?>&sort=date-asc<?= !empty($max_dist) ? '&dist=' . $max_dist : '' ?>"><?= $txt_sort_date_asc ?></a>
									<a class="dropdown-item <?= 'date-desc' == $sort_value ? 'active' : '' ?>" href="<?= $page_url_without_page ?>&sort=date-desc<?= !empty($max_dist) ? '&dist=' . $max_dist : '' ?>"><?= $txt_sort_date_desc ?></a>
								</div>
							</div>
						</li>

						<?php
						if(!empty($cgf_max_dist_values)) {
							?>
							<li class="nav-item">
								<div class="dropdown">
									<button class="btn btn-sm btn-light dropdown-toggle mr-1" type="button" id="dropdown-menu-nearby" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
									<?= $txt_nearby ?>
									</button>
									<div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdown-menu-nearby">
										<?php
										if(empty($user_lat) || empty($user_lng)) {
											?>
											<a class="dropdown-item" href="#"><?= $txt_enable_geo ?></a>
											<?php
										}

										else {
											?>
											<a class="dropdown-item" href="<?= $page_url_without_page ?><?= !empty($sort) ? '&sort=' . $sort_value : '' ?>"><?= $txt_clear ?></a>
											<?php
											foreach($max_dist_values as $v) {
												?>
												<a class="dropdown-item <?= $v == $max_dist ? 'active' : '' ?>" href="<?= $page_url_without_page ?>&<?= !empty($sort) ? 'sort=' . $sort_value . '&' : '' ?>dist=<?= $v ?>"><?= $v ?> <?= $cgf_max_dist_unit ?> </a>
												<?php
											}
										}
										?>
									</div>
								</div>
							</li>
							<?php
						}
						?>

						<?php
						if($cfg_show_map) {
							?>
							<li class="nav-item">
								<button id="map-switcher" class="btn btn-sm btn-light"><i class="las la-map-marked-alt"></i></button>
							</li>
							<?php
						}
						?>

						<li class="nav-item d-sm-none">
							<button class="btn btn-sm btn-light ml-1" data-toggle="collapse" data-target="#listings-sidebar">
							<i class="las la-sliders-h"></i>
							</button>
						</li>
					</ul>

					<?php
					if($cfg_show_map) {
						?>
						<div id="listings-map-wrapper">
							<div id="map-canvas" style="width:100%; height:100%"></div>
						</div>
						<?php
					}
					?>
				</div>
			</div>

			<!-- Items Loop -->
			<div class="container-fluid item-list">
				<div class="row">
					<?php
					if($total_rows > 0) {
						foreach($list_items as $k => $v) {
							$feat_class = $v['is_feat'] ? 'featured' : '';
							$feat_badge = $v['is_feat'] ? '<span class="featured-badge rounded">' . $txt_featured . '</span>' : '';
							?>
							<div class="list-item col-xl-3 col-lg-4 col-md-6 col-sm-12 mb-5">
								<div class="card h-100 border-0 <?= $feat_class ?>">
									<a href="<?= $v['listing_link'] ?>" class="a-img-wrap rounded mb-2">
										<img class=" rounded" alt="<?= $v['listing_title'] ?>" src="<?= $v['main_pic_url'] ?>">
									</a>

									<div class="cat-name-figure rounded p-2"><?= $v['cat_name'] ?></div>

									<div class="card-body p-0">
										<div class="d-flex flex-column" style="height:100%;">
											<a href="<?= $v['listing_link'] ?>" class="d-block">
												<h5 class="mb-0"><?= $v['listing_title'] ?> <?= $feat_badge ?></h5>

												<div class="latest-listings-address" style="font-size:0.8rem">
													<?= $v['city_name'] ?>, <?= $v['state_abbr'] ?>
												</div>

												<?php
												if($cfg_show_rating) {
													?>
													<div class="item-rating" data-rating="<?= $v['avg_rating'] ?>"></div>
													<?php
												}
												?>
											</a>

											<div class="d-flex flex-wrap mb-2">
												<?php
												if(!empty($custom_fields_values[$v['listing_id']])) {
													foreach($custom_fields_values[$v['listing_id']] as $k2 => $v2) {
														?>
														<div class="mr-1">
															<?php
															if(in_array($listings_custom_fields[$k2]['show_in_res'], array('icon', 'name-icon'))) {
																echo $listings_custom_fields[$k2]['icon'];
															}

															if(in_array($listings_custom_fields[$k2]['show_in_res'], array('name', 'name-icon'))) {
																?>
																<small><strong><?= $listings_custom_fields[$k2]['field_name'] ?></strong></small><?php
															}
															?>:
															<small><?= $v2 ?> <?= $listings_custom_fields[$k2]['value_unit'] ?></small>
														</div>
														<?php
													}
												}
												?>
											</div>

											<div class="mt-auto">
												<div class="float-left">
													<div class="text-dark"><strong><span class="price"><?= $v['price'] ?></span></strong></div>
												</div>

												<div class="float-right">
													<div class="pointer">
														<span class="add-to-favorites" data-listing-id=<?= $v['listing_id'] ?>><i class="<?= in_array($v['listing_id'], $favorites) ? 'las' : 'lar' ?> la-heart"></i></span>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
							<?php
						}
					}

					else {
						?>
						<div class="container my-3"><?= $txt_no_results ?></div>
						<?php
					}
					?>
				</div>

				<?php
				if($total_rows > 0) {
					?>
					<nav>
						<ul class="pagination flex-wrap">
							<?php
							if($total_rows > 0) {
								include_once(__DIR__ . '/../inc/pagination.php');
							}
							?>
						</ul>
					</nav>
					<?php
				}
				?>
			</div>
		</div>
	</div>
</div>

<!-- viewport size detection -->
<div class="d-sm-none" id="viewport-size"></div>

<!-- footer -->
<?php require_once('footer.php') ?>

</body>
</html>