<?php
require_once(__DIR__ . '/../inc/config.php');
require_once(__DIR__ . '/_admin_inc.php');

// csrf check
require_once(__DIR__ . '/_admin_inc_request_with_ajax.php');

// post data
$file = !empty($_POST['file']) ? $_POST['file'] : '';

// lang
$this_lang = str_replace('.sql', '', $file);
$this_lang = substr($this_lang, -2);

// get available langs
$available_langs = array();

$query = "SELECT DISTINCT lang FROM language";
$stmt = $conn->prepare($query);
$stmt->execute();

while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	if(in_array($row['lang'], array_keys($iso_639_1_native_names))) {
		$available_langs[] = $row['lang'];
	}
}

if(empty($available_langs)) {
	$available_langs[] = 'en';
}

// check if language is already installed
if(!in_array($this_lang, $available_langs)) {
	// get contents
	$sql = file_get_contents(__DIR__ . "/../sql/$file");
	$sql = explode(";\n", $sql);

	try {
		// begin transaction
		$conn->beginTransaction();

		foreach($sql as $k => $v) {
			try {
				$v = trim($v);

				if(!empty($v)) {
					$stmt = $conn->prepare($v);
					$stmt->execute();
				}
			}

			catch (PDOException $e) {
				echo $e->getMessage();
				die();
			}
		}

		// commit
		$conn->commit();

		echo '1';
	}

	catch(PDOException $e) {
		$conn->rollBack();
		echo $e->getMessage();
	}
} else {
	echo 'This language is already installed. Please remove it first before installing it again.';
}