<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><!DOCTYPE html>
<!--[if IE 9]><html class="lt-ie10" lang="<?= $html_lang ?>"> <![endif]-->
<html lang="<?= $html_lang ?>">
<head>
<title><?= $listing_title ?> - <?= $site_name ?></title>

<!-- SplideJS CSS -->
<link rel="stylesheet" href="<?= $baseurl ?>/templates/js/splide_2.4.21/splide.min.css" media="print" onload="this.media='all'; this.onload=null;">

<?php
if(!empty($videos)) {
	?>
<!-- SplideJs Video Extension CSS -->
<link rel="stylesheet" href="<?= $baseurl ?>/templates/js/splide-extension-video_0.4.6/splide-extension-video.min.css">
	<?php
}
?>

<!-- Bootstrap Lightbox -->
<link rel="stylesheet" href="<?= $baseurl ?>/templates/js/lightbox-master/dist/ekko-lightbox.css" media="print" onload="this.media='all'; this.onload=null;">

<?php require_once('head.php') ?>

<!-- Meta data -->
<meta name="description" content="<?= $short_desc ?>">

<!-- Canonical URL -->
<link rel="canonical" href="<?= $canonical ?>">

<!-- Open Graph data -->
<meta property="og:title" content="<?= $listing_title ?> - <?= $site_name ?>">
<meta property="og:url" content="<?= $canonical ?>">
<meta property="og:type" content="listing">
<meta property="og:description" content="<?= $short_desc ?>">
<?php
if(!empty($photos[0]['img_url'])) {
	?><meta property="og:image" content="<?= $photos[0]['img_url'] ?>"><?php
}
?>
</head>
<body class="tpl-listing">
<?php require_once('header.php') ?>

<!-- Breadcrumbs -->
<div class="container breadcrumbs my-4">
	<?php
	// breadcrumbs: home ?>
	<a href="<?= $baseurl ?>/"><?= $txt_home ?></a>

	<?php
	// breadcrumbs: state
	if(!empty($state_name)) {
		?> > <a href="<?= $baseurl ?>/listings/<?= $state_slug ?>"><?= $state_name ?></a>
		<?php
	}

	// breadcrumbs: city
	if(!empty($city_slug)) {
		?> > <a href="<?= $baseurl ?>/listings/<?= $state_slug ?>/<?= $city_slug ?>/"><?= $city_name ?></a>
		<?php
	}

	// breadcrumbs: categories
	if(!empty($cats_path_details)) {
		foreach($cats_path_details as $k => $v) {
			?>
			 > <a href="<?= $baseurl ?>/listings/<?= $state_slug ?>/<?= $city_slug ?>/<?= $v['cat_slug'] ?>"><?= $v['cat_name'] ?></a>
			<?php
		}
	}
	?>
</div>

<div class="container">
	<div class="row">
		<!-- Listing column -->
		<div class="col-md-6 col-lg-8">
			<!-- Title (mobile view only) -->
			<h1 class="listing-title mb-4 d-md-none"><?= $listing_title ?> <?= $listing_feat ? "<span class='featured-badge rounded'>$txt_featured</span>" : '' ?></h1>

			<!-- Price (mobile view only) -->
			<div class="p-2 mb-4 d-md-none">
				<span class="price" style="font-size:20px;font-weight:700;"><?= $price ?></span>
			</div>

			<!-- Gallery -->
			<?php
			if(!empty($photos)) {
				?>
				<div id="gallery" class="mb-5">
					<!-- Primary slider -->
					<div id="primary-slider" class="splide mb-2">
						<div class="splide__arrows">
							<button class="splide__arrow splide__arrow--prev">
								<svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 66.91 122.88" style="enable-background:new 0 0 66.91 122.88" xml:space="preserve" class="filter-shadow"><g><path d="M1.95,111.2c-2.65,2.72-2.59,7.08,0.14,9.73c2.72,2.65,7.08,2.59,9.73-0.14L64.94,66l-4.93-4.79l4.95,4.8 c2.65-2.74,2.59-7.11-0.15-9.76c-0.08-0.08-0.16-0.15-0.24-0.22L11.81,2.09c-2.65-2.73-7-2.79-9.73-0.14 C-0.64,4.6-0.7,8.95,1.95,11.68l48.46,49.55L1.95,111.2L1.95,111.2L1.95,111.2z"/></g></svg>
							</button>
							<button class="splide__arrow splide__arrow--next">
								<svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 66.91 122.88" style="enable-background:new 0 0 66.91 122.88" xml:space="preserve" class="filter-shadow"><g><path d="M1.95,111.2c-2.65,2.72-2.59,7.08,0.14,9.73c2.72,2.65,7.08,2.59,9.73-0.14L64.94,66l-4.93-4.79l4.95,4.8 c2.65-2.74,2.59-7.11-0.15-9.76c-0.08-0.08-0.16-0.15-0.24-0.22L11.81,2.09c-2.65-2.73-7-2.79-9.73-0.14 C-0.64,4.6-0.7,8.95,1.95,11.68l48.46,49.55L1.95,111.2L1.95,111.2L1.95,111.2z"/></g></svg>
							</button>
						</div>

						<div class="splide__track">
							<div class="splide__list">
								<?php
								foreach($photos as $k => $v) {
									?>
									<div class="splide__slide">
										<div class="">
										<a href="<?= $v['img_url'] ?>" data-toggle="lightbox" data-gallery="multiimages" data-title="<?= $v['data_title'] ?>"><img src="<?= $v['img_url'] ?>" alt="<?= $v['data_title'] ?>"></a></div>
									</div>
									<?php
								}
								?>
							</div>
						</div>
					</div>

					<!-- Secondary slider -->
					<div class=" d-none d-md-block">
					<div id="secondary-slider" class="splide">
						<div class="splide__arrows">
							<button class="splide__arrow splide-arrow-small splide__arrow--prev">
								<svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 66.91 122.88" style="enable-background:new 0 0 66.91 122.88" xml:space="preserve" class="filter-shadow"><g><path d="M1.95,111.2c-2.65,2.72-2.59,7.08,0.14,9.73c2.72,2.65,7.08,2.59,9.73-0.14L64.94,66l-4.93-4.79l4.95,4.8 c2.65-2.74,2.59-7.11-0.15-9.76c-0.08-0.08-0.16-0.15-0.24-0.22L11.81,2.09c-2.65-2.73-7-2.79-9.73-0.14 C-0.64,4.6-0.7,8.95,1.95,11.68l48.46,49.55L1.95,111.2L1.95,111.2L1.95,111.2z"/></g></svg>
							</button>
							<button class="splide__arrow splide-arrow-small splide__arrow--next">
								<svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 66.91 122.88" style="enable-background:new 0 0 66.91 122.88" xml:space="preserve" class="filter-shadow"><g><path d="M1.95,111.2c-2.65,2.72-2.59,7.08,0.14,9.73c2.72,2.65,7.08,2.59,9.73-0.14L64.94,66l-4.93-4.79l4.95,4.8 c2.65-2.74,2.59-7.11-0.15-9.76c-0.08-0.08-0.16-0.15-0.24-0.22L11.81,2.09c-2.65-2.73-7-2.79-9.73-0.14 C-0.64,4.6-0.7,8.95,1.95,11.68l48.46,49.55L1.95,111.2L1.95,111.2L1.95,111.2z"/></g></svg>
							</button>
						</div>

						<div class="splide__track">
							<div class="splide__list">
								<?php
								foreach($photos as $k => $v) {
									?>
									<div class="splide__slide pointer">
										<img src="<?= $v['img_url_thumb'] ?>">
									</div>
									<?php
								}
								?>
							</div>
						</div>
					</div>
					</div>
				</div>
				<?php
			}
			?>

			<p class="text-dark text-uppercase" style="font-weight:600">  <?= $txt_description ?></p>
			<hr>

			<!-- Short description -->
			<?php
			if(!empty($short_desc)) {
				?>
				<div class="description mb-5">
					<?= $short_desc ?>
				</div>
			<?php
			}
			?>

			<!-- Description -->
			<?php
			if(!empty($description)) {
				?>
				<div class="description mb-5">
					<?= $description ?>
				</div>
			<?php
			}
			?>

			<!-- Custom fields (yes/no type Custom fields) -->
			<?php
			if(!empty($custom_fields)) {
				$i = 0;

				foreach($custom_fields as $k => $v) {
					if(($v['field_type'] == 'radio' || $v['field_type'] == 'select') && $v['values_list'] == $cfg_custom_field_toggle_values) {
						// add the heading if first loop
						if($i == 0) {
							?>
							<p class="text-dark text-uppercase" style="font-weight:600"><?= $txt_features ?></p>
							<hr>

							<div class="d-flex mb-5 flex-wrap">
							<?php
						}

						// if toggle value is 'yes' then echo field name
						if($v['field_value'] == explode(';', $cfg_custom_field_toggle_values)[0]) {
							?>
							<div class="mr-5 text-nowrap mb-2">
								<i class="text-green las la-check"></i>
								<?php
								echo !empty($v['tr_field_name']) ? $v['tr_field_name'] : $v['field_name'];
								?>
							</div>
							<?php
						}

						$i++;

						// unset this item from array
						unset($custom_fields[$v['field_id']]);
					}
				}

				// close div (only close if there was actually custom fields of type toggle)
				if($i > 0) {
					?>
					</div>
					<?php
				}
			}

			// Custom fields
			if(!empty($custom_fields) && !empty($fields_groups)) {
				$i = 0;

				foreach($fields_groups as $g) {
					if(in_array($g['group_id'], array_column($custom_fields, 'field_group'))) {
						?>
						<p class="text-dark text-uppercase" style="font-weight:600"><?= $g['group_name'] ?></p>
						<hr>

						<div class="container-fluid mb-5 p-0">
							<?php
							foreach($custom_fields as $k => $v) {
								if($v['field_group'] == $g['group_id']) {
									if(!(($v['field_type'] == 'radio' || $v['field_type'] == 'select') && $v['values_list'] == $cfg_custom_field_toggle_values)) {
										?>
										<div class="row no-gutters <?= $i % 2 == 0 ? 'bg-light' : '' ?> p-3">
											<div class="col-md-6">
												<div class="field-name">
													<strong><?= ee($v['icon']) ?> <?= !empty($v['tr_field_name']) ? $v['tr_field_name'] : $v['field_name'] ?>:</strong>
												</div>
											</div>

											<div class="col-md-6 field-value">
												<div class="field-value">
													<?php
													if(!empty($v['field_value'])) {
														if($v['field_type'] == 'url' && filter_var($v['field_value'], FILTER_VALIDATE_URL)) {
															?>
															<a href="<?= $v['field_value'] ?>" target="_blank"><?= $v['field_value'] ?></a>
															<?php
														}

														else {
															$values = explode(':::', $v['tr_field_value']);

															echo implode(', ', $values);

															echo $v['value_unit'];
														}
													}

													$j = 1;

													foreach($v as $k2 => $v2) {
														if(!empty($v2['field_value'])) {
															if($v2['field_type'] == 'url' && filter_var($v2['field_value'], FILTER_VALIDATE_URL)) {
																?>
																<a href="<?= $v2['field_value'] ?>" target="_blank">
																<?php
															}

															if($j > 1) {
																echo ', ';
															}

															echo $v2['tr_field_value'];
															echo $v2['value_unit'];
															$j++;

															if($v2['field_type'] == 'url' && filter_var($v2['field_value'], FILTER_VALIDATE_URL)) {
																echo "</a>";
															}
														}
													}
													?>
												</div>
											</div>
										</div>
										<?php
										$i++;
									}
								}
							}
							?>
						</div>
						<?php
					}
				}
			}
			?>

			<?php
			if($cfg_enable_coupons) {
				?>
				<!-- Coupons -->
				<?php
				if(!empty($coupons_arr)) {
					?>
					<p class="text-dark text-uppercase" style="font-weight:600">  <?= $txt_coupons ?></p>
					<hr>

					<div id="coupons-wrapper" class="mb-5">
						<?php
						$i = 0;
						foreach($coupons_arr as $k => $v) {
							if($i > 0) echo '<hr>'; $i++;
							?>
							<div class="row mb-5" id="coupon-<?= $v['coupon_id'] ?>">
								<div class="col-4 col-sm-4" id="<?= $v['coupon_id'] ?>">
									<a href="<?= $baseurl ?>/coupon/<?= $v['coupon_id'] ?>"><img src="<?= $v['coupon_img'] ?>" class="rounded" alt="<?= $v['coupon_title'] ?>"></a>
								</div>

								<div class="col-8 col-sm-8">
									<div class="mb-3">
										<h4><strong><a href="<?= $baseurl ?>/coupon/<?= $v['coupon_id'] ?>" class="text-dark"><?= $v['coupon_title'] ?></a></strong></h4>
									</div>

									<div class="mb-3"><?= $v['coupon_description'] ?></div>

									<div class="">
										<a href="<?= $baseurl ?>/coupon/<?= $v['coupon_id'] ?>" class="btn btn-outline-dark btn-sm"><strong><?= $txt_view_details ?></strong></a>
									</div>
								</div>
							</div>
							<?php
						}
						?>
					</div>
					<?php
				}
			}
			?>

			<?php
			if($cfg_enable_reviews) {
				?>
				<!-- Reviews -->
				<div id="reviews" class="tab-pane" role="tabpanel">
					<p class="text-dark text-uppercase" style="font-weight:600"> <?= $txt_reviews ?></p>
					<hr>

					<?php
					if(!empty($reviews)) {
						foreach($reviews as $k => $v) {
							?>
							<div class="row mb-3">
								<div class="col-2 col-md-2 col-lg-1">
									<a href="<?= $v['profile_link'] ?>">
										<img src="<?= $v['profile_pic_url'] ?>" alt="<?= $v['user_display_name'] ?>" class="cover review-author-pic rounded-circle">
									</a>
								</div>

								<div class="col-10 col-md-10 col-lg-11">
									<div class="mb-3">
										<div><a href="<?= $v['profile_link'] ?>">
											<strong><?= $v['user_display_name'] ?></strong>
										</a></div>

										<?php
										if($v['rating'] != 0) {
											?>
											<div class="review-rating" data-rating="<?= $v['rating'] ?>">
												<!-- .review-rating placeholder -->
											</div>
											<?php
										}
										?>

										<div class="review-pubdate">
											<small class="text-muted"><?php echo date("F j, Y", $v['pubdate']) ?></small>
										</div>
									</div>

									<div>
										<?= nl2p(ucfirst($v['text'])) ?>
									</div>
								</div>
							</div>

							<hr>
						<?php
						}
					}
					?>

					<div id="review-form-wrapper" class="mb-5">
						<?php
						if(!empty($_SESSION['user_connected']) && !empty($_SESSION['userid'])) {
							?>
							<form method="post" id="review-form">
								<input type="hidden" name="listing_id" id="review_listing_id" value="<?= $listing_id ?>">

								<div class="form-group">
									<div><label><?= $txt_please_rate ?></label></div>
									<span class="raty"></span>&nbsp;&nbsp;<small id="hint" class="font-weight-bold">&nbsp;&nbsp;</small>

								</div>

								<div class="form-group">
									<label for="review"><?= $txt_review_txtarea_label ?></label>
									<textarea id="review" class="form-control" name="review"></textarea>
								</div>

								<div class="form-row submit-row">
									<input type="button" id="submit-review" name="submit" value="<?= $txt_submit ?>" class="btn btn-dark">
								</div>
							</form>
							<?php
						}

						else {
							?>
							<p><?= $txt_review_login_req ?></p>
							<?php
						}
						?>
					</div>
				</div>
				<?php
			}
			?>

			<!-- More items from the same seller -->
			<?php
			if(!empty($same_seller)) {
				?>
				<p class="text-dark text-uppercase" style="font-weight:600">  <?= $txt_same_seller ?></p>
				<hr>

				<div id="" class="row mb-5">
					<?php
					$i = 0;
					foreach($same_seller as $v) {
						?>
						<div class="col-lg-3 col-md-4 col-sm-6 mb-5">
							<div class="card text-white text-center">
								<a href="<?= $v['listing_link'] ?>" title="<?= $v['listing_title'] ?>" class="text-white">
									<img class="card-img" src="<?= $v['main_pic_url'] ?>" alt="<?= $v['listing_title'] ?>">
								</a>
							</div>
							<div class="">
								<p class="text-dark"><?= $v['listing_title'] ?></p>
							</div>
						</div>
						<?php
					}
					?>
				</div>
				<?php
			}
			?>
		</div>

		<!-- Sidebar -->
		<div class="col-md-6 col-lg-4">
			<!-- Title -->
			<h1 class="listing-title mb-1 d-none d-md-block"><?= $listing_title ?> <?= $listing_feat ? "<span class='featured-badge rounded'>$txt_featured</span>" : '' ?></h1>

			<div>
				<?php
				foreach($secondary_cats as $v) {
					?>
					<a href="<?= $baseurl ?>/listings/<?= $v['cat_slug'] ?>" class="badge badge-pill badge-light" style="border: 1px solid #212529"><?= $v['cat_name'] ?></a>
					<?php
				}
				?>
				<a href="<?= $baseurl ?>/listings/<?= $main_cat_slug ?>" class="badge badge-pill badge-light" style="border: 1px solid #212529"><?= $main_cat_name ?></a>
			</div>

			<div>
				<!-- Claim -->
				<?php
				if($listing_userid == 1 && $userid != 1) {
					?>
					<a href="<?= $baseurl ?>/claim?id=<?= $listing_id ?>"><span class="badge badge-pill badge-success"><em><?= $txt_claim ?></em></span></a>
					<?php
				}
				?>
			</div>

			<!-- Price -->
			<div class="py-2 mb-4 d-none d-md-block">
				<span class="price" style="font-size:20px;font-weight:700;"><?= $price ?></span>
			</div>

			<!-- Buttons -->
			<div class="mb-4 mb-md-2">
				<button type="button" class="btn btn-block btn-dark" data-toggle="modal" data-target="#contact-user-modal"><?= $txt_contact_seller ?></button>
				<button type="button" class="btn-favorites btn btn-block btn-outline-dark" data-listing-id="<?= $listing_id ?>"><i class="<?= $is_fave ? 'las' : 'lar' ?> la-heart"></i> <?= $txt_add_to_favorites ?></button>
			</div>

			<!-- Social links -->
			<div class="mb-4 py-3 text-center social d-none d-md-block">
				<a href="https://www.facebook.com/sharer.php?u=<?= urlencode($canonical) ?>" target="_blank"><i class="lab la-facebook-f"></i></a>
				<a href="https://twitter.com/intent/tweet?url=<?= urlencode($canonical) ?>&text=<?= urlencode($listing_title) ?>
" target="_blank"><i class="lab la-twitter"></i></a>
				<a href="https://api.whatsapp.com/send?text=<?= urlencode($listing_title) ?>-<?= $canonical ?>" target="_blank"><i class="lab la-whatsapp"></i></a>
				<a href="https://telegram.me/share/url?url=<?= urlencode($canonical) ?>&text=<?= urlencode($listing_title) ?>" target="_blank"><i class="lab la-telegram-plane"></i></a>
				<a href="mailto:?subject=<?= $listing_title ?>&body=<?= $listing_title ?>"><i class="lar la-envelope"></i></a>
			</div>

			<!-- Map -->
			<?php
			if(!empty($lat) && $cfg_show_map) {
				?>
				<p class="text-dark text-uppercase" style="font-weight:600"><?= $txt_location ?></p>
				<hr>

				<div id="listing-map-wrapper" class="mb-5">
					<div id="listing-map-canvas" style="width:100%; height:100%"></div>
				</div>
				<?php
			}
			?>

			<!-- Seller Info -->
			<p class="text-dark text-uppercase" style="font-weight:600"><?= $txt_seller_info ?></p>
			<hr>

			<div class="d-flex mb-4">
				<?php
				if(!empty($profile_pic)) {
					?>
					<div class="mr-2">
						<a href="<?= $baseurl ?>/profile/<?= $listing_userid ?>"><img src="<?= $profile_pic ?>" class="cover listing-manager rounded-circle"></a>
					</div>
					<?php
				}
				?>

				<div class="flex-grow-1">
					<span class="text-dark mb-0"><strong><a href="<?= $baseurl ?>/profile/<?= $listing_userid ?>"><?= $seller_display_name ?></a></strong><br></span>

					<div class="" style="font-size:0.75rem">
						<?php
						if(!empty($seller_city)) {
							?>
							<span class="text-muted mb-0"><?= $seller_city ?></span>
						<?php
						}

						if(!empty($seller_city) && !empty($seller_country)) {
							?>
							<span class="text-muted mb-0">, <?= $seller_country ?></span>
						<?php
						}

						if(empty($seller_city) && !empty($seller_country)) {
							?>
							<span class="text-muted mb-0"><?= $seller_country ?></span>
						<?php
						}
						?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<?php
include_once(__DIR__ . '/modal-contact-user.php');
?>

<?php
if(!empty($wa_country_code) && !empty($wa_area_code) && !empty($wa_phone)) {
	?>
	<!-- whatsapp floating button -->
	<a href="https://wa.me/<?= $wa_country_code . $wa_area_code . $wa_phone ?>" class="wa-float" target="_blank">
	<i class="lab la-whatsapp wa-float-icon"></i>
	</a>
<?php
}
?>
<!-- footer -->
<?php require_once('footer.php') ?>

</body>
</html>