<?php
require_once(__DIR__ . '/../inc/config.php');
require_once(__DIR__ . '/../inc/smart_resize_image.php');
require_once(__DIR__ . '/../inc/img-exts.php');

// only allow access to this file for logged in users
if(!array_key_exists('userid', $_SESSION) && empty($_SESSION['userid'])) {
    die('You do not have permission to access this page');
}

// initialize response
$response = array();

// if upload error
if($_FILES['main_pic']['error'] != 0) {
	$response = array(
		'result' => 'fail',
		'message' => file_upload_errors($_FILES['main_pic']['error']),
		'filename' => '',
	);
}

else if(!exif_imagetype($_FILES['main_pic']['tmp_name'])) {
	$response = array(
		'result' => 'fail',
		'message' => 'Invalid image type. Please select another image',
		'filename' => '',
	);
}

else {
	// basename
	$uploaded_img = basename($_FILES['main_pic']['name']);

	// get file extension
	$extension = pathinfo($uploaded_img, PATHINFO_EXTENSION);
	$extension = mb_strtolower($extension);

	// if valid image file extension
	if(in_array($extension, $img_exts)) {
		// generate file name
		$filename = uniqid();

		// paths
		$filename = $filename . '.' . $extension;
		$path_tmp = $pic_basepath . '/main-pic-tmp/' . $filename;
		$url_tmp  = $pic_baseurl . '/main-pic-tmp/' . $filename;

		// move uploaded
		if(@move_uploaded_file($_FILES['main_pic']['tmp_name'], $path_tmp)) {
			/*
			$main_pic_dims = @getimagesize($path_tmp);

			$new_width = $main_pic_dims[0];
			$new_height = $main_pic_dims[1];

			// if uploaded main pic width greater than defined max main pic size
			if($main_pic_dims[0] > $cfg_main_pic_size[0]) {
				$new_width = $cfg_main_pic_size[0];
				$new_height = $main_pic_dims[1] * $cfg_main_pic_size[0] / $main_pic_dims[0];
			}

			// if uploaded main pic height still greater than defined max main pic size
			if($new_height > $cfg_main_pic_size[1]) {
				$new_height = $cfg_main_pic_size[1];
				$new_width = $new_width * $cfg_main_pic_size[1] / $new_height;
			}

			$new_width = round($new_width);
			$new_height = round($new_height);
			*/

			smart_resize_image($path_tmp, null, $cfg_main_pic_size[0], $cfg_main_pic_size[1], false, $path_tmp, false, false, $cfg_main_pic_quality);

			$response = array(
				'result' => 'success',
				'message' => $url_tmp,
				'filename' => $filename,
			);

			// delete previous main pic
			$prev_img = isset($_POST['prev_img']) ? $_POST['prev_img'] : '';

			if(!empty($prev_img)) {
				$prev_img = $pic_basepath . '/main-pic-tmp/' . $prev_img;

				if(is_file($prev_img)) {
					// unlink
					unlink($prev_img);
				}
			}
		}

		else {
			$response = array(
				'result' => 'fail',
				'message' => 'move_uploaded_file error',
				'filename' => ''
			);
		}
	}

	else {
		$response = array(
			'result' => 'fail',
			'message' => 'Invalid image extension',
			'filename' => '',
		);
	}
}

echo json_encode($response);