<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><!DOCTYPE html>
<!--[if IE 9]><html class="lt-ie10" lang="<?= $html_lang ?>"> <![endif]-->
<html lang="<?= $html_lang ?>">
<head>
<title><?= $txt_html_title ?></title>
<meta name="description" content="<?= $txt_meta_desc ?>">
<link rel="canonical" href="<?= $canonical ?>">
<?php require_once(__DIR__ . '/../head.php') ?>
<?php require_once('user-head.php') ?>
</head>
<body class="tpl-user-register">
<?php require_once(__DIR__ . '/../header.php') ?>

<div class="container mt-5">
	<div class="row">
		<div class="col-md-6 offset-md-3">
			<div class="card">
				<div class="card-header">
					<h4><strong><?= $txt_html_title ?></strong></h4>
				</div>

				<div class="card-body">
					<div id="register-result"></div>
					<form id="register-form">
						<?php
						$referrer = (!empty($_SERVER['HTTP_REFERER'])) ? $_SERVER['HTTP_REFERER'] : '';
						?>
						<input type="hidden" id="referrer" name="referrer" value="<?= e($referrer) ?>">

						<div class="form-group">
							<input type="text" id="fname" class="form-control" name="fname" placeholder="<?= $txt_fname ?>">
						</div>

						<div class="form-group">
							<input type="text" id="lname" class="form-control" name="lname" placeholder="<?= $txt_lname ?>">
						</div>

						<div class="form-group">
							<input type="email" id="email" class="form-control" name="email" placeholder="<?= $txt_email ?>">
						</div>

						<div class="form-group">
							<input type="password" id="password" class="form-control" name="password" placeholder="<?= $txt_password ?>">

							<input type="checkbox" id="password2" class="form-control" name="password2" value="1">
						</div>

						<div class="form-group">
							<div class="custom-control custom-checkbox">
								<input type="checkbox" id="tos-check" class="custom-control-input" tabindex="1">
								<label class="custom-control-label" for="tos-check"><span id="tos-check-label"><?= ee($txt_agree_tos) ?></span></label>
							</div>
						</div>

						<div class="form-group">
							<button id="register-submit" class="btn btn-primary btn-block"><?= $txt_register ?></button>
						</div>

						<div class="form-group">
							<?= $txt_has_account ?> <a href="<?= $baseurl ?>/user/sign-in" tabindex="1"><?= $txt_signin ?></a>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- footer -->
<?php require_once(__DIR__ . '/../footer.php') ?>

</body>
</html>