<?php
require_once(__DIR__ . '/../inc/config.php');

if(empty($userid)) {
	$redir_url = $baseurl . '/user/sign-in';
	header("Location: $redir_url");
	die();
}

// get plans
$query = "SELECT * FROM plans WHERE plan_status = 1 ORDER BY plan_order";
$stmt = $conn->prepare($query);
$stmt->execute();

$plans_arr = array();

while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	$this_plan_id     = $row['plan_id'];
	$this_plan_type   = !empty($row['plan_type'    ]) ? $row['plan_type'    ] : '';
	$this_plan_name   = !empty($row['plan_name'    ]) ? $row['plan_name'    ] : '';
	$this_plan_period = !empty($row['plan_period'  ]) ? $row['plan_period'  ] : 0;
	$this_plan_feat   = !empty($row['plan_features']) ? $row['plan_features'] : '';
	$this_plan_price  = !empty($row['plan_price'   ]) ? $row['plan_price'   ] : '0';

	// sanitize
	$this_plan_type   = e($this_plan_type  );
	$this_plan_name   = e($this_plan_name  );
	$this_plan_period = e($this_plan_period);
	$this_plan_feat   = e($this_plan_feat  );
	$this_plan_price  = e($this_plan_price );

	// has cents?
	if(empty($cfg_show_cents)) {
		$this_plan_price = floor($this_plan_price);
	}

	// plan description
	$this_plan_feat = explode("\n", $this_plan_feat);

	// cmd (for paypal button)
	$this_plan_cmd = "_xclick-subscriptions";
	if($this_plan_type == 'one_time' || $this_plan_type == 'one_time_feat') {
		// init vars
		$this_plan_cmd = "_xclick";
	}

	$cur_loop_arr = array(
		'plan_id'     => $this_plan_id,
		'plan_type'   => $this_plan_type,
		'plan_name'   => $this_plan_name,
		'plan_period' => $this_plan_period,
		'plan_feat'   => $this_plan_feat,
		'plan_price'  => $this_plan_price,
		'plan_cmd'    => $this_plan_cmd,
	);

	$plans_arr[$this_plan_id] = $cur_loop_arr;
}

/*--------------------------------------------------
canonical
--------------------------------------------------*/
$canonical = $baseurl . '/user/select-plan';
