<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><!-- Scripts -->
<script src="<?= $baseurl ?>/assets/js/jquery-price-format.js"></script>

<script>
'use strict';

/*--------------------------------------------------
Sidebar responsiveness
--------------------------------------------------*/
(function(){
	// if #viewport-size dummy div is visible, it means we are in mobile view (< 576px)
    if ($('#viewport-size').is(':visible')) {
		// hide sidebar on page load
		$('#listings-sidebar').removeClass('show');

		// move #filter-buttons to #buttons-wrapper-1
		$('#filter-buttons').prependTo('#buttons-wrapper-1');

		// remove classes
		$('#filter-buttons').removeClass([ 'justify-content-end', 'mb-2' ]);

		// add classes
		$('#buttons-wrapper-1').addClass([ 'mt-3' ]);
		$('#listings-sidebar-sub').addClass([ 'container-fluid' ]);
	}

	// on window resize
	$(window).on('resize', function(){
		// if #viewport-size dummy div is visible, it means we are in mobile view
		if ($('#viewport-size').is(':visible')) {
			// move #filter-buttons to #buttons-wrapper
			$('#filter-buttons').prependTo('#buttons-wrapper-1');

			// remove classes
			$('#filter-buttons').removeClass([ 'justify-content-end', 'mb-2' ]);

			// add classes
			$('#buttons-wrapper-1').addClass([ 'mt-3' ]);
			$('#listings-sidebar-sub').addClass([ 'container-fluid' ]);
		}

		else {
			// move #filter-buttons to #listings-sidebar
			$('#filter-buttons').prependTo('#buttons-wrapper-2');

			// add classes
			$('#filter-buttons').addClass([ 'justify-content-end', 'mb-2' ]);
		}
	});

	// on sidebar collapse
	$('#listings-sidebar').on('hidden.bs.collapse', function () {
		// if in mobile view
		if ($('#viewport-size').is(':visible')) {
			// move #filter-buttons to #listings-sidebar
			$('#filter-buttons').prependTo('#buttons-wrapper-1');

			// remove classes
			$('#filter-buttons').removeClass([ 'justify-content-end', 'mb-2' ]);

			// add classes
			$('#buttons-wrapper-1').addClass([ 'mt-3' ]);
			$('#listings-sidebar-sub').addClass([ 'container-fluid' ]);
		}

		else {
			// move #filter-buttons to #buttons-wrapper
			$('#filter-buttons').prependTo('#buttons-wrapper-2');

			// add classes
			$('#filter-buttons').addClass([ 'justify-content-end', 'mb-2' ]);
		}
	})

	// on sidebar uncollapse
	$('#listings-sidebar').on('shown.bs.collapse', function () {
		// if in mobile view
		if ($('#viewport-size').is(':visible')) {
			// move #filter-buttons to #listings-sidebar
			$('#filter-buttons').prependTo('#buttons-wrapper-1');

			// remove classes
			$('#filter-buttons').removeClass([ 'justify-content-end', 'mb-2' ]);

			// add classes
			$('#buttons-wrapper-1').addClass([ 'mt-3' ]);
			$('#listings-sidebar-sub').addClass([ 'container-fluid' ]);
		}

		else {
			// move #filter-buttons to #buttons-wrapper
			$('#filter-buttons').prependTo('#buttons-wrapper-2');

			// add classes
			$('#filter-buttons').addClass([ 'justify-content-end', 'mb-2' ]);
		}
	})
}());

/*--------------------------------------------------
Distance filter
--------------------------------------------------*/
<?php
if(empty($_COOKIE['user_lat']) && empty($_COOKIE['user_lng'])) {
	?>
	(function(){
		$('#dropdown-menu-nearby').on('click', function(e){
			if(cookieEnabled() === true) {
				if ('geolocation' in navigator) {
					navigator.geolocation.getCurrentPosition(function(position) {
						// user coords
						var user_lat = position.coords.latitude;
						var user_lng = position.coords.longitude;

						// send request, response is json object containing city id, name, state, state id
						var url = '<?= $baseurl ?>/inc/nearest-location.php';

						// ajax post
						$.post(url, {
							lat: user_lat,
							lng: user_lng
						}, function(data) {
							// parse json response
							try {
								data = JSON.parse(data);
								console.log(data);

								// create cookie
								createCookie('geo_city_id', data.city_id, 14);
								createCookie('geo_city_name', data.city_name, 14);
								createCookie('geo_city_slug', data.city_slug, 14);
								createCookie('geo_state', data.state_abbr, 14);
								createCookie('user_lat', user_lat, 14);
								createCookie('user_lng', user_lng, 14);

								// reload
								location.reload(true);
							} catch(e) {
								console.log(e);
							}
						});
					});
				}
			}
		});
	}());
	<?php
}
?>

/*--------------------------------------------------
Add to Favorites
--------------------------------------------------*/
(function(){
	addToFavorites();
}());

/*--------------------------------------------------
Map setup
--------------------------------------------------*/
<?php
if($cfg_show_map) {
	if($cfg_show_maps_on_listings) {
		?>
		document.addEventListener('DOMContentLoaded', function(){
			// init map wrapper in hidden mode
			$('#listings-map-wrapper').hide();

			// map visibility toggle
			$('#map-switcher').on('click', function(){
				$('#listings-map-wrapper').toggle();

				<?php
				if(!empty($results_arr)) {
					if($map_provider !== "Google") {
						?>
						// remove previous map
						var container = L.DomUtil.get('map-canvas');
						if(container != null){
							container._leaflet_id = null;
						}

						// results object
						var resultsObj = <?= json_encode($results_arr) ?>;

						/*--------------------------------------------------
						Create Map
						--------------------------------------------------*/
						// map_provider_options is defined in 'inc/map-provider-options.php'
						<?php
						if($map_provider == 'Tomtom') {
							?>
							var mymap = new L.Map("map-canvas", map_provider_options);
							<?php
						}

						else {
							?>
							var mymap = L.map("map-canvas").setView([0, 0], 13);

							L.tileLayer.provider("<?= $map_provider ?>", map_provider_options).addTo(mymap);
							<?php
						}
						?>

						/*--------------------------------------------------
						Events
						--------------------------------------------------*/

						// init marker array
						var markerArray = [];

						resultsObj.forEach(function (obj) {
							var m = L.marker([obj.ad_lat, obj.ad_lng]).addTo(mymap);

							var p = new L.Popup({ autoClose: false, closeOnClick: false })
								.setContent('<a href="' + obj.ad_link + '" target="_blank">' + obj.ad_title + '</a>')
								.setLatLng([obj.ad_lat, obj.ad_lng]);

							m.bindPopup(p).openPopup();

							markerArray.push(m);
						});

						var group = L.featureGroup(markerArray).addTo(mymap);
						mymap.fitBounds(group.getBounds());

						$(".item-list .list-item").on('mouseover', function() {
							if($('#listings-map-wrapper').is( ":visible" )) {
								var ad_id = this.getAttribute("data-listing-id");
								var result = resultsObj.filter(function( obj ) {
									return obj.ad_id == ad_id;
								});

								var this_latlng = L.latLng(result[0].ad_lat, result[0].ad_lng);

								var tooltipPopup = L.popup({ offset: L.point(0, -20)});
								tooltipPopup.setContent(result[0].ad_title);
								tooltipPopup.setContent('<a href="' + result[0].ad_link + '" target="_blank">' + result[0].ad_title + '</a>');
								tooltipPopup.setLatLng([result[0].ad_lat, result[0].ad_lng]);
								tooltipPopup.openOn(mymap);
								mymap.setView(this_latlng, mymap.getZoom());
							}
						});
						<?php
					}

					if($map_provider == "Google") {
						?>
						var results_obj = <?= json_encode($results_arr) ?>;
						var infowindow;
						var map;

						function initialize() {
							var markers = {};
							var infoboxcontents = {};

							// set map options
							var mapOptions = {
								zoom: 5,
								maxZoom: 15
							};

							// instantiate map
							var map = new google.maps.Map(document.getElementById('map-canvas'), mapOptions);
							var bounds = new google.maps.LatLngBounds();
							var infowindow = new google.maps.InfoWindow();

							// $results_arr[] = array("ad_id" => $listing_id, "ad_lat" => $ad_lat, "ad_lng" => $ad_lng, "ad_title" => $ad_title, "ad_link" => $ad_link, "count" => $count);

							// set markers
							for (var k in results_obj) {
								var p = results_obj[k];
								var latlng = new google.maps.LatLng(p.ad_lat, p.ad_lng);
								bounds.extend(latlng);

								var marker_icon = '<?= $baseurl ?>/imgs/marker1.png';

								// place markers
								var marker = new google.maps.Marker({
									position: latlng,
									map: map,
									animation: google.maps.Animation.DROP,
									title: p.ad_title,
									//icon: marker_icon
								});

								markers[p.ad_id] = marker;
								infoboxcontents[p.ad_id] = '<a href="' + p.ad_link + '" target="_blank">' + p.ad_title + '</a>';

								// click event on markers to show infowindow
								google.maps.event.addListener(marker, 'click', function() {
									infowindow.setContent('<a href="' + p.ad_link + '" target="_blank">' + p.ad_title + '</a>');
									infowindow.open(map, this);
									});
							}

							map.fitBounds(bounds);
						}

						initialize();
						<?php
					}
				}
				?>
			});
		});
		<?php
	}
}
?>

/*--------------------------------------------------
Ratings
--------------------------------------------------*/
<?php
if($cfg_enable_reviews) {
	?>
(function(){
	$('.item-rating').raty({
		readOnly: true,
		score: function() {
			return this.getAttribute('data-rating');
		},
		hints: ['<?= a($txt_rate_bad) ?>', '<?= a($txt_rate_poor) ?>', '<?= a($txt_rate_regular) ?>', '<?= a($txt_rate_good) ?>', '<?= a($txt_rate_gorgeous) ?>'],
		starType: 'i'
	});
}());
<?php
}
?>

/*--------------------------------------------------
Price format
--------------------------------------------------*/
(function(){
	$('.price').priceFormat({
		<?php
		if($cfg_cur_symbol_pos == 'left') {
			?>
			prefix: '<?= $currency_symbol ?>',
			<?php
		}

		else {
			?>
			prefix: '',
			suffix: ' <?= $currency_symbol ?>',
			<?php
		}
		if(!$cfg_show_cents) {
			?>
			centsLimit: 0,
			<?php
		}
		?>
		centsSeparator: '<?= $cfg_decimal_sep ?>',
		thousandsSeparator: '<?= $cfg_thousands_sep ?>'
	});

	// sidebar price filter format
	$('#min_price').priceFormat({
		<?php
		if($cfg_cur_symbol_pos == 'left') {
			?>
			prefix: '<?= $currency_symbol ?>',
			<?php
		}

		else {
			?>
			suffix: '<?= $currency_symbol ?>',
			<?php
		}
		if(!$cfg_show_cents) {
			?>
			centsLimit: 0,
			<?php
		}
		?>
		centsSeparator: '<?= $cfg_decimal_sep ?>',
		thousandsSeparator: '<?= $cfg_thousands_sep ?>'
	});

	$('#max_price').priceFormat({
		<?php
		if($cfg_cur_symbol_pos == 'left') {
			?>
			prefix: '<?= $currency_symbol ?>',
			<?php
		}

		else {
			?>
			suffix: '<?= $currency_symbol ?>',
			<?php
		}
		if(!$cfg_show_cents) {
			?>
			centsLimit: 0,
			<?php
		}
		?>
		centsSeparator: '<?= $cfg_decimal_sep ?>',
		thousandsSeparator: '<?= $cfg_thousands_sep ?>'
	});
}());

/*--------------------------------------------------
Sidebar location
--------------------------------------------------*/
<?php
if($cfg_use_select2) {
	?>
	// select2 config
	$('#city-input-sidebar').select2({
		ajax: {
			url: '<?= $baseurl ?>/_return_cities_select2.php',
			dataType: 'json',
			delay: 250,
			data: function (params) {
				return {
					query: params.term,
					page: params.page
				};
			}
		},
		escapeMarkup: function (markup) { return markup; },
		minimumInputLength: 1,
		dropdownAutoWidth : true,
		placeholder: "<?= a($txt_city) ?>",
		allowClear: true,
		language: "<?= $html_lang ?>"
	});
<?php
}
?>

/*--------------------------------------------------
Submit form
--------------------------------------------------*/
(function(){
	$('#sidebar-filter').on('submit', function(e){
		// Disable empty input values in GET query
		var emptyinputs = $(this).find('input').filter(function(){
			return !$.trim(this.value).length;  // get all empty fields
		}).prop('disabled',true);

		// unmask price format
		(function(){
			$('.price').val($('.price').unmask());
			$('#min_price').val($('#min_price').unmask());
			$('#max_price').val($('#max_price').unmask());
		}());
	});
}());
</script>
