<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><!DOCTYPE html>
<!--[if IE 9]><html class="lt-ie10" lang="<?= $html_lang ?>"> <![endif]-->
<html lang="<?= $html_lang ?>">
<head>
<title><?= $txt_html_title ?></title>
<meta name="description" content="<?= $txt_meta_desc ?>">
<link rel="canonical" href="<?= $canonical ?>">
<?php require_once(__DIR__ . '/../head.php') ?>
<?php require_once('user-head.php') ?>
</head>
<body class="tpl-user-select-plan">
<?php require_once(__DIR__ . '/../header.php') ?>

<div class="container mt-5">
	<?php
	if($plan_type != 'free' && $plan_type != 'free_feat' && !$is_admin) {
		?>
		<div class="checkout-box-wrapper clearfix">
			<div class="checkout-box">
				<h2><?= $txt_order_details ?></h2>

				<p><?= $txt_selected_plan ?>: <strong><?= $plan_name ?></strong><br>
				<?= $txt_plan_value ?>: <strong><?= $cfg_cur_symbol_pos == 'left' ? $currency_symbol : '' ?><?= $plan_price ?><?= $cfg_cur_symbol_pos == 'right' ? $currency_symbol : '' ?></strong></p>

				<?php
				if($paypal_mode != -1) {
					?>
					<div class="py-3">
						<p><strong><?= $txt_paypal ?></strong></p>
						<form action="<?= $paypal_url ?>" method="post" id="<?= $plan_type ?>-<?= $plan_id ?>">
							<input type="hidden" name="cmd"           value="<?= $cmd ?>">
							<input type="hidden" name="notify_url"    value="<?= $notify_url ?>">
							<input type="hidden" name="business"      value="<?= $paypal_merchant_id ?>">
							<input type="hidden" name="item_name"     value="<?= $plan_name ?> - <?= $site_name ?>">
							<input type="hidden" name="currency_code" value="<?= $currency_code ?>">
							<input type="hidden" name="custom"        value="<?= $userid ?>;<?= $plan_id ?>;<?= uniqid() ?>">
							<input type="hidden" name="image_url"     value="<?= $paypal_checkout_logo_url ?>">
							<input type="hidden" name="lc"            value="<?= $paypal_locale ?>">
							<input type="hidden" name="return"        value="<?= $baseurl ?>/user/thanks">
							<input type="hidden" name="charset"       value="utf-8">

							<!-- amounts -->
							<?php
							if(in_array($plan_type, array('monthly', 'monthly_feat', 'annual', 'annual_feat'))) {
								?>
								<input type="hidden" name="a3"  value="<?= $a3 ?>">
								<input type="hidden" name="p3"  value="<?= $p3 ?>">
								<input type="hidden" name="t3"  value="<?= $t3 ?>">
								<input type="hidden" name="src" value="1">
								<?php
							}

							if($plan_type == 'one_time' || $plan_type == 'one_time_feat') {
								?>
								<input type="hidden" name="amount" value="<?= $amount ?>">
								<?php
							}
							?>

							<!-- the submit button -->
							<input type="image" src="https://www.paypalobjects.com/webstatic/en_US/i/buttons/checkout-logo-medium.png" alt="Check out with PayPal"><br>

							<img src="https://www.paypalobjects.com/webstatic/en_US/i/buttons/cc-badges-ppmcvdam.png" alt="Buy now with PayPal">
							</div>
						</form>
					</div>
				<?php
				}

				// stripe
				if($stripe_mode != -1) {
					?>
					<div class="py-3">
						<a href="<?= $checkout_session_url ?>" class="btn btn-primary"><?= $txt_checkout ?></a>
					</div>
					<?php
				}
				?>
			</div>
		</div>
	<?php
	}

	else {
		?>
		<h1 class="mb-5"><?= $txt_thank_you ?></h1>

		<p><?= $txt_credits_added ?></p>
		<?php
	}
	?>
</div>

<!-- footer -->
<?php require_once(__DIR__ . '/../footer.php') ?>

</body>
</html>