<?php
require_once(__DIR__ . '/../inc/config.php');
require_once(__DIR__ . '/user_area_inc.php');

// init
$my_plans = array();

$query = "SELECT
	c.plan, c.credits, c.uniq_id, c.paym_email, c.gateway,
	p.plan_name, p.plan_type
	FROM credits c
	LEFT JOIN plans p ON c.plan = p.plan_id
	WHERE c.user = :userid";
$stmt = $conn->prepare($query);
$stmt->bindValue(':userid', $userid);
$stmt->execute();

while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	$this_plan_id    = !empty($row['plan'      ]) ? $row['plan'      ] : '';
	$this_credits    = !empty($row['credits'   ]) ? $row['credits'   ] : '';
	$this_uniq_id    = !empty($row['uniq_id'   ]) ? $row['uniq_id'   ] : '';
	$this_paym_email = !empty($row['paym_email']) ? $row['paym_email'] : '';
	$this_gateway    = !empty($row['gateway'   ]) ? $row['gateway'   ] : '';
	$this_plan_name  = !empty($row['plan_name' ]) ? $row['plan_name' ] : '';
	$this_plan_type  = !empty($row['plan_type' ]) ? $row['plan_type' ] : '';

	// check if it's subscription type
	$this_is_subscr = false;
	$subscr_types = array('monthly', 'monthly_feat', 'annual', 'annual_feat');

	if(in_array($this_plan_type, $subscr_types)) {
		$this_is_subscr = true;
	}

	if(!empty($this_uniq_id)) {
		$my_plans[$this_uniq_id] = array(
			'credits'    => $this_credits,
			'uniq_id'    => $this_uniq_id,
			'paym_email' => $this_paym_email,
			'gateway'    => $this_gateway,
			'plan_name'  => $this_plan_name,
			'plan_type'  => $this_plan_type,
			'is_subscr'  => $this_is_subscr,
		);
	}
}

/*--------------------------------------------------
canonical
--------------------------------------------------*/
$canonical = $baseurl . '/user/my-plans';