<?php
require_once(__DIR__ . '/../inc/config.php');

if(empty($userid)) {
	$redir_url = $baseurl . '/user/sign-in';
	header("Location: $redir_url");
	die();
}

// init vars
$result_message = $txt_claim_error;
$listing_id  = !empty($_POST['listing_id' ]) ? $_POST['listing_id' ] : '';
$plan_uniqid = !empty($_POST['plan_uniqid']) ? $_POST['plan_uniqid'] : '';

/*--------------------------------------------------
Check if this listing is currently owned by the admin
--------------------------------------------------*/
$query = "SELECT userid FROM listings WHERE listing_id = :listing_id";
$stmt = $conn->prepare($query);
$stmt->bindValue(':listing_id', $listing_id);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);

$listing_userid = !empty($row['userid']) ? $row['userid'] : '';

/*--------------------------------------------------
Check if user has credits for selected plan
--------------------------------------------------*/
$user_credits = 0;

$query = "SELECT * FROM credits WHERE user = :userid AND uniq_id = :uniq_id";
$stmt = $conn->prepare($query);
$stmt->bindValue(':userid', $userid);
$stmt->bindValue(':uniq_id', $plan_uniqid);
$stmt->execute();

$row = $stmt->fetch(PDO::FETCH_ASSOC);

$available_credits = !empty($row['credits']) ? $row['credits'] : 0;

if($available_credits > 0 && $listing_userid == 1) {
	try {
		$conn->beginTransaction();

		// update paid column in listings table
		$query = 'UPDATE listings SET userid = :userid WHERE listing_id = :listing_id';
		$stmt = $conn->prepare($query);
		$stmt->bindValue(':userid', $userid);
		$stmt->bindValue(':listing_id', $listing_id);
		$stmt->execute();

		// subtract credit
		$query = 'UPDATE credits SET credits = credits - 1 WHERE uniq_id = :uniq_id';
		$stmt = $conn->prepare($query);
		$stmt->bindValue(':uniq_id', $plan_uniqid);
		$stmt->execute();

		$conn->commit();

		$result_message = $txt_claim_success;
	}

	catch(PDOException $e) {
		$conn->rollBack();
	}
}

/*--------------------------------------------------
canonical
--------------------------------------------------*/
$canonical = $baseurl . '/user/process-claim';
